package cn.aiyangniu.api.common.entity.system;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.util.List;

/**
 * SysBtnEntity 模块按钮实体对象
 *
 * @author Henry Hall
 * @since 2020-09-28
 */
@Data
@TableName(value = "sys_button")
public class SysBtnEntity {

    @TableId(value = "btn_id")
    private String btnId; // 按钮主键编号
    private String btnName; // 按钮名称
    private String btnCode; // 按钮编码
    private String modId; // 所属模块编号
    private int sort; // 排序
    private int dataStatus; // 状态，1为已审核，2为未审核，3为删除
    private String createTime; // 创建时间
    private String updateTime; // 修改时间
    private String optUser; // 最后操作人员编号

    @TableField(exist = false)
    private String modName; // 所属模块名称
    @TableField(exist = false)
    private String modCode; // 所属模块名称
    @TableField(exist = false)
    private String logo; // 所属模块名称
    @TableField(exist = false)
    private String reqRandom; // 请求随机码
}
