package cn.aiyangniu.api.common.entity.system;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.util.List;

/**
 * SysModEntity 系统模块实体对象
 *
 * @author Henry Hall
 * @since 2020-09-28
 */
@Data
@TableName(value = "sys_module")
public class SysModEntity {

    @TableId(value = "mod_id")
    private String modId; // 模块主键编号
    private String modName; //模块名称
    private String modCode; // 模块编码
    private String parentId; // 父级编号
    private int sort; // 排序
    private String logo; // Logo图标地址
    private String url; // 跳转地址
    private int dataStatus; // 状态，1为已审核，2为未审核，3为删除
    private String createTime; // 创建时间
    private String updateTime; // 修改时间
    private String optUser; // 最后操作人员编号

    @TableField(exist = false)
    private String parentName; // 父级名称
    @TableField(exist = false)
    private String parentCode; // 父级编码
    @TableField(exist = false)
    private List<SysBtnEntity> buttonList; // 模块所包含的按钮实体List
    @TableField(exist = false)
    private List<SysModEntity> children; // 子模块数组
    @TableField(exist = false)
    private boolean checked = true; // 是否选中标识
    @TableField(exist = false)
    private String iconStyle = "iconbottom"; // 展示图标
    @TableField(exist = false)
    private int modLevel; // 模块级别

    @TableField(exist = false)
    private String reqRandom;
}
