package cn.aiyangniu.api.common.entity.system;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * SysOptEntity 业务参数实体对象
 *
 * @author Henry Hall
 * @since 2020-09-28
 */
@Data
@TableName(value = "sys_option")
public class SysOptEntity {

    @TableId(value = "opt_id")
    private String optId; // 参数编号
    private String optName; // 参数名称
    private String optCode; // 参数编码
    private String kind; // 参数种类
    private int sort; // 参数排序
    private String pinyin; // 名称全拼
    private String jianpin; // 名称简拼
    private int dataStatus; // 状态，1为已审核，2为未审核，3为删除
    private String createTime; // 创建时间
    private String updateTime; // 修改时间
    private String optUser; // 最后操作人员编号

    @TableField(exist = false)
    private String kindName; //种类名称
    @TableField(exist = false)
    private String kindCode; //种类名称
    @TableField(exist = false)
    private String reqRandom; // 请求随机码
}
