package cn.aiyangniu.api.common.entity.system;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.util.List;

/**
 * SysTypeEntity 系统分类实体对象
 *
 * @author Henry Hall
 * @since 2020-09-28
 */
@Data
@TableName(value = "sys_type")
public class SysTypeEntity {

    @TableId(value = "type_id")
    private String typeId; // 分类主键编号
    private String parentId; // 父级编号
    private String typeName; // 分类名称
    private String typeCode; // 分类编码
    private String pinyin; // 名称全拼
    private String jianpin; // 名称简拼
    private String kind; // 分类种类
    private int sort; // 分类排序
    private String typeImg; // 分类图片
    private int dataStatus; // 状态，1为已审核，2为未审核，3为删除
    private String createTime; // 创建时间
    private String updateTime; // 修改时间
    private String optUser; // 最后操作人员编号

    @TableField(exist = false)
    private String parentName; // 父级名称
    @TableField(exist = false)
    private String parentCode; // 父级编码
    @TableField(exist = false)
    private String kindName; // 种类名称
    @TableField(exist = false)
    private String kindCode; // 种类编码
    @TableField(exist = false)
    private List<SysTypeEntity> children; // 子级对象集合
    @TableField(exist = false)
    private List<String> parents; // 模块父级编号数组
    @TableField(exist = false)
    private boolean isChecked = false; // 是否选中标识
    @TableField(exist = false)
    private int typeLevel; // 分类层级

    @TableField(exist = false)
    private String reqRandom; // 请求随机码
}
