package cn.aiyangniu.api.common.entity.system;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.util.List;

/**
 * SysUserEntity 系统用户实体对象
 *
 * @author Henry Hall
 * @since 2020-09-28
 */
@Data
@TableName(value = "sys_user")
public class SysUserEntity {

    @TableId(value = "usr_id")
    private String userId; // 用户主键编号
    private String usname; // 登录账号
    private String passwd; // 登录密码
    private String nickName; // 用户昵称
    private String mobile; // 手机号码
    private String roleId; // 角色编号
    private String orgId; // 所属组织编号
    private String dutyId; // 职务编号
    private int kind; // 用户种类
    private int dataStatus; // 状态，1为已审核，2为未审核，3为删除
    private String createTime; // 创建时间
    private String updateTime; // 修改时间
    private String optUser; // 最后操作人员编号

    @TableField(exist = false)
    private String xAuthKey; // 用户会话标识
    @TableField(exist = false)
    private String orgName;
    @TableField(exist = false)
    private String orgCode;
    @TableField(exist = false)
    private String dutyName;
    @TableField(exist = false)
    private String dutyCode;
    @TableField(exist = false)
    private String roleName;
    @TableField(exist = false)
    private String reqRandom;
}
