package cn.aiyangniu.api.common.util;

import javax.servlet.http.HttpServletRequest;

/**
 * ClientIP 获取客户端IP地址
 *
 * @author Henry Hall
 * @since 2020-08-08
 */
public class ClientIpUtil {

    /**
     * getIPAddr 获取IP地址
     *
     * @return 返回IP地址，如：192.168.1.2
     */
    public static String getIPAddr(HttpServletRequest req) {
        String ip = req.getHeader("x-forwarded-for");
        if(ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
            ip = req.getHeader("Proxy-Client-IP");
        }
        if(ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
            ip = req.getHeader("WL-Proxy-Client-IP");
        }
        if(ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
            ip = req.getRemoteAddr();
        }
        return ip;
    }
}