package cn.aiyangniu.api.common.util;

import java.security.Key;
import java.security.Security;
import javax.crypto.Cipher;

/**
 * EncryptUtil 加密处理类
 *
 * @author Henry Hall
 * @since 2020-08-08
 */
public class EncryptUtil {

    private Cipher ec;

    private static String ba2h(byte[] ba) {
        int il = ba.length;
        StringBuilder sb = new StringBuilder(il * 2);
        for(int b : ba) {
            int it = b;
            while(it < 0) {
                it = it + 256;
            }
            if(it < 16) {
                sb.append("0");
            }
            sb.append(Integer.toString(it, 16));
        }
        return sb.toString();
    }

    public static byte[] h2ba(String strIn) {
        byte[] ba = strIn.getBytes();
        int il = ba.length;
        byte[] bao = new byte[il / 2];
        for(int i = 0; i < il; i = i + 2) {
            String st = new String(ba, i, 2);
            bao[i / 2] = (byte) Integer.parseInt(st, 16);
        }
        return bao;
    }

    private EncryptUtil(String k) throws Exception {
        Security.addProvider(new com.sun.crypto.provider.SunJCE());
        Key kt = getKey(k.getBytes());
        ec = Cipher.getInstance("DES");
        ec.init(Cipher.ENCRYPT_MODE, kt);
    }

    private byte[] encrypt(byte[] ba) throws Exception {
        return ec.doFinal(ba);
    }

    private String encrypt(String strIn) throws Exception {
        return ba2h(encrypt(strIn.getBytes()));
    }

    private Key getKey(byte[] bat) {
        byte[] ba = new byte[8];
        int it = bat.length, i, c = ba.length;
        for(i = 0; i < it && i < c; i++) {
            ba[i] = bat[i];
        }
        return new javax.crypto.spec.SecretKeySpec(ba, "DES");
    }

    public String[] encode(String data) {
        String[] ret = new String[2];
        long date = System.currentTimeMillis();
        ret[0] = String.valueOf(date);
        try {
            EncryptUtil des = new EncryptUtil(ret[0]);
            ret[2] = des.encrypt(data);
        } catch(Exception e) {
            e.printStackTrace();
        }
        return ret;
    }

    public static void main(String[] args) {
        try {
            long startTime = System.currentTimeMillis();
            String txt = "a=0.3578669977&bh=ab06fd52-c4ae-4632-844b-57a3e5b8bf23&a=0.3578669977&bh=ab06fd52-c4ae-4632-844b-57a3e5b8bf23&a=0.3578669977&bh=ab06fd52-c4ae-4632-844b-57a3e5b8bf23&a=0.3578669977&bh=ab06fd52-c4ae-4632-844b-57a3e5b8bf23&a=0.3578669977&bh=ab06fd52-c4ae-4632-844b-57a3e5b8bf23&zl=2";
            String now = String.valueOf(startTime);
            EncryptUtil des = new EncryptUtil("Ub%^@jkl@$$");
            System.out.println("当前时间戳为：" + now);
            System.out.println("明文信息为：" + txt);
            System.out.println("密文信息为：" + des.encrypt(txt));
            long endTime = System.currentTimeMillis();
            System.out.println("程序运行时间： " + (endTime - startTime) + "ms");
        } catch(Exception e) {
            e.printStackTrace();
        }
    }
}