package cn.aiyangniu.api.common.util;

import net.sourceforge.pinyin4j.PinyinHelper;
import net.sourceforge.pinyin4j.format.HanyuPinyinCaseType;
import net.sourceforge.pinyin4j.format.HanyuPinyinOutputFormat;
import net.sourceforge.pinyin4j.format.HanyuPinyinToneType;
import net.sourceforge.pinyin4j.format.HanyuPinyinVCharType;
import net.sourceforge.pinyin4j.format.exception.BadHanyuPinyinOutputFormatCombination;

/**
 * 拼音业务类
 *
 * @author Henry Hall
 * @since 2020-08-08
 */
public class PinyinUtil {

    public static String pinYin(String s) {
        char[] t1 = s.toCharArray();
        String[] t2;
        HanyuPinyinOutputFormat t3 = new HanyuPinyinOutputFormat();
        t3.setCaseType(HanyuPinyinCaseType.LOWERCASE);
        t3.setToneType(HanyuPinyinToneType.WITHOUT_TONE);
        t3.setVCharType(HanyuPinyinVCharType.WITH_V);
        StringBuilder t4 = new StringBuilder();
        try {
            for(char c : t1) {
                if(Character.toString(c).matches("[\\u4E00-\\u9FA5]+")) {
                    t2 = PinyinHelper.toHanyuPinyinStringArray(c, t3);
                    t4.append(t2[0]);
                } else {
                    t4.append(Character.toString(c));
                }
            }
        } catch(BadHanyuPinyinOutputFormatCombination e1) {
            e1.printStackTrace();
        }
        return t4.toString();
    }

    public static String jianPin(String s) {
        StringBuilder w = new StringBuilder();
        String[] a;
        for(int j = 0, k = s.length(); j < k; j++) {
            char c = s.charAt(j);
            a = PinyinHelper.toHanyuPinyinStringArray(c);
            if(a != null) {
                w.append(a[0].charAt(0));
            } else {
                w.append(c);
            }
        }
        return w.toString();
    }
}
