package cn.aiyangniu.api.common.util;

import org.springframework.stereotype.Component;
import javax.annotation.Resource;

@Component
public class RandomUtil {

    @Resource
    private RedisUtil redisUtil;

    /**
     * getSysRandom 获取随机数返回给前端，同时存储到缓冲数据库中
     */
    public String getSysRandom(String userId) {
        String sysRandom = String.valueOf(Math.random());
        if(redisUtil.exists("sysRandom" + userId)) {
            sysRandom = redisUtil.get("sysRandom" + userId);
            long expire = redisUtil.getExpire("sysRandom" + userId);
            if(expire <= 0) {
                sysRandom = String.valueOf(Math.random());
                redisUtil.add("sysRandom" + userId, sysRandom, 3600);
            }
        } else {
            redisUtil.add("sysRandom" + userId, sysRandom, 3600);
        }
        return sysRandom;
    }

    /**
     * verifySysRandom 校验随机数
     */
    public static boolean verifySysRandom(String reqRandom, String sysRandom) {
        // System.out.println("reqRandom="+ reqRandom +", sysRandom="+ sysRandom);
        return sysRandom == null || "".equals(sysRandom) || reqRandom == null || "".equals(reqRandom) || !sysRandom.equals(reqRandom);
    }

    /**
     * setSysRandom 生成随机数，并存入缓冲数据库中
     */
    public void setSysRandom(String userId) {
        String sysRandom = String.valueOf(Math.random());
        redisUtil.add("sysRandom" + userId, sysRandom, 1800);
    }
}
