package cn.aiyangniu.api.common.util;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.UUID;

/**
 * UUIDUtil 用于生成UUID串
 *
 * @author Henry Hall
 * @since 2020-08-08
 */
public class UUIDUtil {

    /**
     * create36UUID 生成36位的UUID串
     *
     * @return 36位的UUID串
     */
    public static String create36UUID() {
        return UUID.randomUUID().toString();
    }

    /**
     * create32UUID 生成32位的UUID串
     *
     * @return 32位的UUID串
     */
    public static String create32UUID() {
        return UUID.randomUUID().toString().replace("-", "");
    }

    /**
     * createOrderNo 生成29位订单号
     * ADO2020021110342660015882
     *
     * @param ordType 订单类型
     * @return 订单号
     */
    public static String createOrderNo(String ordType) {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMddHHmmssSSS");
        String dtStr, numStr;
        double ranNum = Math.random() * 899999999 + 100000000;
        dtStr = sdf.format(new Date());
        numStr = String.format("%.0f", ranNum);
        ordType += dtStr + numStr;
        return ordType;
    }

    /**
     * 生成6位的随机数
     *
     * @return 随机数
     */
    public static String createRandomNo() {
        return (Math.random() * 9 + 1) * 100000 + "";
    }
}