package cn.aiyangniu.api.controller.other;

import cn.aiyangniu.api.common.util.ClientIpUtil;
import cn.aiyangniu.api.common.util.RedisUtil;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.imageio.ImageIO;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.awt.*;
import java.awt.geom.Line2D;
import java.awt.image.BufferedImage;
import java.io.IOException;
import java.util.Random;

/**
 * 图形验证码业务接口类
 *
 * @author Henry Hall
 * @since 2020-08-22
 */
@RestController
@RequestMapping("/checkcode")
public class CheckcodeController {

    @Resource
    private RedisUtil redisUtil;

    /**
     * getSysTime 获取当前服务器系统时间
     */
    @RequestMapping(value="/admin", method= RequestMethod.GET)
    public void getSysTime(HttpServletRequest req, HttpServletResponse res) {
        res.setHeader("Pragma", "No-cache");
        res.setHeader("Cache-Control", "No-cache");
        res.setDateHeader("Expires", 0);
        res.setContentType("image/jpeg");
        StringBuilder a = new StringBuilder();
        String s = "afghjkmnpqrstvxy23456789";
        String t;
        int w = 160, h = 42, i, p, q;
        BufferedImage image = new BufferedImage(w, h, BufferedImage.TYPE_INT_RGB);
        Graphics gs = image.getGraphics();
        Random rd = new Random();
        Font f = new Font("Ace Crikey", Font.BOLD, 36);
        Color c = new Color(237, 237, 237);
        gs.setColor(c);
        gs.fillRect(0, 0, w, h);
        gs.setFont(f);
        c = new Color(11, 110, 186);
        gs.setColor(c);
        BasicStroke bs;
        Line2D line;
        bs = new BasicStroke(2f, BasicStroke.CAP_BUTT, BasicStroke.JOIN_BEVEL);
        p = 10+rd.nextInt(25);
        q = 10+rd.nextInt(25);
        line = new Line2D.Double(0, p, 160, q);
        Graphics2D g2d = (Graphics2D) gs;
        g2d.setStroke(bs);
        g2d.draw(line);
        for(i = 0; i < 5; i++) {
            p = rd.nextInt(24);
            t = s.substring(p, p+1);
            a.append(t);
            gs.setColor(c);
            gs.drawString(t, 30*i+6, 36);
        }
        String ip = ClientIpUtil.getIPAddr(req);
        redisUtil.add("sysCode"+ip, a.toString(), 3600);

        if(redisUtil.exists("sysCode"+ip)) {
            long expire = redisUtil.getExpire("sysCode"+ip);
            if(expire <= 0) {
                redisUtil.add("sysCode"+ip, a.toString(), 3600);
            }
        } else {
            redisUtil.add("sysCode"+ip, a.toString(), 3600);
        }
        gs.dispose();
        try {
            ImageIO.write(image, "JPEG", res.getOutputStream());
        } catch(IOException e) {
            e.printStackTrace();
        }
    }
}
