package cn.aiyangniu.api.mapper.system;

import cn.aiyangniu.api.common.entity.system.SysMsgEntity;
import cn.aiyangniu.api.common.entity.system.SysMsgVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * SysMsgMapper 系统消息数据接口类
 *
 * @author Henry Hall
 * @since 2020-08-08
 */
@Mapper
public interface SysMsgMapper {

    /**
     * addMsg 新增消息
     *
     * @param msgEntity 消息实体对象
     * @return 返回新增结果
     */
    int addMsg(SysMsgEntity msgEntity);

    /**
     * addMsg 新增消息
     *
     * @param msgEntity 消息实体对象
     * @return 返回新增结果
     */
    int addMsgDetail(SysMsgEntity msgEntity);

    /**
     * proMsgs 已读、删除消息
     *
     * @param sysMsgVo 消息Vo对象
     * @return 返回删除结果
     */
    int proMsgs(SysMsgVo sysMsgVo);

    /**
     * listMsgs 列表展示消息
     *
     * @param page 分页对象对象
     * @param sysMsgVo 消息Vo对象
     * @return 返回新增结果
     */
    IPage<SysMsgEntity> listMsgs(@Param("page") Page<SysMsgEntity> page, @Param("vo") SysMsgVo sysMsgVo);

    /**
     * 我的消息列表
     *
     * @param page 分页对象对象
     * @param sysMsgVo 消息Vo对象
     * @return 返回新增结果
     */
    IPage<SysMsgEntity> myMsgs(@Param("page") Page<SysMsgEntity> page, @Param("vo") SysMsgVo sysMsgVo);

    /**
     * getMsg 获取单一消息编号详情
     *
     * @param msgId 消息编号
     * @return 返回详情结果
     */
    SysMsgEntity getMsg(String msgId);
}
