package cn.aiyangniu.api.mapper.system;

import cn.aiyangniu.api.common.entity.system.SysTypeEntity;
import cn.aiyangniu.api.common.entity.system.SysTypeVo;
import org.apache.ibatis.annotations.Mapper;
import java.util.List;

/**
 * SysTypeMapper 分类数据接口类
 *
 * @author Henry Hall
 * @since 2020-08-08
 */
@Mapper
public interface SysTypeMapper {

    /**
     * addType 新增分类
     *
     * @param typeEntity 分类实体对象
     * @return 返回新增结果
     */
    int addType(SysTypeEntity typeEntity);

    /**
     * delTypes 删除分类
     *
     * @param sysTypeVo 分类Vo对象
     * @return 返回删除结果
     */
    int delTypes(SysTypeVo sysTypeVo);

    /**
     * getType 获取单一分类编号详情
     *
     * @param typeId 分类编号
     * @return 返回详情结果
     */
    SysTypeEntity getType(String typeId);

    /**
     * edtType 修改分类
     *
     * @param typeEntity 分类实体对象
     * @return 返回修改结果
     */
    int edtType(SysTypeEntity typeEntity);

    /**
     * listTypes 列表展示分类
     *
     * @param kind 分类种类编号
     * @return 返回新增结果
     */
    List<SysTypeEntity> listTypes(String kind);

    /**
     * sortTypes 统计子级分类数量，用于排序
     *
     * @param parentId 请求参数
     * @return 返回新增结果
     */
    int sortTypes(String parentId);

    /**
     * selTypes 下拉选择展示分类
     *
     * @param sysTypeVo 分类Vo对象
     * @return 返回新增结果
     */
    List<SysTypeEntity> selTypes(SysTypeVo sysTypeVo);
}
