package cn.aiyangniu.api.service.system;

import cn.aiyangniu.api.common.entity.system.SysBtnEntity;
import cn.aiyangniu.api.common.entity.system.SysBtnVo;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 按钮服务接口类
 *
 * @author Henry Hall
 * @since 2020-08-08
 */
public interface SysBtnService {

    /**
     * 新增按钮
     *
     * @param btnEntity 按钮实体对象
     * @return 返回新增结果
     */
    int addBtn(SysBtnEntity btnEntity);

    /**
     * 删除按钮
     *
     * @param sysBtnVo 按钮Vo对象
     * @return 返回删除结果
     */
    int delBtns(SysBtnVo sysBtnVo);

    /**
     * 获取单一按钮编号详情
     *
     * @param btnId 按钮编号
     * @return 返回详情结果
     */
    SysBtnEntity getBtn(String btnId);

    /**
     * 修改按钮
     *
     * @param btnEntity 按钮实体对象
     * @return 返回修改结果
     */
    int edtBtn(SysBtnEntity btnEntity);

    /**
     * 列表展示按钮
     *
     * @param sysBtnVo 按钮Vo对象
     * @param pageNo 页数
     * @param PageSize 每页显示数量
     * @return 返回新增结果
     */
    IPage<SysBtnEntity> listBtns(SysBtnVo sysBtnVo, int pageNo, int PageSize);

    /**
     * 统计子级按钮数量，用于排序
     *
     * @param modId 模块编号
     * @return 返回新增结果
     */
    int sortBtns(String modId);
}
