package cn.aiyangniu.api.service.system;

import cn.aiyangniu.api.common.entity.system.SysMsgEntity;
import cn.aiyangniu.api.common.entity.system.SysMsgVo;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * SysMsgService 消息服务接口类
 *
 * @author Henry Hall
 * @since 2020-08-08
 */
public interface SysMsgService {

    /**
     * 新增消息
     *
     * @param msgEntity 消息实体对象
     * @return 返回新增结果
     */
    int addMsg(SysMsgEntity msgEntity);

    /**
     * 已读、删除消息
     *
     * @param sysMsgVo 消息Vo对象
     * @return 返回删除结果
     */
    int proMsgs(SysMsgVo sysMsgVo);

    /**
     * 我的消息列表
     *
     * @param sysMsgVo 消息Vo对象
     * @param pageNo 页数
     * @param PageSize 每页显示数量
     * @return 返回新增结果
     */
    IPage<SysMsgEntity> myMsgs(SysMsgVo sysMsgVo, int pageNo, int PageSize);

    /**
     * 列表展示消息
     *
     * @param sysMsgVo 消息Vo对象
     * @param pageNo 页数
     * @param PageSize 每页显示数量
     * @return 返回新增结果
     */
    IPage<SysMsgEntity> listMsgs(SysMsgVo sysMsgVo, int pageNo, int PageSize);

    /**
     * 获取单一消息编号详情
     *
     * @param msgId 消息编号
     * @return 返回详情结果
     */
    SysMsgEntity getMsg(String msgId);
}
