package cn.aiyangniu.api.service.system;

import cn.aiyangniu.api.common.entity.system.SysOptEntity;
import cn.aiyangniu.api.common.entity.system.SysOptVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;

/**
 * SysOptService 选项服务接口类
 *
 * @author Henry Hall
 * @since 2020-08-08
 */
public interface SysOptService {

    /**
     * addOpt 新增选项
     *
     * @param optEntity 选项实体对象
     * @return 返回新增结果
     */
    int addOpt(SysOptEntity optEntity);

    /**
     * delOpts 删除选项
     *
     * @param sysOptVo 选项Vo对象
     * @return 返回删除结果
     */
    int delOpts(SysOptVo sysOptVo);

    /**
     * getOpt 获取单一选项编号详情
     *
     * @param optId 选项编号
     * @return 返回详情结果
     */
    SysOptEntity getOpt(String optId);

    /**
     * edtOpt 修改选项
     *
     * @param optEntity 选项实体对象
     * @return 返回修改结果
     */
    int edtOpt(SysOptEntity optEntity);

    /**
     * listOpts 列表展示选项
     *
     * @param sysOptVo 选项Vo对象
     * @param pageNo 页数
     * @param PageSize 每页显示数量
     * @return 返回新增结果
     */
    IPage<SysOptEntity> listOpts(SysOptVo sysOptVo, int pageNo, int PageSize);

    /**
     * sortOpts 统计子级选项数量，用于排序
     *
     * @param kind 选项种类
     * @return 返回新增结果
     */
    int sortOpts(String kind);

    /**
     * selOpts 下拉选择展示选项
     *
     * @param name 选项名称或编码的关键字
     * @param kind 选项种类
     * @return 返回新增结果
     */
    List<SysOptEntity> selOpts(String name, String kind);
}
