/*
SQLyog Ultimate
MySQL - 5.7.39 : Database - ayn_db_provider
*********************************************************************
*/

/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
/*Table structure for table `ad_order` */

DROP TABLE IF EXISTS `ad_order`;

CREATE TABLE `ad_order` (
  `ord_id` char(36) NOT NULL COMMENT '征订主键编号',
  `ord_no` varchar(30) NOT NULL COMMENT '订单号',
  `cust_id` char(36) NOT NULL COMMENT '客户编号',
  `pic_url` varchar(200) NOT NULL COMMENT '素材地址',
  `location` char(36) NOT NULL COMMENT '位置编号',
  `url` varchar(200) NOT NULL COMMENT '跳转地址',
  `begin_time` datetime NOT NULL COMMENT '开始时间',
  `end_time` datetime NOT NULL COMMENT '结束时间',
  `remarks` text COMMENT '备注',
  `data_status` tinyint(4) NOT NULL DEFAULT '2' COMMENT '数据状态，1正常，2未审核，3删除',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `opt_user` char(36) NOT NULL COMMENT '最后操作人员编号',
  PRIMARY KEY (`ord_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='广告征订表';

/*Data for the table `ad_order` */

/*Table structure for table `cont_link` */

DROP TABLE IF EXISTS `cont_link`;

CREATE TABLE `cont_link` (
  `link_id` char(36) NOT NULL COMMENT '友情链接主键编号',
  `link_name` varchar(100) NOT NULL COMMENT '链接名称',
  `url` varchar(255) NOT NULL COMMENT '链接地址',
  `logo` varchar(200) NOT NULL COMMENT '链接图标',
  `kind` char(36) NOT NULL COMMENT '链接种类',
  `sort` int(11) NOT NULL COMMENT '排序',
  `remarks` text COMMENT '备注',
  `data_status` tinyint(4) NOT NULL DEFAULT '2' COMMENT '数据状态，1正常，2未审核，3删除',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `opt_user` char(36) NOT NULL COMMENT '最后操作人员编号',
  PRIMARY KEY (`link_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='友情链接表';

/*Data for the table `cont_link` */

insert  into `cont_link`(`link_id`,`link_name`,`url`,`logo`,`kind`,`sort`,`remarks`,`data_status`,`create_time`,`update_time`,`opt_user`) values 
('65d577f9-2d71-11eb-96af-005056c00001','百度搜索引擎','https://www.baidu.com/','http://127.0.0.1/common/upfiles/images/202011/20201123174918853.jpg','5a4239dc-2dec-11eb-8772-005056c00001',1,'<p>百度搜索引擎</p>',1,'2020-11-23 17:51:02','2020-11-24 08:32:35','df6650ed-e05e-11ea-b682-005056c00001');

/*Table structure for table `contents` */

DROP TABLE IF EXISTS `contents`;

CREATE TABLE `contents` (
  `cont_id` char(36) NOT NULL COMMENT '内容主键编号',
  `title` varchar(255) NOT NULL COMMENT '内容标题',
  `type_id` char(36) NOT NULL COMMENT '内容分类',
  `sort` int(11) NOT NULL COMMENT '排序',
  `cont_src` varchar(100) NOT NULL COMMENT '内容来源',
  `begin_time` datetime NOT NULL COMMENT '开始时间',
  `end_time` datetime NOT NULL COMMENT '结束时间',
  `kind` char(36) NOT NULL COMMENT '内容种类样式',
  `open_cmt` tinyint(1) NOT NULL DEFAULT '2' COMMENT '是否开启评论',
  `remarks` text COMMENT '备注',
  `contents` text COMMENT '正文',
  `fst_img` varchar(100) DEFAULT NULL COMMENT '首图片地址',
  `img_urls` text COMMENT '配图地址串',
  `file_urls` text COMMENT '附件地址串',
  `file_names` text COMMENT '附件名称串',
  `visist_num` int(11) NOT NULL DEFAULT '0' COMMENT '访问数量',
  `good_num` int(11) NOT NULL DEFAULT '0' COMMENT '好评数',
  `bad_num` int(11) NOT NULL DEFAULT '0' COMMENT '差评数',
  `cmt_num` int(11) NOT NULL DEFAULT '0' COMMENT '评论数',
  `tags` text COMMENT '标签',
  `data_status` tinyint(4) NOT NULL DEFAULT '2' COMMENT '数据状态，1正常，2未审核，3删除',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `opt_user` char(36) NOT NULL COMMENT '最后操作人员编号',
  PRIMARY KEY (`cont_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='内容信息表';

/*Data for the table `contents` */

insert  into `contents`(`cont_id`,`title`,`type_id`,`sort`,`cont_src`,`begin_time`,`end_time`,`kind`,`open_cmt`,`remarks`,`contents`,`fst_img`,`img_urls`,`file_urls`,`file_names`,`visist_num`,`good_num`,`bad_num`,`cmt_num`,`tags`,`data_status`,`create_time`,`update_time`,`opt_user`) values 
('1c8953a6-2d3e-11eb-96af-005056c00001','关于我们','3c05d162-2883-11eb-8165-005056c00001',1,'优佰通电子商务','2020-11-24 11:39:59','2021-11-23 11:39:59','7cbbb08b-28b7-11eb-8165-005056c00001',1,'关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们','<p>关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们</p><p>关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们</p><p>关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们关于我们</p>','http://127.0.0.1/common/upfiles/images/202011/20201123114043541.jpg','http://127.0.0.1/common/upfiles/images/202011/20201123114045959.jpg,http://127.0.0.1/common/upfiles/images/202011/20201123114047373.jpg,http://127.0.0.1/common/upfiles/images/202011/20201123114049899.jpg','http://127.0.0.1/common/upfiles/images/202011/20201123114051910.jpg,http://127.0.0.1/common/upfiles/images/202011/20201123114053668.jpg,http://127.0.0.1/common/upfiles/images/202011/20201123114055386.jpg','154442192783668554.jpg,154805104879957838.jpg,155269950393919134.jpg',0,0,0,0,'00c87c53-1431-11eb-936e-005056c00001,0aa7f185-1431-11eb-936e-005056c00001,245929b3-1431-11eb-936e-005056c00001,406a2cb8-1431-11eb-936e-005056c00001',1,'2020-11-23 11:43:55','2020-11-24 08:32:41','df6650ed-e05e-11ea-b682-005056c00001');

/*Table structure for table `cust_address` */

DROP TABLE IF EXISTS `cust_address`;

CREATE TABLE `cust_address` (
  `addr_id` char(36) NOT NULL COMMENT '收货地址编号',
  `province` int(11) NOT NULL COMMENT '省',
  `city` int(11) NOT NULL COMMENT '市',
  `area` int(11) NOT NULL COMMENT '区',
  `addr` varchar(100) NOT NULL COMMENT '详细地址',
  `post_num` varchar(10) NOT NULL COMMENT '邮编',
  `addr_default` tinyint(4) NOT NULL DEFAULT '2' COMMENT '是否默认',
  `tag` varchar(50) DEFAULT NULL COMMENT '地址标签',
  `cust_id` char(36) NOT NULL COMMENT '客户编号',
  `data_status` tinyint(4) NOT NULL DEFAULT '2' COMMENT '数据状态，1正常，2未审核，3删除',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `opt_user` char(36) NOT NULL DEFAULT 'CURRENT_TIMESTAMP' COMMENT '最后操作人员编号',
  PRIMARY KEY (`addr_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='客户收货地址表';

/*Data for the table `cust_address` */

/*Table structure for table `cust_comment` */

DROP TABLE IF EXISTS `cust_comment`;

CREATE TABLE `cust_comment` (
  `com_id` char(36) NOT NULL COMMENT '评论主键编号',
  `cust_id` char(36) NOT NULL COMMENT '用户编号',
  `com_msg` text NOT NULL COMMENT '评论内容',
  `pic_urls` tinytext COMMENT '评论图片地址',
  `ip_addr` varchar(15) NOT NULL COMMENT '客户端IP地址',
  `parent_id` char(36) NOT NULL COMMENT '父级编号',
  `relation_id` char(36) NOT NULL COMMENT '关联的信息编号',
  `score` float(5,1) NOT NULL DEFAULT '5.0' COMMENT '评分',
  `kind` char(36) NOT NULL COMMENT '种类，1信息评论，2商品评论',
  `data_status` tinyint(4) NOT NULL DEFAULT '2' COMMENT '数据状态，1正常，2未审核，3删除',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `opt_user` char(36) NOT NULL COMMENT '最后操作人员编号',
  PRIMARY KEY (`com_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='通用评论表';

/*Data for the table `cust_comment` */

/*Table structure for table `customers` */

DROP TABLE IF EXISTS `customers`;

CREATE TABLE `customers` (
  `cust_id` char(36) NOT NULL COMMENT '客户主键编号',
  `cust_name` varchar(200) NOT NULL COMMENT '登录账号',
  `sex` tinyint(4) NOT NULL COMMENT '性别',
  `birth` date DEFAULT NULL,
  `age` int(11) DEFAULT NULL,
  `mobile` char(11) NOT NULL COMMENT '手机号码',
  `passwd` char(32) NOT NULL COMMENT '登录密码',
  `email` varchar(50) DEFAULT NULL COMMENT '电子邮箱',
  `qq` varchar(50) DEFAULT NULL COMMENT 'QQ号码',
  `weixin` varchar(50) DEFAULT NULL COMMENT '微信号码',
  `province` int(11) NOT NULL COMMENT '省',
  `city` int(11) NOT NULL COMMENT '市',
  `area` int(11) NOT NULL COMMENT '区',
  `addr` varchar(100) NOT NULL COMMENT '详细地址',
  `head_img` varchar(200) DEFAULT NULL COMMENT '头像',
  `cust_level` char(36) NOT NULL COMMENT '客户级别',
  `score` int(11) NOT NULL DEFAULT '0' COMMENT '用户积分',
  `card_type` char(36) DEFAULT NULL,
  `card_no` varchar(30) DEFAULT NULL,
  `card_img1` varchar(200) DEFAULT NULL,
  `card_img2` varchar(200) DEFAULT NULL,
  `remarks` text COMMENT '备注',
  `parent_id` char(36) DEFAULT NULL COMMENT '关联的客户编号',
  `data_status` tinyint(4) NOT NULL DEFAULT '2' COMMENT '数据状态，1正常，2未审核，3删除',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `opt_user` char(36) NOT NULL COMMENT '最后操作人员编号',
  PRIMARY KEY (`cust_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='客户信息表';

/*Data for the table `customers` */

/*Table structure for table `providers` */

DROP TABLE IF EXISTS `providers`;

CREATE TABLE `providers` (
  `prov_id` char(36) NOT NULL COMMENT '服务商主键编号',
  `prov_name` varchar(255) NOT NULL COMMENT '服务商名称',
  `contacts` varchar(50) NOT NULL COMMENT '联系人名称',
  `mobile` char(11) DEFAULT NULL COMMENT '手机号码',
  `passwd` char(32) DEFAULT NULL COMMENT '登录密码',
  `kind` char(36) NOT NULL COMMENT '服务商种类',
  `province` int(11) NOT NULL COMMENT '省',
  `city` int(11) NOT NULL COMMENT '市',
  `area` int(11) NOT NULL COMMENT '区',
  `street` varchar(50) DEFAULT NULL COMMENT '街道',
  `road` varchar(50) DEFAULT NULL COMMENT '路',
  `address` varchar(150) NOT NULL COMMENT '详细地址',
  `longitude` varchar(20) NOT NULL COMMENT '经度',
  `latitude` varchar(20) NOT NULL COMMENT '纬度',
  `tax_no` varchar(30) NOT NULL COMMENT '税号',
  `tax_img` varchar(200) NOT NULL COMMENT '营业执照图片地址',
  `bussiness_scope` text NOT NULL COMMENT '经营范围',
  `contract_no` varchar(50) NOT NULL COMMENT '合同号',
  `bail` double(12,2) NOT NULL DEFAULT '0.00' COMMENT '保证金',
  `score` float(5,1) NOT NULL DEFAULT '0.0' COMMENT '积分',
  `remarks` text COMMENT '备注',
  `data_status` tinyint(4) NOT NULL DEFAULT '2' COMMENT '状态标识，1正常，2未审核，3删除',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `opt_user` char(36) NOT NULL COMMENT '最后操作人员编号',
  PRIMARY KEY (`prov_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='服务商基本信息表';

/*Data for the table `providers` */

/*Table structure for table `sys_area` */

DROP TABLE IF EXISTS `sys_area`;

CREATE TABLE `sys_area` (
  `area_id` int(11) NOT NULL COMMENT '区域主键编号',
  `area_name` varchar(50) NOT NULL COMMENT '地区名称',
  `area_code` varchar(10) NOT NULL COMMENT '地区编码',
  `parent_id` int(11) NOT NULL COMMENT '上级编号',
  `area_level` tinyint(4) NOT NULL COMMENT '地区级别',
  `sort` int(11) NOT NULL COMMENT '地区排序',
  `pinyin` varchar(150) NOT NULL COMMENT '名称拼音',
  `jianpin` varchar(50) NOT NULL COMMENT '名称简拼',
  PRIMARY KEY (`area_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='通用地区表';

/*Data for the table `sys_area` */

insert  into `sys_area`(`area_id`,`area_name`,`area_code`,`parent_id`,`area_level`,`sort`,`pinyin`,`jianpin`) values 
(1,'中国','100000',0,1,1,'zhongguo','zg'),
(2,'北京市','110000',1,2,2,'beijingshi','bjs'),
(3,'天津市','120000',1,2,3,'tianjinshi','tjs'),
(4,'河北省','130000',1,2,4,'hebeisheng','hbs'),
(5,'山西省','140000',1,2,5,'shanxisheng','sxs'),
(6,'内蒙古自治区','150000',1,2,6,'neimengguzizhiqu','nmgzzq'),
(7,'辽宁省','210000',1,2,7,'liaoningsheng','lns'),
(8,'吉林省','220000',1,2,8,'jilinsheng','jls'),
(9,'黑龙江省','230000',1,2,9,'heilongjiangsheng','hljs'),
(10,'上海市','310000',1,2,10,'shanghaishi','shs'),
(11,'江苏省','320000',1,2,11,'jiangsusheng','jss'),
(12,'浙江省','330000',1,2,12,'zhejiangsheng','zjs'),
(13,'安徽省','340000',1,2,13,'anhuisheng','ahs'),
(14,'福建省','350000',1,2,14,'fujiansheng','fjs'),
(15,'江西省','360000',1,2,15,'jiangxisheng','jxs'),
(16,'山东省','370000',1,2,16,'shandongsheng','sds'),
(17,'河南省','410000',1,2,17,'henansheng','hns'),
(18,'湖北省','420000',1,2,18,'hubeisheng','hbs'),
(19,'湖南省','430000',1,2,19,'hunansheng','hns'),
(20,'广东省','440000',1,2,20,'guangdongsheng','gds'),
(21,'广西壮族自治区','450000',1,2,21,'guangxizhuangzuzizhiqu','gxzzzzq'),
(22,'海南省','460000',1,2,22,'hainansheng','hns'),
(23,'重庆市','500000',1,2,23,'zhongqingshi','zqs'),
(24,'四川省','510000',1,2,24,'sichuansheng','scs'),
(25,'贵州省','520000',1,2,25,'guizhousheng','gzs'),
(26,'云南省','530000',1,2,26,'yunnansheng','yns'),
(27,'西藏自治区','540000',1,2,27,'xizangzizhiqu','xzzzq'),
(28,'陕西省','610000',1,2,28,'shanxisheng','sxs'),
(29,'甘肃省','620000',1,2,29,'gansusheng','gss'),
(30,'青海省','630000',1,2,30,'qinghaisheng','qhs'),
(31,'宁夏回族自治区','640000',1,2,31,'ningxiahuizuzizhiqu','nxhzzzq'),
(32,'新疆维吾尔自治区','650000',1,2,32,'xinjiangweiwuerzizhiqu','xjwwezzq'),
(33,'市辖区','110100',2,3,33,'shixiaqu','sxq'),
(34,'县','110200',2,3,34,'xian','x'),
(35,'市辖区','120100',3,3,35,'shixiaqu','sxq'),
(36,'县','120200',3,3,36,'xian','x'),
(37,'石家庄市','130100',4,3,37,'shijiazhuangshi','sjzs'),
(38,'唐山市','130200',4,3,38,'tangshanshi','tss'),
(39,'秦皇岛市','130300',4,3,39,'qinhuangdaoshi','qhds'),
(40,'邯郸市','130400',4,3,40,'handanshi','hds'),
(41,'邢台市','130500',4,3,41,'xingtaishi','xts'),
(42,'保定市','130600',4,3,42,'baodingshi','bds'),
(43,'张家口市','130700',4,3,43,'zhangjiakoushi','zjks'),
(44,'承德市','130800',4,3,44,'chengdeshi','cds'),
(45,'沧州市','130900',4,3,45,'cangzhoushi','czs'),
(46,'廊坊市','131000',4,3,46,'langfangshi','lfs'),
(47,'衡水市','131100',4,3,47,'hengshuishi','hss'),
(48,'太原市','140100',5,3,48,'taiyuanshi','tys'),
(49,'大同市','140200',5,3,49,'datongshi','dts'),
(50,'阳泉市','140300',5,3,50,'yangquanshi','yqs'),
(51,'长治市','140400',5,3,51,'zhangzhishi','zzs'),
(52,'晋城市','140500',5,3,52,'jinchengshi','jcs'),
(53,'朔州市','140600',5,3,53,'shuozhoushi','szs'),
(54,'晋中市','140700',5,3,54,'jinzhongshi','jzs'),
(55,'运城市','140800',5,3,55,'yunchengshi','ycs'),
(56,'忻州市','140900',5,3,56,'xinzhoushi','xzs'),
(57,'临汾市','141000',5,3,57,'linfenshi','lfs'),
(58,'吕梁市','141100',5,3,58,'lvliangshi','lls'),
(59,'呼和浩特市','150100',6,3,59,'huhehaoteshi','hhhts'),
(60,'包头市','150200',6,3,60,'baotoushi','bts'),
(61,'乌海市','150300',6,3,61,'wuhaishi','whs'),
(62,'赤峰市','150400',6,3,62,'chifengshi','cfs'),
(63,'通辽市','150500',6,3,63,'tongliaoshi','tls'),
(64,'鄂尔多斯市','150600',6,3,64,'eerduosishi','eedss'),
(65,'呼伦贝尔市','150700',6,3,65,'hulunbeiershi','hlbes'),
(66,'巴彦淖尔市','150800',6,3,66,'bayannaoershi','bynes'),
(67,'乌兰察布市','150900',6,3,67,'wulanchabushi','wlcbs'),
(68,'兴安盟','152200',6,3,68,'xinganmeng','xam'),
(69,'锡林郭勒盟','152500',6,3,69,'xilinguolemeng','xlglm'),
(70,'阿拉善盟','152900',6,3,70,'alashanmeng','alsm'),
(71,'沈阳市','210100',7,3,71,'shenyangshi','sys'),
(72,'大连市','210200',7,3,72,'dalianshi','dls'),
(73,'鞍山市','210300',7,3,73,'anshanshi','ass'),
(74,'抚顺市','210400',7,3,74,'fushunshi','fss'),
(75,'本溪市','210500',7,3,75,'benxishi','bxs'),
(76,'丹东市','210600',7,3,76,'dandongshi','dds'),
(77,'锦州市','210700',7,3,77,'jinzhoushi','jzs'),
(78,'营口市','210800',7,3,78,'yingkoushi','yks'),
(79,'阜新市','210900',7,3,79,'fuxinshi','fxs'),
(80,'辽阳市','211000',7,3,80,'liaoyangshi','lys'),
(81,'盘锦市','211100',7,3,81,'panjinshi','pjs'),
(82,'铁岭市','211200',7,3,82,'tielingshi','tls'),
(83,'朝阳市','211300',7,3,83,'chaoyangshi','cys'),
(84,'葫芦岛市','211400',7,3,84,'huludaoshi','hlds'),
(85,'长春市','220100',8,3,85,'zhangchunshi','zcs'),
(86,'吉林市','220200',8,3,86,'jilinshi','jls'),
(87,'四平市','220300',8,3,87,'sipingshi','sps'),
(88,'辽源市','220400',8,3,88,'liaoyuanshi','lys'),
(89,'通化市','220500',8,3,89,'tonghuashi','ths'),
(90,'白山市','220600',8,3,90,'baishanshi','bss'),
(91,'松原市','220700',8,3,91,'songyuanshi','sys'),
(92,'白城市','220800',8,3,92,'baichengshi','bcs'),
(93,'延边朝鲜族自治州','222400',8,3,93,'yanbianchaoxianzuzizhizhou','ybcxzzzz'),
(94,'哈尔滨市','230100',9,3,94,'haerbinshi','hebs'),
(95,'齐齐哈尔市','230200',9,3,95,'qiqihaershi','qqhes'),
(96,'鸡西市','230300',9,3,96,'jixishi','jxs'),
(97,'鹤岗市','230400',9,3,97,'hegangshi','hgs'),
(98,'双鸭山市','230500',9,3,98,'shuangyashanshi','syss'),
(99,'大庆市','230600',9,3,99,'daqingshi','dqs'),
(100,'伊春市','230700',9,3,100,'yichunshi','ycs'),
(101,'佳木斯市','230800',9,3,101,'jiamusishi','jmss'),
(102,'七台河市','230900',9,3,102,'qitaiheshi','qths'),
(103,'牡丹江市','231000',9,3,103,'mudanjiangshi','mdjs'),
(104,'黑河市','231100',9,3,104,'heiheshi','hhs'),
(105,'绥化市','231200',9,3,105,'suihuashi','shs'),
(106,'大兴安岭地区','232700',9,3,106,'daxinganlingdiqu','dxaldq'),
(107,'市辖区','310100',10,3,107,'shixiaqu','sxq'),
(108,'县','310200',10,3,108,'xian','x'),
(109,'南京市','320100',11,3,109,'nanjingshi','njs'),
(110,'无锡市','320200',11,3,110,'wuxishi','wxs'),
(111,'徐州市','320300',11,3,111,'xuzhoushi','xzs'),
(112,'常州市','320400',11,3,112,'changzhoushi','czs'),
(113,'苏州市','320500',11,3,113,'suzhoushi','szs'),
(114,'南通市','320600',11,3,114,'nantongshi','nts'),
(115,'连云港市','320700',11,3,115,'lianyungangshi','lygs'),
(116,'淮安市','320800',11,3,116,'huaianshi','has'),
(117,'盐城市','320900',11,3,117,'yanchengshi','ycs'),
(118,'扬州市','321000',11,3,118,'yangzhoushi','yzs'),
(119,'镇江市','321100',11,3,119,'zhenjiangshi','zjs'),
(120,'泰州市','321200',11,3,120,'taizhoushi','tzs'),
(121,'宿迁市','321300',11,3,121,'suqianshi','sqs'),
(122,'杭州市','330100',12,3,122,'hangzhoushi','hzs'),
(123,'宁波市','330200',12,3,123,'ningboshi','nbs'),
(124,'温州市','330300',12,3,124,'wenzhoushi','wzs'),
(125,'嘉兴市','330400',12,3,125,'jiaxingshi','jxs'),
(126,'湖州市','330500',12,3,126,'huzhoushi','hzs'),
(127,'绍兴市','330600',12,3,127,'shaoxingshi','sxs'),
(128,'金华市','330700',12,3,128,'jinhuashi','jhs'),
(129,'衢州市','330800',12,3,129,'quzhoushi','qzs'),
(130,'舟山市','330900',12,3,130,'zhoushanshi','zss'),
(131,'台州市','331000',12,3,131,'taizhoushi','tzs'),
(132,'丽水市','331100',12,3,132,'lishuishi','lss'),
(133,'合肥市','340100',13,3,133,'hefeishi','hfs'),
(134,'芜湖市','340200',13,3,134,'wuhushi','whs'),
(135,'蚌埠市','340300',13,3,135,'bangbushi','bbs'),
(136,'淮南市','340400',13,3,136,'huainanshi','hns'),
(137,'马鞍山市','340500',13,3,137,'maanshanshi','mass'),
(138,'淮北市','340600',13,3,138,'huaibeishi','hbs'),
(139,'铜陵市','340700',13,3,139,'tonglingshi','tls'),
(140,'安庆市','340800',13,3,140,'anqingshi','aqs'),
(141,'黄山市','341000',13,3,141,'huangshanshi','hss'),
(142,'滁州市','341100',13,3,142,'chuzhoushi','czs'),
(143,'阜阳市','341200',13,3,143,'fuyangshi','fys'),
(144,'宿州市','341300',13,3,144,'suzhoushi','szs'),
(145,'巢湖市','341400',13,3,145,'chaohushi','chs'),
(146,'六安市','341500',13,3,146,'liuanshi','las'),
(147,'亳州市','341600',13,3,147,'bozhoushi','bzs'),
(148,'池州市','341700',13,3,148,'chizhoushi','czs'),
(149,'宣城市','341800',13,3,149,'xuanchengshi','xcs'),
(150,'福州市','350100',14,3,150,'fuzhoushi','fzs'),
(151,'厦门市','350200',14,3,151,'shamenshi','sms'),
(152,'莆田市','350300',14,3,152,'putianshi','pts'),
(153,'三明市','350400',14,3,153,'sanmingshi','sms'),
(154,'泉州市','350500',14,3,154,'quanzhoushi','qzs'),
(155,'漳州市','350600',14,3,155,'zhangzhoushi','zzs'),
(156,'南平市','350700',14,3,156,'nanpingshi','nps'),
(157,'龙岩市','350800',14,3,157,'longyanshi','lys'),
(158,'宁德市','350900',14,3,158,'ningdeshi','nds'),
(159,'南昌市','360100',15,3,159,'nanchangshi','ncs'),
(160,'景德镇市','360200',15,3,160,'jingdezhenshi','jdzs'),
(161,'萍乡市','360300',15,3,161,'pingxiangshi','pxs'),
(162,'九江市','360400',15,3,162,'jiujiangshi','jjs'),
(163,'新余市','360500',15,3,163,'xinyushi','xys'),
(164,'鹰潭市','360600',15,3,164,'yingtanshi','yts'),
(165,'赣州市','360700',15,3,165,'ganzhoushi','gzs'),
(166,'吉安市','360800',15,3,166,'jianshi','jas'),
(167,'宜春市','360900',15,3,167,'yichunshi','ycs'),
(168,'抚州市','361000',15,3,168,'fuzhoushi','fzs'),
(169,'上饶市','361100',15,3,169,'shangraoshi','srs'),
(170,'济南市','370100',16,3,170,'jinanshi','jns'),
(171,'青岛市','370200',16,3,171,'qingdaoshi','qds'),
(172,'淄博市','370300',16,3,172,'ziboshi','zbs'),
(173,'枣庄市','370400',16,3,173,'zaozhuangshi','zzs'),
(174,'东营市','370500',16,3,174,'dongyingshi','dys'),
(175,'烟台市','370600',16,3,175,'yantaishi','yts'),
(176,'潍坊市','370700',16,3,176,'weifangshi','wfs'),
(177,'济宁市','370800',16,3,177,'jiningshi','jns'),
(178,'泰安市','370900',16,3,178,'taianshi','tas'),
(179,'威海市','371000',16,3,179,'weihaishi','whs'),
(180,'日照市','371100',16,3,180,'rizhaoshi','rzs'),
(181,'莱芜市','371200',16,3,181,'laiwushi','lws'),
(182,'临沂市','371300',16,3,182,'linyishi','lys'),
(183,'德州市','371400',16,3,183,'dezhoushi','dzs'),
(184,'聊城市','371500',16,3,184,'liaochengshi','lcs'),
(185,'滨州市','371600',16,3,185,'binzhoushi','bzs'),
(186,'菏泽市','371700',16,3,186,'hezeshi','hzs'),
(187,'郑州市','410100',17,3,187,'zhengzhoushi','zzs'),
(188,'开封市','410200',17,3,188,'kaifengshi','kfs'),
(189,'洛阳市','410300',17,3,189,'luoyangshi','lys'),
(190,'平顶山市','410400',17,3,190,'pingdingshanshi','pdss'),
(191,'安阳市','410500',17,3,191,'anyangshi','ays'),
(192,'鹤壁市','410600',17,3,192,'hebishi','hbs'),
(193,'新乡市','410700',17,3,193,'xinxiangshi','xxs'),
(194,'焦作市','410800',17,3,194,'jiaozuoshi','jzs'),
(195,'濮阳市','410900',17,3,195,'puyangshi','pys'),
(196,'许昌市','411000',17,3,196,'xuchangshi','xcs'),
(197,'漯河市','411100',17,3,197,'luoheshi','lhs'),
(198,'三门峡市','411200',17,3,198,'sanmenxiashi','smxs'),
(199,'南阳市','411300',17,3,199,'nanyangshi','nys'),
(200,'商丘市','411400',17,3,200,'shangqiushi','sqs'),
(201,'信阳市','411500',17,3,201,'xinyangshi','xys'),
(202,'周口市','411600',17,3,202,'zhoukoushi','zks'),
(203,'驻马店市','411700',17,3,203,'zhumadianshi','zmds'),
(204,'武汉市','420100',18,3,204,'wuhanshi','whs'),
(205,'黄石市','420200',18,3,205,'huangshishi','hss'),
(206,'十堰市','420300',18,3,206,'shiyanshi','sys'),
(207,'宜昌市','420500',18,3,207,'yichangshi','ycs'),
(208,'襄樊市','420600',18,3,208,'xiangfanshi','xfs'),
(209,'鄂州市','420700',18,3,209,'ezhoushi','ezs'),
(210,'荆门市','420800',18,3,210,'jingmenshi','jms'),
(211,'孝感市','420900',18,3,211,'xiaoganshi','xgs'),
(212,'荆州市','421000',18,3,212,'jingzhoushi','jzs'),
(213,'黄冈市','421100',18,3,213,'huanggangshi','hgs'),
(214,'咸宁市','421200',18,3,214,'xianningshi','xns'),
(215,'随州市','421300',18,3,215,'suizhoushi','szs'),
(216,'恩施土家族苗族自治州','422800',18,3,216,'enshitujiazumiaozuzizhizhou','estjzmzzzz'),
(217,'省直辖县级行政区划','429000',18,3,217,'shengzhixiaxianjixingzhengquhua','szxxjxzqh'),
(218,'长沙市','430100',19,3,218,'zhangshashi','zss'),
(219,'株洲市','430200',19,3,219,'zhuzhoushi','zzs'),
(220,'湘潭市','430300',19,3,220,'xiangtanshi','xts'),
(221,'衡阳市','430400',19,3,221,'hengyangshi','hys'),
(222,'邵阳市','430500',19,3,222,'shaoyangshi','sys'),
(223,'岳阳市','430600',19,3,223,'yueyangshi','yys'),
(224,'常德市','430700',19,3,224,'changdeshi','cds'),
(225,'张家界市','430800',19,3,225,'zhangjiajieshi','zjjs'),
(226,'益阳市','430900',19,3,226,'yiyangshi','yys'),
(227,'郴州市','431000',19,3,227,'chenzhoushi','czs'),
(228,'永州市','431100',19,3,228,'yongzhoushi','yzs'),
(229,'怀化市','431200',19,3,229,'huaihuashi','hhs'),
(230,'娄底市','431300',19,3,230,'loudishi','lds'),
(231,'湘西土家族苗族自治州','433100',19,3,231,'xiangxitujiazumiaozuzizhizhou','xxtjzmzzzz'),
(232,'广州市','440100',20,3,232,'guangzhoushi','gzs'),
(233,'韶关市','440200',20,3,233,'shaoguanshi','sgs'),
(234,'深圳市','440300',20,3,234,'shenzhenshi','szs'),
(235,'珠海市','440400',20,3,235,'zhuhaishi','zhs'),
(236,'汕头市','440500',20,3,236,'shantoushi','sts'),
(237,'佛山市','440600',20,3,237,'foshanshi','fss'),
(238,'江门市','440700',20,3,238,'jiangmenshi','jms'),
(239,'湛江市','440800',20,3,239,'zhanjiangshi','zjs'),
(240,'茂名市','440900',20,3,240,'maomingshi','mms'),
(241,'肇庆市','441200',20,3,241,'zhaoqingshi','zqs'),
(242,'惠州市','441300',20,3,242,'huizhoushi','hzs'),
(243,'梅州市','441400',20,3,243,'meizhoushi','mzs'),
(244,'汕尾市','441500',20,3,244,'shanweishi','sws'),
(245,'河源市','441600',20,3,245,'heyuanshi','hys'),
(246,'阳江市','441700',20,3,246,'yangjiangshi','yjs'),
(247,'清远市','441800',20,3,247,'qingyuanshi','qys'),
(248,'东莞市','441900',20,3,248,'dongguanshi','dgs'),
(249,'中山市','442000',20,3,249,'zhongshanshi','zss'),
(250,'潮州市','445100',20,3,250,'chaozhoushi','czs'),
(251,'揭阳市','445200',20,3,251,'jieyangshi','jys'),
(252,'云浮市','445300',20,3,252,'yunfushi','yfs'),
(253,'南宁市','450100',21,3,253,'nanningshi','nns'),
(254,'柳州市','450200',21,3,254,'liuzhoushi','lzs'),
(255,'桂林市','450300',21,3,255,'guilinshi','gls'),
(256,'梧州市','450400',21,3,256,'wuzhoushi','wzs'),
(257,'北海市','450500',21,3,257,'beihaishi','bhs'),
(258,'防城港市','450600',21,3,258,'fangchenggangshi','fcgs'),
(259,'钦州市','450700',21,3,259,'qinzhoushi','qzs'),
(260,'贵港市','450800',21,3,260,'guigangshi','ggs'),
(261,'玉林市','450900',21,3,261,'yulinshi','yls'),
(262,'百色市','451000',21,3,262,'baiseshi','bss'),
(263,'贺州市','451100',21,3,263,'hezhoushi','hzs'),
(264,'河池市','451200',21,3,264,'hechishi','hcs'),
(265,'来宾市','451300',21,3,265,'laibinshi','lbs'),
(266,'崇左市','451400',21,3,266,'chongzuoshi','czs'),
(267,'海口市','460100',22,3,267,'haikoushi','hks'),
(268,'三亚市','460200',22,3,268,'sanyashi','sys'),
(269,'省直辖县级行政区划','469000',22,3,269,'shengzhixiaxianjixingzhengquhua','szxxjxzqh'),
(270,'市辖区','500100',23,3,270,'shixiaqu','sxq'),
(271,'县','500200',23,3,271,'xian','x'),
(273,'成都市','510100',24,3,273,'chengdoushi','cds'),
(274,'自贡市','510300',24,3,274,'zigongshi','zgs'),
(275,'攀枝花市','510400',24,3,275,'panzhihuashi','pzhs'),
(276,'泸州市','510500',24,3,276,'luzhoushi','lzs'),
(277,'德阳市','510600',24,3,277,'deyangshi','dys'),
(278,'绵阳市','510700',24,3,278,'mianyangshi','mys'),
(279,'广元市','510800',24,3,279,'guangyuanshi','gys'),
(280,'遂宁市','510900',24,3,280,'suiningshi','sns'),
(281,'内江市','511000',24,3,281,'neijiangshi','njs'),
(282,'乐山市','511100',24,3,282,'leshanshi','lss'),
(283,'南充市','511300',24,3,283,'nanchongshi','ncs'),
(284,'眉山市','511400',24,3,284,'meishanshi','mss'),
(285,'宜宾市','511500',24,3,285,'yibinshi','ybs'),
(286,'广安市','511600',24,3,286,'guanganshi','gas'),
(287,'达州市','511700',24,3,287,'dazhoushi','dzs'),
(288,'雅安市','511800',24,3,288,'yaanshi','yas'),
(289,'巴中市','511900',24,3,289,'bazhongshi','bzs'),
(290,'资阳市','512000',24,3,290,'ziyangshi','zys'),
(291,'阿坝藏族羌族自治州','513200',24,3,291,'abazangzuqiangzuzizhizhou','abzzqzzzz'),
(292,'甘孜藏族自治州','513300',24,3,292,'ganzizangzuzizhizhou','gzzzzzz'),
(293,'凉山彝族自治州','513400',24,3,293,'liangshanyizuzizhizhou','lsyzzzz'),
(294,'贵阳市','520100',25,3,294,'guiyangshi','gys'),
(295,'六盘水市','520200',25,3,295,'liupanshuishi','lpss'),
(296,'遵义市','520300',25,3,296,'zunyishi','zys'),
(297,'安顺市','520400',25,3,297,'anshunshi','ass'),
(298,'铜仁地区','522200',25,3,298,'tongrendiqu','trdq'),
(299,'黔西南布依族苗族自治州','522300',25,3,299,'qianxinanbuyizumiaozuzizhizhou','qxnbyzmzzzz'),
(300,'毕节地区','522400',25,3,300,'bijiediqu','bjdq'),
(301,'黔东南苗族侗族自治州','522600',25,3,301,'qiandongnanmiaozudongzuzizhizhou','qdnmzdzzzz'),
(302,'黔南布依族苗族自治州','522700',25,3,302,'qiannanbuyizumiaozuzizhizhou','qnbyzmzzzz'),
(303,'昆明市','530100',26,3,303,'kunmingshi','kms'),
(304,'曲靖市','530300',26,3,304,'qujingshi','qjs'),
(305,'玉溪市','530400',26,3,305,'yuxishi','yxs'),
(306,'保山市','530500',26,3,306,'baoshanshi','bss'),
(307,'昭通市','530600',26,3,307,'zhaotongshi','zts'),
(308,'丽江市','530700',26,3,308,'lijiangshi','ljs'),
(309,'普洱市','530800',26,3,309,'puershi','pes'),
(310,'临沧市','530900',26,3,310,'lincangshi','lcs'),
(311,'楚雄彝族自治州','532300',26,3,311,'chuxiongyizuzizhizhou','cxyzzzz'),
(312,'红河哈尼族彝族自治州','532500',26,3,312,'honghehanizuyizuzizhizhou','hhhnzyzzzz'),
(313,'文山壮族苗族自治州','532600',26,3,313,'wenshanzhuangzumiaozuzizhizhou','wszzmzzzz'),
(314,'西双版纳傣族自治州','532800',26,3,314,'xishuangbannadaizuzizhizhou','xsbndzzzz'),
(315,'大理白族自治州','532900',26,3,315,'dalibaizuzizhizhou','dlbzzzz'),
(316,'德宏傣族景颇族自治州','533100',26,3,316,'dehongdaizujingpozuzizhizhou','dhdzjpzzzz'),
(317,'怒江傈僳族自治州','533300',26,3,317,'nujianglisuzuzizhizhou','njlszzzz'),
(318,'迪庆藏族自治州','533400',26,3,318,'diqingzangzuzizhizhou','dqzzzzz'),
(319,'拉萨市','540100',27,3,319,'lasashi','lss'),
(320,'昌都地区','542100',27,3,320,'changdoudiqu','cddq'),
(321,'山南地区','542200',27,3,321,'shannandiqu','sndq'),
(322,'日喀则地区','542300',27,3,322,'rikazediqu','rkzdq'),
(323,'那曲地区','542400',27,3,323,'neiqudiqu','nqdq'),
(324,'阿里地区','542500',27,3,324,'alidiqu','aldq'),
(325,'林芝地区','542600',27,3,325,'linzhidiqu','lzdq'),
(326,'西安市','610100',28,3,326,'xianshi','xas'),
(327,'铜川市','610200',28,3,327,'tongchuanshi','tcs'),
(328,'宝鸡市','610300',28,3,328,'baojishi','bjs'),
(329,'咸阳市','610400',28,3,329,'xianyangshi','xys'),
(330,'渭南市','610500',28,3,330,'weinanshi','wns'),
(331,'延安市','610600',28,3,331,'yananshi','yas'),
(332,'汉中市','610700',28,3,332,'hanzhongshi','hzs'),
(333,'榆林市','610800',28,3,333,'yulinshi','yls'),
(334,'安康市','610900',28,3,334,'ankangshi','aks'),
(335,'商洛市','611000',28,3,335,'shangluoshi','sls'),
(336,'兰州市','620100',29,3,336,'lanzhoushi','lzs'),
(337,'嘉峪关市','620200',29,3,337,'jiayuguanshi','jygs'),
(338,'金昌市','620300',29,3,338,'jinchangshi','jcs'),
(339,'白银市','620400',29,3,339,'baiyinshi','bys'),
(340,'天水市','620500',29,3,340,'tianshuishi','tss'),
(341,'武威市','620600',29,3,341,'wuweishi','wws'),
(342,'张掖市','620700',29,3,342,'zhangyeshi','zys'),
(343,'平凉市','620800',29,3,343,'pingliangshi','pls'),
(344,'酒泉市','620900',29,3,344,'jiuquanshi','jqs'),
(345,'庆阳市','621000',29,3,345,'qingyangshi','qys'),
(346,'定西市','621100',29,3,346,'dingxishi','dxs'),
(347,'陇南市','621200',29,3,347,'longnanshi','lns'),
(348,'临夏回族自治州','622900',29,3,348,'linxiahuizuzizhizhou','lxhzzzz'),
(349,'甘南藏族自治州','623000',29,3,349,'gannanzangzuzizhizhou','gnzzzzz'),
(350,'西宁市','630100',30,3,350,'xiningshi','xns'),
(351,'海东地区','632100',30,3,351,'haidongdiqu','hddq'),
(352,'海北藏族自治州','632200',30,3,352,'haibeizangzuzizhizhou','hbzzzzz'),
(353,'黄南藏族自治州','632300',30,3,353,'huangnanzangzuzizhizhou','hnzzzzz'),
(354,'海南藏族自治州','632500',30,3,354,'hainanzangzuzizhizhou','hnzzzzz'),
(355,'果洛藏族自治州','632600',30,3,355,'guoluozangzuzizhizhou','glzzzzz'),
(356,'玉树藏族自治州','632700',30,3,356,'yushuzangzuzizhizhou','yszzzzz'),
(357,'海西蒙古族藏族自治州','632800',30,3,357,'haiximengguzuzangzuzizhizhou','hxmgzzzzzz'),
(358,'银川市','640100',31,3,358,'yinchuanshi','ycs'),
(359,'石嘴山市','640200',31,3,359,'shizuishanshi','szss'),
(360,'吴忠市','640300',31,3,360,'wuzhongshi','wzs'),
(361,'固原市','640400',31,3,361,'guyuanshi','gys'),
(362,'中卫市','640500',31,3,362,'zhongweishi','zws'),
(363,'乌鲁木齐市','650100',32,3,363,'wulumuqishi','wlmqs'),
(364,'克拉玛依市','650200',32,3,364,'kelamayishi','klmys'),
(365,'吐鲁番地区','652100',32,3,365,'tulufandiqu','tlfdq'),
(366,'哈密地区','652200',32,3,366,'hamidiqu','hmdq'),
(367,'昌吉回族自治州','652300',32,3,367,'changjihuizuzizhizhou','cjhzzzz'),
(368,'博尔塔拉蒙古自治州','652700',32,3,368,'boertalamengguzizhizhou','betlmgzzz'),
(369,'巴音郭楞蒙古自治州','652800',32,3,369,'bayinguolengmengguzizhizhou','byglmgzzz'),
(370,'阿克苏地区','652900',32,3,370,'akesudiqu','aksdq'),
(371,'克孜勒苏柯尔克孜自治州','653000',32,3,371,'kezilesukeerkezizizhizhou','kzlskekzzzz'),
(372,'喀什地区','653100',32,3,372,'kashendiqu','ksdq'),
(373,'和田地区','653200',32,3,373,'hetiandiqu','htdq'),
(374,'伊犁哈萨克自治州','654000',32,3,374,'yilihasakezizhizhou','ylhskzzz'),
(375,'塔城地区','654200',32,3,375,'tachengdiqu','tcdq'),
(376,'阿勒泰地区','654300',32,3,376,'aletaidiqu','altdq'),
(377,'自治区直辖县级行政区划','659000',32,3,377,'zizhiquzhixiaxianjixingzhengquhua','zzqzxxjxzqh'),
(378,'东城区','110101',33,4,378,'dongchengqu','dcq'),
(379,'西城区','110102',33,4,379,'xichengqu','xcq'),
(382,'朝阳区','110105',33,4,382,'chaoyangqu','cyq'),
(383,'丰台区','110106',33,4,383,'fengtaiqu','ftq'),
(384,'石景山区','110107',33,4,384,'shijingshanqu','sjsq'),
(385,'海淀区','110108',33,4,385,'haidianqu','hdq'),
(386,'门头沟区','110109',33,4,386,'mentougouqu','mtgq'),
(387,'房山区','110111',33,4,387,'fangshanqu','fsq'),
(388,'通州区','110112',33,4,388,'tongzhouqu','tzq'),
(389,'顺义区','110113',33,4,389,'shunyiqu','syq'),
(390,'昌平区','110114',33,4,390,'changpingqu','cpq'),
(391,'大兴区','110115',33,4,391,'daxingqu','dxq'),
(392,'怀柔区','110116',33,4,392,'huairouqu','hrq'),
(393,'平谷区','110117',33,4,393,'pingguqu','pgq'),
(394,'密云县','110228',34,4,394,'miyunxian','myx'),
(395,'延庆县','110229',34,4,395,'yanqingxian','yqx'),
(396,'和平区','120101',35,4,396,'hepingqu','hpq'),
(397,'河东区','120102',35,4,397,'hedongqu','hdq'),
(398,'河西区','120103',35,4,398,'hexiqu','hxq'),
(399,'南开区','120104',35,4,399,'nankaiqu','nkq'),
(400,'河北区','120105',35,4,400,'hebeiqu','hbq'),
(401,'红桥区','120106',35,4,401,'hongqiaoqu','hqq'),
(404,'滨海新区','120116',35,4,404,'binhaixinqu','bhxq'),
(405,'东丽区','120110',35,4,405,'dongliqu','dlq'),
(406,'西青区','120111',35,4,406,'xiqingqu','xqq'),
(407,'津南区','120112',35,4,407,'jinnanqu','jnq'),
(408,'北辰区','120113',35,4,408,'beichenqu','bcq'),
(409,'武清区','120114',35,4,409,'wuqingqu','wqq'),
(410,'宝坻区','120115',35,4,410,'baochiqu','bcq'),
(411,'宁河县','120221',36,4,411,'ninghexian','nhx'),
(412,'静海县','120223',36,4,412,'jinghaixian','jhx'),
(413,'蓟县','120225',36,4,413,'jixian','jx'),
(415,'长安区','130102',37,4,415,'zhanganqu','zaq'),
(416,'桥东区','130103',37,4,416,'qiaodongqu','qdq'),
(417,'桥西区','130104',37,4,417,'qiaoxiqu','qxq'),
(418,'新华区','130105',37,4,418,'xinhuaqu','xhq'),
(419,'井陉矿区','130107',37,4,419,'jingxingkuangqu','jxkq'),
(420,'裕华区','130108',37,4,420,'yuhuaqu','yhq'),
(421,'井陉县','130121',37,4,421,'jingxingxian','jxx'),
(422,'正定县','130123',37,4,422,'zhengdingxian','zdx'),
(423,'栾城县','130124',37,4,423,'luanchengxian','lcx'),
(424,'行唐县','130125',37,4,424,'xingtangxian','xtx'),
(425,'灵寿县','130126',37,4,425,'lingshouxian','lsx'),
(426,'高邑县','130127',37,4,426,'gaoyixian','gyx'),
(427,'深泽县','130128',37,4,427,'shenzexian','szx'),
(428,'赞皇县','130129',37,4,428,'zanhuangxian','zhx'),
(429,'无极县','130130',37,4,429,'wujixian','wjx'),
(430,'平山县','130131',37,4,430,'pingshanxian','psx'),
(431,'元氏县','130132',37,4,431,'yuanshixian','ysx'),
(432,'赵县','130133',37,4,432,'zhaoxian','zx'),
(433,'辛集市','130181',37,4,433,'xinjishi','xjs'),
(434,'藁城市','130182',37,4,434,'gaochengshi','gcs'),
(435,'晋州市','130183',37,4,435,'jinzhoushi','jzs'),
(436,'新乐市','130184',37,4,436,'xinleshi','xls'),
(437,'鹿泉市','130185',37,4,437,'luquanshi','lqs'),
(439,'路南区','130202',38,4,439,'lunanqu','lnq'),
(440,'路北区','130203',38,4,440,'lubeiqu','lbq'),
(441,'古冶区','130204',38,4,441,'guyequ','gyq'),
(442,'开平区','130205',38,4,442,'kaipingqu','kpq'),
(443,'丰南区','130207',38,4,443,'fengnanqu','fnq'),
(444,'丰润区','130208',38,4,444,'fengrunqu','frq'),
(445,'滦县','130223',38,4,445,'luanxian','lx'),
(446,'滦南县','130224',38,4,446,'luannanxian','lnx'),
(447,'乐亭县','130225',38,4,447,'letingxian','ltx'),
(448,'迁西县','130227',38,4,448,'qianxixian','qxx'),
(449,'玉田县','130229',38,4,449,'yutianxian','ytx'),
(450,'唐海县','130230',38,4,450,'tanghaixian','thx'),
(451,'遵化市','130281',38,4,451,'zunhuashi','zhs'),
(452,'迁安市','130283',38,4,452,'qiananshi','qas'),
(454,'海港区','130302',39,4,454,'haigangqu','hgq'),
(455,'山海关区','130303',39,4,455,'shanhaiguanqu','shgq'),
(456,'北戴河区','130304',39,4,456,'beidaihequ','bdhq'),
(457,'青龙满族自治县','130321',39,4,457,'qinglongmanzuzizhixian','qlmzzzx'),
(458,'昌黎县','130322',39,4,458,'changlixian','clx'),
(459,'抚宁县','130323',39,4,459,'funingxian','fnx'),
(460,'卢龙县','130324',39,4,460,'lulongxian','llx'),
(462,'邯山区','130402',40,4,462,'hanshanqu','hsq'),
(463,'丛台区','130403',40,4,463,'congtaiqu','ctq'),
(464,'复兴区','130404',40,4,464,'fuxingqu','fxq'),
(465,'峰峰矿区','130406',40,4,465,'fengfengkuangqu','ffkq'),
(466,'邯郸县','130421',40,4,466,'handanxian','hdx'),
(467,'临漳县','130423',40,4,467,'linzhangxian','lzx'),
(468,'成安县','130424',40,4,468,'chenganxian','cax'),
(469,'大名县','130425',40,4,469,'damingxian','dmx'),
(470,'涉县','130426',40,4,470,'shexian','sx'),
(471,'磁县','130427',40,4,471,'cixian','cx'),
(472,'肥乡县','130428',40,4,472,'feixiangxian','fxx'),
(473,'永年县','130429',40,4,473,'yongnianxian','ynx'),
(474,'邱县','130430',40,4,474,'qiuxian','qx'),
(475,'鸡泽县','130431',40,4,475,'jizexian','jzx'),
(476,'广平县','130432',40,4,476,'guangpingxian','gpx'),
(477,'馆陶县','130433',40,4,477,'guantaoxian','gtx'),
(478,'魏县','130434',40,4,478,'weixian','wx'),
(479,'曲周县','130435',40,4,479,'quzhouxian','qzx'),
(480,'武安市','130481',40,4,480,'wuanshi','was'),
(482,'桥东区','130502',41,4,482,'qiaodongqu','qdq'),
(483,'桥西区','130503',41,4,483,'qiaoxiqu','qxq'),
(484,'邢台县','130521',41,4,484,'xingtaixian','xtx'),
(485,'临城县','130522',41,4,485,'linchengxian','lcx'),
(486,'内丘县','130523',41,4,486,'neiqiuxian','nqx'),
(487,'柏乡县','130524',41,4,487,'boxiangxian','bxx'),
(488,'隆尧县','130525',41,4,488,'longyaoxian','lyx'),
(489,'任县','130526',41,4,489,'renxian','rx'),
(490,'南和县','130527',41,4,490,'nanhexian','nhx'),
(491,'宁晋县','130528',41,4,491,'ningjinxian','njx'),
(492,'巨鹿县','130529',41,4,492,'juluxian','jlx'),
(493,'新河县','130530',41,4,493,'xinhexian','xhx'),
(494,'广宗县','130531',41,4,494,'guangzongxian','gzx'),
(495,'平乡县','130532',41,4,495,'pingxiangxian','pxx'),
(496,'威县','130533',41,4,496,'weixian','wx'),
(497,'清河县','130534',41,4,497,'qinghexian','qhx'),
(498,'临西县','130535',41,4,498,'linxixian','lxx'),
(499,'南宫市','130581',41,4,499,'nangongshi','ngs'),
(500,'沙河市','130582',41,4,500,'shaheshi','shs'),
(502,'新市区','130600',42,4,502,'xinshiqu','xsq'),
(503,'北市区','130603',42,4,503,'beishiqu','bsq'),
(504,'南市区','130604',42,4,504,'nanshiqu','nsq'),
(505,'满城县','130621',42,4,505,'manchengxian','mcx'),
(506,'清苑县','130622',42,4,506,'qingyuanxian','qyx'),
(507,'涞水县','130623',42,4,507,'laishuixian','lsx'),
(508,'阜平县','130624',42,4,508,'fupingxian','fpx'),
(509,'徐水县','130625',42,4,509,'xushuixian','xsx'),
(510,'定兴县','130626',42,4,510,'dingxingxian','dxx'),
(511,'唐县','130627',42,4,511,'tangxian','tx'),
(512,'高阳县','130628',42,4,512,'gaoyangxian','gyx'),
(513,'容城县','130629',42,4,513,'rongchengxian','rcx'),
(514,'涞源县','130630',42,4,514,'laiyuanxian','lyx'),
(515,'望都县','130631',42,4,515,'wangdouxian','wdx'),
(516,'安新县','130632',42,4,516,'anxinxian','axx'),
(517,'易县','130633',42,4,517,'yixian','yx'),
(518,'曲阳县','130634',42,4,518,'quyangxian','qyx'),
(519,'蠡县','130635',42,4,519,'lixian','lx'),
(520,'顺平县','130636',42,4,520,'shunpingxian','spx'),
(521,'博野县','130637',42,4,521,'boyexian','byx'),
(522,'雄县','130638',42,4,522,'xiongxian','xx'),
(523,'涿州市','130681',42,4,523,'zhuozhoushi','zzs'),
(524,'定州市','130682',42,4,524,'dingzhoushi','dzs'),
(525,'安国市','130683',42,4,525,'anguoshi','ags'),
(526,'高碑店市','130684',42,4,526,'gaobeidianshi','gbds'),
(528,'桥东区','130702',43,4,528,'qiaodongqu','qdq'),
(529,'桥西区','130703',43,4,529,'qiaoxiqu','qxq'),
(530,'宣化区','130705',43,4,530,'xuanhuaqu','xhq'),
(531,'下花园区','130706',43,4,531,'xiahuayuanqu','xhyq'),
(532,'宣化县','130721',43,4,532,'xuanhuaxian','xhx'),
(533,'张北县','130722',43,4,533,'zhangbeixian','zbx'),
(534,'康保县','130723',43,4,534,'kangbaoxian','kbx'),
(535,'沽源县','130724',43,4,535,'guyuanxian','gyx'),
(536,'尚义县','130725',43,4,536,'shangyixian','syx'),
(537,'蔚县','130726',43,4,537,'yuxian','yx'),
(538,'阳原县','130727',43,4,538,'yangyuanxian','yyx'),
(539,'怀安县','130728',43,4,539,'huaianxian','hax'),
(540,'万全县','130729',43,4,540,'wanquanxian','wqx'),
(541,'怀来县','130730',43,4,541,'huailaixian','hlx'),
(542,'涿鹿县','130731',43,4,542,'zhuoluxian','zlx'),
(543,'赤城县','130732',43,4,543,'chichengxian','ccx'),
(544,'崇礼县','130733',43,4,544,'chonglixian','clx'),
(546,'双桥区','130802',44,4,546,'shuangqiaoqu','sqq'),
(547,'双滦区','130803',44,4,547,'shuangluanqu','slq'),
(548,'鹰手营子矿区','130804',44,4,548,'yingshouyingzikuangqu','ysyzkq'),
(549,'承德县','130821',44,4,549,'chengdexian','cdx'),
(550,'兴隆县','130822',44,4,550,'xinglongxian','xlx'),
(551,'平泉县','130823',44,4,551,'pingquanxian','pqx'),
(552,'滦平县','130824',44,4,552,'luanpingxian','lpx'),
(553,'隆化县','130825',44,4,553,'longhuaxian','lhx'),
(554,'丰宁满族自治县','130826',44,4,554,'fengningmanzuzizhixian','fnmzzzx'),
(555,'宽城满族自治县','130827',44,4,555,'kuanchengmanzuzizhixian','kcmzzzx'),
(556,'围场满族蒙古族自治县','130828',44,4,556,'weichangmanzumengguzuzizhixian','wcmzmgzzzx'),
(558,'新华区','130902',45,4,558,'xinhuaqu','xhq'),
(559,'运河区','130903',45,4,559,'yunhequ','yhq'),
(560,'沧县','130921',45,4,560,'cangxian','cx'),
(561,'青县','130922',45,4,561,'qingxian','qx'),
(562,'东光县','130923',45,4,562,'dongguangxian','dgx'),
(563,'海兴县','130924',45,4,563,'haixingxian','hxx'),
(564,'盐山县','130925',45,4,564,'yanshanxian','ysx'),
(565,'肃宁县','130926',45,4,565,'suningxian','snx'),
(566,'南皮县','130927',45,4,566,'nanpixian','npx'),
(567,'吴桥县','130928',45,4,567,'wuqiaoxian','wqx'),
(568,'献县','130929',45,4,568,'xianxian','xx'),
(569,'孟村回族自治县','130930',45,4,569,'mengcunhuizuzizhixian','mchzzzx'),
(570,'泊头市','130981',45,4,570,'botoushi','bts'),
(571,'任丘市','130982',45,4,571,'renqiushi','rqs'),
(572,'黄骅市','130983',45,4,572,'huanghuashi','hhs'),
(573,'河间市','130984',45,4,573,'hejianshi','hjs'),
(575,'安次区','131002',46,4,575,'anciqu','acq'),
(576,'广阳区','131003',46,4,576,'guangyangqu','gyq'),
(577,'固安县','131022',46,4,577,'guanxian','gax'),
(578,'永清县','131023',46,4,578,'yongqingxian','yqx'),
(579,'香河县','131024',46,4,579,'xianghexian','xhx'),
(580,'大城县','131025',46,4,580,'dachengxian','dcx'),
(581,'文安县','131026',46,4,581,'wenanxian','wax'),
(582,'大厂回族自治县','131028',46,4,582,'dachanghuizuzizhixian','dchzzzx'),
(583,'霸州市','131081',46,4,583,'bazhoushi','bzs'),
(584,'三河市','131082',46,4,584,'sanheshi','shs'),
(586,'桃城区','131102',47,4,586,'taochengqu','tcq'),
(587,'枣强县','131121',47,4,587,'zaoqiangxian','zqx'),
(588,'武邑县','131122',47,4,588,'wuyixian','wyx'),
(589,'武强县','131123',47,4,589,'wuqiangxian','wqx'),
(590,'饶阳县','131124',47,4,590,'raoyangxian','ryx'),
(591,'安平县','131125',47,4,591,'anpingxian','apx'),
(592,'故城县','131126',47,4,592,'guchengxian','gcx'),
(593,'景县','131127',47,4,593,'jingxian','jx'),
(594,'阜城县','131128',47,4,594,'fuchengxian','fcx'),
(595,'冀州市','131181',47,4,595,'jizhoushi','jzs'),
(596,'深州市','131182',47,4,596,'shenzhoushi','szs'),
(598,'小店区','140105',48,4,598,'xiaodianqu','xdq'),
(599,'迎泽区','140106',48,4,599,'yingzequ','yzq'),
(600,'杏花岭区','140107',48,4,600,'xinghualingqu','xhlq'),
(601,'尖草坪区','140108',48,4,601,'jiancaopingqu','jcpq'),
(602,'万柏林区','140109',48,4,602,'wanbolinqu','wblq'),
(603,'晋源区','140110',48,4,603,'jinyuanqu','jyq'),
(604,'清徐县','140121',48,4,604,'qingxuxian','qxx'),
(605,'阳曲县','140122',48,4,605,'yangquxian','yqx'),
(606,'娄烦县','140123',48,4,606,'loufanxian','lfx'),
(607,'古交市','140181',48,4,607,'gujiaoshi','gjs'),
(609,'城区','140202',49,4,609,'chengqu','cq'),
(610,'矿区','140203',49,4,610,'kuangqu','kq'),
(611,'南郊区','140211',49,4,611,'nanjiaoqu','njq'),
(612,'新荣区','140212',49,4,612,'xinrongqu','xrq'),
(613,'阳高县','140221',49,4,613,'yanggaoxian','ygx'),
(614,'天镇县','140222',49,4,614,'tianzhenxian','tzx'),
(615,'广灵县','140223',49,4,615,'guanglingxian','glx'),
(616,'灵丘县','140224',49,4,616,'lingqiuxian','lqx'),
(617,'浑源县','140225',49,4,617,'hunyuanxian','hyx'),
(618,'左云县','140226',49,4,618,'zuoyunxian','zyx'),
(619,'大同县','140227',49,4,619,'datongxian','dtx'),
(621,'城区','140302',50,4,621,'chengqu','cq'),
(622,'矿区','140303',50,4,622,'kuangqu','kq'),
(623,'郊区','140311',50,4,623,'jiaoqu','jq'),
(624,'平定县','140321',50,4,624,'pingdingxian','pdx'),
(625,'盂县','140322',50,4,625,'yuxian','yx'),
(627,'城区','140402',51,4,627,'chengqu','cq'),
(628,'郊区','140411',51,4,628,'jiaoqu','jq'),
(629,'长治县','140421',51,4,629,'zhangzhixian','zzx'),
(630,'襄垣县','140423',51,4,630,'xiangyuanxian','xyx'),
(631,'屯留县','140424',51,4,631,'tunliuxian','tlx'),
(632,'平顺县','140425',51,4,632,'pingshunxian','psx'),
(633,'黎城县','140426',51,4,633,'lichengxian','lcx'),
(634,'壶关县','140427',51,4,634,'huguanxian','hgx'),
(635,'长子县','140428',51,4,635,'zhangzixian','zzx'),
(636,'武乡县','140429',51,4,636,'wuxiangxian','wxx'),
(637,'沁县','140430',51,4,637,'qinxian','qx'),
(638,'沁源县','140431',51,4,638,'qinyuanxian','qyx'),
(639,'潞城市','140481',51,4,639,'luchengshi','lcs'),
(641,'城区','140502',52,4,641,'chengqu','cq'),
(642,'沁水县','140521',52,4,642,'qinshuixian','qsx'),
(643,'阳城县','140522',52,4,643,'yangchengxian','ycx'),
(644,'陵川县','140524',52,4,644,'lingchuanxian','lcx'),
(645,'泽州县','140525',52,4,645,'zezhouxian','zzx'),
(646,'高平市','140581',52,4,646,'gaopingshi','gps'),
(648,'朔城区','140602',53,4,648,'shuochengqu','scq'),
(649,'平鲁区','140603',53,4,649,'pingluqu','plq'),
(650,'山阴县','140621',53,4,650,'shanyinxian','syx'),
(651,'应县','140622',53,4,651,'yingxian','yx'),
(652,'右玉县','140623',53,4,652,'youyuxian','yyx'),
(653,'怀仁县','140624',53,4,653,'huairenxian','hrx'),
(655,'榆次区','140702',54,4,655,'yuciqu','ycq'),
(656,'榆社县','140721',54,4,656,'yushexian','ysx'),
(657,'左权县','140722',54,4,657,'zuoquanxian','zqx'),
(658,'和顺县','140723',54,4,658,'heshunxian','hsx'),
(659,'昔阳县','140724',54,4,659,'xiyangxian','xyx'),
(660,'寿阳县','140725',54,4,660,'shouyangxian','syx'),
(661,'太谷县','140726',54,4,661,'taiguxian','tgx'),
(662,'祁县','140727',54,4,662,'qixian','qx'),
(663,'平遥县','140728',54,4,663,'pingyaoxian','pyx'),
(664,'灵石县','140729',54,4,664,'lingshixian','lsx'),
(665,'介休市','140781',54,4,665,'jiexiushi','jxs'),
(667,'盐湖区','140802',55,4,667,'yanhuqu','yhq'),
(668,'临猗县','140821',55,4,668,'linyixian','lyx'),
(669,'万荣县','140822',55,4,669,'wanrongxian','wrx'),
(670,'闻喜县','140823',55,4,670,'wenxixian','wxx'),
(671,'稷山县','140824',55,4,671,'jishanxian','jsx'),
(672,'新绛县','140825',55,4,672,'xinjiangxian','xjx'),
(673,'绛县','140826',55,4,673,'jiangxian','jx'),
(674,'垣曲县','140827',55,4,674,'yuanquxian','yqx'),
(675,'夏县','140828',55,4,675,'xiaxian','xx'),
(676,'平陆县','140829',55,4,676,'pingluxian','plx'),
(677,'芮城县','140830',55,4,677,'ruichengxian','rcx'),
(678,'永济市','140881',55,4,678,'yongjishi','yjs'),
(679,'河津市','140882',55,4,679,'hejinshi','hjs'),
(681,'忻府区','140902',56,4,681,'xinfuqu','xfq'),
(682,'定襄县','140921',56,4,682,'dingxiangxian','dxx'),
(683,'五台县','140922',56,4,683,'wutaixian','wtx'),
(684,'代县','140923',56,4,684,'daixian','dx'),
(685,'繁峙县','140924',56,4,685,'fanzhixian','fzx'),
(686,'宁武县','140925',56,4,686,'ningwuxian','nwx'),
(687,'静乐县','140926',56,4,687,'jinglexian','jlx'),
(688,'神池县','140927',56,4,688,'shenchixian','scx'),
(689,'五寨县','140928',56,4,689,'wuzhaixian','wzx'),
(690,'岢岚县','140929',56,4,690,'kelanxian','klx'),
(691,'河曲县','140930',56,4,691,'hequxian','hqx'),
(692,'保德县','140931',56,4,692,'baodexian','bdx'),
(693,'偏关县','140932',56,4,693,'pianguanxian','pgx'),
(694,'原平市','140981',56,4,694,'yuanpingshi','yps'),
(696,'尧都区','141002',57,4,696,'yaodouqu','ydq'),
(697,'曲沃县','141021',57,4,697,'quwoxian','qwx'),
(698,'翼城县','141022',57,4,698,'yichengxian','ycx'),
(699,'襄汾县','141023',57,4,699,'xiangfenxian','xfx'),
(700,'洪洞县','141024',57,4,700,'hongdongxian','hdx'),
(701,'古县','141025',57,4,701,'guxian','gx'),
(702,'安泽县','141026',57,4,702,'anzexian','azx'),
(703,'浮山县','141027',57,4,703,'fushanxian','fsx'),
(704,'吉县','141028',57,4,704,'jixian','jx'),
(705,'乡宁县','141029',57,4,705,'xiangningxian','xnx'),
(706,'大宁县','141030',57,4,706,'daningxian','dnx'),
(707,'隰县','141031',57,4,707,'xixian','xx'),
(708,'永和县','141032',57,4,708,'yonghexian','yhx'),
(709,'蒲县','141033',57,4,709,'puxian','px'),
(710,'汾西县','141034',57,4,710,'fenxixian','fxx'),
(711,'侯马市','141081',57,4,711,'houmashi','hms'),
(712,'霍州市','141082',57,4,712,'huozhoushi','hzs'),
(714,'离石区','141102',58,4,714,'lishiqu','lsq'),
(715,'文水县','141121',58,4,715,'wenshuixian','wsx'),
(716,'交城县','141122',58,4,716,'jiaochengxian','jcx'),
(717,'兴县','141123',58,4,717,'xingxian','xx'),
(718,'临县','141124',58,4,718,'linxian','lx'),
(719,'柳林县','141125',58,4,719,'liulinxian','llx'),
(720,'石楼县','141126',58,4,720,'shilouxian','slx'),
(721,'岚县','141127',58,4,721,'lanxian','lx'),
(722,'方山县','141128',58,4,722,'fangshanxian','fsx'),
(723,'中阳县','141129',58,4,723,'zhongyangxian','zyx'),
(724,'交口县','141130',58,4,724,'jiaokouxian','jkx'),
(725,'孝义市','141181',58,4,725,'xiaoyishi','xys'),
(726,'汾阳市','141182',58,4,726,'fenyangshi','fys'),
(728,'新城区','150102',59,4,728,'xinchengqu','xcq'),
(729,'回民区','150103',59,4,729,'huiminqu','hmq'),
(730,'玉泉区','150104',59,4,730,'yuquanqu','yqq'),
(731,'赛罕区','150105',59,4,731,'saihanqu','shq'),
(732,'土默特左旗','150121',59,4,732,'tumotezuoqi','tmtzq'),
(733,'托克托县','150122',59,4,733,'tuoketuoxian','tktx'),
(734,'和林格尔县','150123',59,4,734,'helingeerxian','hlgex'),
(735,'清水河县','150124',59,4,735,'qingshuihexian','qshx'),
(736,'武川县','150125',59,4,736,'wuchuanxian','wcx'),
(738,'东河区','150202',60,4,738,'donghequ','dhq'),
(739,'昆都仑区','150203',60,4,739,'kundoulunqu','kdlq'),
(740,'青山区','150204',60,4,740,'qingshanqu','qsq'),
(741,'石拐区','150205',60,4,741,'shiguaiqu','sgq'),
(742,'白云鄂博矿区','150206',60,4,742,'baiyunebokuangqu','byebkq'),
(743,'九原区','150207',60,4,743,'jiuyuanqu','jyq'),
(744,'土默特右旗','150221',60,4,744,'tumoteyouqi','tmtyq'),
(745,'固阳县','150222',60,4,745,'guyangxian','gyx'),
(746,'达尔罕茂明安联合旗','150223',60,4,746,'daerhanmaominganlianheqi','dehmmalhq'),
(748,'海勃湾区','150302',61,4,748,'haibowanqu','hbwq'),
(749,'海南区','150303',61,4,749,'hainanqu','hnq'),
(750,'乌达区','150304',61,4,750,'wudaqu','wdq'),
(752,'红山区','150402',62,4,752,'hongshanqu','hsq'),
(753,'元宝山区','150403',62,4,753,'yuanbaoshanqu','ybsq'),
(754,'松山区','150404',62,4,754,'songshanqu','ssq'),
(755,'阿鲁科尔沁旗','150421',62,4,755,'alukeerqinqi','alkeqq'),
(756,'巴林左旗','150422',62,4,756,'balinzuoqi','blzq'),
(757,'巴林右旗','150423',62,4,757,'balinyouqi','blyq'),
(758,'林西县','150424',62,4,758,'linxixian','lxx'),
(759,'克什克腾旗','150425',62,4,759,'keshenketengqi','ksktq'),
(760,'翁牛特旗','150426',62,4,760,'wengniuteqi','wntq'),
(761,'喀喇沁旗','150428',62,4,761,'kalaqinqi','klqq'),
(762,'宁城县','150429',62,4,762,'ningchengxian','ncx'),
(763,'敖汉旗','150430',62,4,763,'aohanqi','ahq'),
(765,'科尔沁区','150502',63,4,765,'keerqinqu','keqq'),
(766,'科尔沁左翼中旗','150521',63,4,766,'keerqinzuoyizhongqi','keqzyzq'),
(767,'科尔沁左翼后旗','150522',63,4,767,'keerqinzuoyihouqi','keqzyhq'),
(768,'开鲁县','150523',63,4,768,'kailuxian','klx'),
(769,'库伦旗','150524',63,4,769,'kulunqi','klq'),
(770,'奈曼旗','150525',63,4,770,'naimanqi','nmq'),
(771,'扎鲁特旗','150526',63,4,771,'zhaluteqi','zltq'),
(772,'霍林郭勒市','150581',63,4,772,'huolinguoleshi','hlgls'),
(773,'东胜区','150602',64,4,773,'dongshengqu','dsq'),
(774,'达拉特旗','150621',64,4,774,'dalateqi','dltq'),
(775,'准格尔旗','150622',64,4,775,'zhungeerqi','zgeq'),
(776,'鄂托克前旗','150623',64,4,776,'etuokeqianqi','etkqq'),
(777,'鄂托克旗','150624',64,4,777,'etuokeqi','etkq'),
(778,'杭锦旗','150625',64,4,778,'hangjinqi','hjq'),
(779,'乌审旗','150626',64,4,779,'wushenqi','wsq'),
(780,'伊金霍洛旗','150627',64,4,780,'yijinhuoluoqi','yjhlq'),
(782,'海拉尔区','150702',65,4,782,'hailaerqu','hleq'),
(783,'阿荣旗','150721',65,4,783,'arongqi','arq'),
(784,'莫力达瓦达斡尔族自治旗','150722',65,4,784,'molidawadawoerzuzizhiqi','mldwdwezzzq'),
(785,'鄂伦春自治旗','150723',65,4,785,'elunchunzizhiqi','elczzq'),
(786,'鄂温克族自治旗','150724',65,4,786,'ewenkezuzizhiqi','ewkzzzq'),
(787,'陈巴尔虎旗','150725',65,4,787,'chenbaerhuqi','cbehq'),
(788,'新巴尔虎左旗','150726',65,4,788,'xinbaerhuzuoqi','xbehzq'),
(789,'新巴尔虎右旗','150727',65,4,789,'xinbaerhuyouqi','xbehyq'),
(790,'满洲里市','150781',65,4,790,'manzhoulishi','mzls'),
(791,'牙克石市','150782',65,4,791,'yakeshishi','ykss'),
(792,'扎兰屯市','150783',65,4,792,'zhalantunshi','zlts'),
(793,'额尔古纳市','150784',65,4,793,'eergunashi','eegns'),
(794,'根河市','150785',65,4,794,'genheshi','ghs'),
(796,'临河区','150802',66,4,796,'linhequ','lhq'),
(797,'五原县','150821',66,4,797,'wuyuanxian','wyx'),
(798,'磴口县','150822',66,4,798,'dengkouxian','dkx'),
(799,'乌拉特前旗','150823',66,4,799,'wulateqianqi','wltqq'),
(800,'乌拉特中旗','150824',66,4,800,'wulatezhongqi','wltzq'),
(801,'乌拉特后旗','150825',66,4,801,'wulatehouqi','wlthq'),
(802,'杭锦后旗','150826',66,4,802,'hangjinhouqi','hjhq'),
(804,'集宁区','150902',67,4,804,'jiningqu','jnq'),
(805,'卓资县','150921',67,4,805,'zhuozixian','zzx'),
(806,'化德县','150922',67,4,806,'huadexian','hdx'),
(807,'商都县','150923',67,4,807,'shangdouxian','sdx'),
(808,'兴和县','150924',67,4,808,'xinghexian','xhx'),
(809,'凉城县','150925',67,4,809,'liangchengxian','lcx'),
(810,'察哈尔右翼前旗','150926',67,4,810,'chahaeryouyiqianqi','cheyyqq'),
(811,'察哈尔右翼中旗','150927',67,4,811,'chahaeryouyizhongqi','cheyyzq'),
(812,'察哈尔右翼后旗','150928',67,4,812,'chahaeryouyihouqi','cheyyhq'),
(813,'四子王旗','150929',67,4,813,'siziwangqi','szwq'),
(814,'丰镇市','150981',67,4,814,'fengzhenshi','fzs'),
(815,'乌兰浩特市','152201',68,4,815,'wulanhaoteshi','wlhts'),
(816,'阿尔山市','152202',68,4,816,'aershanshi','aess'),
(817,'科尔沁右翼前旗','152221',68,4,817,'keerqinyouyiqianqi','keqyyqq'),
(818,'科尔沁右翼中旗','152222',68,4,818,'keerqinyouyizhongqi','keqyyzq'),
(819,'扎赉特旗','152223',68,4,819,'zhalaiteqi','zltq'),
(820,'突泉县','152224',68,4,820,'tuquanxian','tqx'),
(821,'二连浩特市','152501',69,4,821,'erlianhaoteshi','elhts'),
(822,'锡林浩特市','152502',69,4,822,'xilinhaoteshi','xlhts'),
(823,'阿巴嘎旗','152522',69,4,823,'abagaqi','abgq'),
(824,'苏尼特左旗','152523',69,4,824,'sunitezuoqi','sntzq'),
(825,'苏尼特右旗','152524',69,4,825,'suniteyouqi','sntyq'),
(826,'东乌珠穆沁旗','152525',69,4,826,'dongwuzhumuqinqi','dwzmqq'),
(827,'西乌珠穆沁旗','152526',69,4,827,'xiwuzhumuqinqi','xwzmqq'),
(828,'太仆寺旗','152527',69,4,828,'taipusiqi','tpsq'),
(829,'镶黄旗','152528',69,4,829,'xianghuangqi','xhq'),
(830,'正镶白旗','152529',69,4,830,'zhengxiangbaiqi','zxbq'),
(831,'正蓝旗','152530',69,4,831,'zhenglanqi','zlq'),
(832,'多伦县','152531',69,4,832,'duolunxian','dlx'),
(833,'阿拉善左旗','152921',70,4,833,'alashanzuoqi','alszq'),
(834,'阿拉善右旗','152922',70,4,834,'alashanyouqi','alsyq'),
(835,'额济纳旗','152923',70,4,835,'ejinaqi','ejnq'),
(837,'和平区','210102',71,4,837,'hepingqu','hpq'),
(838,'沈河区','210103',71,4,838,'shenhequ','shq'),
(839,'大东区','210104',71,4,839,'dadongqu','ddq'),
(840,'皇姑区','210105',71,4,840,'huangguqu','hgq'),
(841,'铁西区','210106',71,4,841,'tiexiqu','txq'),
(842,'苏家屯区','210111',71,4,842,'sujiatunqu','sjtq'),
(843,'东陵区','210112',71,4,843,'donglingqu','dlq'),
(844,'沈北新区','210113',71,4,844,'shenbeixinqu','sbxq'),
(845,'于洪区','210114',71,4,845,'yuhongqu','yhq'),
(846,'辽中县','210122',71,4,846,'liaozhongxian','lzx'),
(847,'康平县','210123',71,4,847,'kangpingxian','kpx'),
(848,'法库县','210124',71,4,848,'fakuxian','fkx'),
(849,'新民市','210181',71,4,849,'xinminshi','xms'),
(851,'中山区','210202',72,4,851,'zhongshanqu','zsq'),
(852,'西岗区','210203',72,4,852,'xigangqu','xgq'),
(853,'沙河口区','210204',72,4,853,'shahekouqu','shkq'),
(854,'甘井子区','210211',72,4,854,'ganjingziqu','gjzq'),
(855,'旅顺口区','210212',72,4,855,'lvshunkouqu','lskq'),
(856,'金州区','210213',72,4,856,'jinzhouqu','jzq'),
(857,'长海县','210224',72,4,857,'zhanghaixian','zhx'),
(858,'瓦房店市','210281',72,4,858,'wafangdianshi','wfds'),
(859,'普兰店市','210282',72,4,859,'pulandianshi','plds'),
(860,'庄河市','210283',72,4,860,'zhuangheshi','zhs'),
(862,'铁东区','210302',73,4,862,'tiedongqu','tdq'),
(863,'铁西区','210303',73,4,863,'tiexiqu','txq'),
(864,'立山区','210304',73,4,864,'lishanqu','lsq'),
(865,'千山区','210311',73,4,865,'qianshanqu','qsq'),
(866,'台安县','210321',73,4,866,'taianxian','tax'),
(867,'岫岩满族自治县','210323',73,4,867,'xiuyanmanzuzizhixian','xymzzzx'),
(868,'海城市','210381',73,4,868,'haichengshi','hcs'),
(870,'新抚区','210402',74,4,870,'xinfuqu','xfq'),
(871,'东洲区','210403',74,4,871,'dongzhouqu','dzq'),
(872,'望花区','210404',74,4,872,'wanghuaqu','whq'),
(873,'顺城区','210411',74,4,873,'shunchengqu','scq'),
(874,'抚顺县','210421',74,4,874,'fushunxian','fsx'),
(875,'新宾满族自治县','210422',74,4,875,'xinbinmanzuzizhixian','xbmzzzx'),
(876,'清原满族自治县','210423',74,4,876,'qingyuanmanzuzizhixian','qymzzzx'),
(878,'平山区','210502',75,4,878,'pingshanqu','psq'),
(879,'溪湖区','210503',75,4,879,'xihuqu','xhq'),
(880,'明山区','210504',75,4,880,'mingshanqu','msq'),
(881,'南芬区','210505',75,4,881,'nanfenqu','nfq'),
(882,'本溪满族自治县','210521',75,4,882,'benximanzuzizhixian','bxmzzzx'),
(883,'桓仁满族自治县','210522',75,4,883,'huanrenmanzuzizhixian','hrmzzzx'),
(885,'元宝区','210602',76,4,885,'yuanbaoqu','ybq'),
(886,'振兴区','210603',76,4,886,'zhenxingqu','zxq'),
(887,'振安区','210604',76,4,887,'zhenanqu','zaq'),
(888,'宽甸满族自治县','210624',76,4,888,'kuandianmanzuzizhixian','kdmzzzx'),
(889,'东港市','210681',76,4,889,'donggangshi','dgs'),
(890,'凤城市','210682',76,4,890,'fengchengshi','fcs'),
(892,'古塔区','210702',77,4,892,'gutaqu','gtq'),
(893,'凌河区','210703',77,4,893,'linghequ','lhq'),
(894,'太和区','210711',77,4,894,'taihequ','thq'),
(895,'黑山县','210726',77,4,895,'heishanxian','hsx'),
(896,'义县','210727',77,4,896,'yixian','yx'),
(897,'凌海市','210781',77,4,897,'linghaishi','lhs'),
(898,'北镇市','210782',77,4,898,'beizhenshi','bzs'),
(900,'站前区','210802',78,4,900,'zhanqianqu','zqq'),
(901,'西市区','210803',78,4,901,'xishiqu','xsq'),
(902,'鲅鱼圈区','210804',78,4,902,'bayuquanqu','byqq'),
(903,'老边区','210811',78,4,903,'laobianqu','lbq'),
(904,'盖州市','210881',78,4,904,'gaizhoushi','gzs'),
(905,'大石桥市','210882',78,4,905,'dashiqiaoshi','dsqs'),
(907,'海州区','210902',79,4,907,'haizhouqu','hzq'),
(908,'新邱区','210903',79,4,908,'xinqiuqu','xqq'),
(909,'太平区','210904',79,4,909,'taipingqu','tpq'),
(910,'清河门区','210905',79,4,910,'qinghemenqu','qhmq'),
(911,'细河区','210911',79,4,911,'xihequ','xhq'),
(912,'阜新蒙古族自治县','210921',79,4,912,'fuxinmengguzuzizhixian','fxmgzzzx'),
(913,'彰武县','210922',79,4,913,'zhangwuxian','zwx'),
(915,'白塔区','211002',80,4,915,'baitaqu','btq'),
(916,'文圣区','211003',80,4,916,'wenshengqu','wsq'),
(917,'宏伟区','211004',80,4,917,'hongweiqu','hwq'),
(918,'弓长岭区','211005',80,4,918,'gongzhanglingqu','gzlq'),
(919,'太子河区','211011',80,4,919,'taizihequ','tzhq'),
(920,'辽阳县','211021',80,4,920,'liaoyangxian','lyx'),
(921,'灯塔市','211081',80,4,921,'dengtashi','dts'),
(923,'双台子区','211102',81,4,923,'shuangtaiziqu','stzq'),
(924,'兴隆台区','211103',81,4,924,'xinglongtaiqu','xltq'),
(925,'大洼县','211121',81,4,925,'dawaxian','dwx'),
(926,'盘山县','211122',81,4,926,'panshanxian','psx'),
(928,'银州区','211202',82,4,928,'yinzhouqu','yzq'),
(929,'清河区','211204',82,4,929,'qinghequ','qhq'),
(930,'铁岭县','211221',82,4,930,'tielingxian','tlx'),
(931,'西丰县','211223',82,4,931,'xifengxian','xfx'),
(932,'昌图县','211224',82,4,932,'changtuxian','ctx'),
(933,'调兵山市','211281',82,4,933,'diaobingshanshi','dbss'),
(934,'开原市','211282',82,4,934,'kaiyuanshi','kys'),
(936,'双塔区','211302',83,4,936,'shuangtaqu','stq'),
(937,'龙城区','211303',83,4,937,'longchengqu','lcq'),
(938,'朝阳县','211321',83,4,938,'chaoyangxian','cyx'),
(939,'建平县','211322',83,4,939,'jianpingxian','jpx'),
(940,'喀喇沁左翼蒙古族自治县','211324',83,4,940,'kalaqinzuoyimengguzuzizhixian','klqzymgzzzx'),
(941,'北票市','211381',83,4,941,'beipiaoshi','bps'),
(942,'凌源市','211382',83,4,942,'lingyuanshi','lys'),
(944,'连山区','211402',84,4,944,'lianshanqu','lsq'),
(945,'龙港区','211403',84,4,945,'longgangqu','lgq'),
(946,'南票区','211404',84,4,946,'nanpiaoqu','npq'),
(947,'绥中县','211421',84,4,947,'suizhongxian','szx'),
(948,'建昌县','211422',84,4,948,'jianchangxian','jcx'),
(949,'兴城市','211481',84,4,949,'xingchengshi','xcs'),
(951,'南关区','220102',85,4,951,'nanguanqu','ngq'),
(952,'宽城区','220103',85,4,952,'kuanchengqu','kcq'),
(953,'朝阳区','220104',85,4,953,'chaoyangqu','cyq'),
(954,'二道区','220105',85,4,954,'erdaoqu','edq'),
(955,'绿园区','220106',85,4,955,'lvyuanqu','lyq'),
(956,'双阳区','220112',85,4,956,'shuangyangqu','syq'),
(957,'农安县','220122',85,4,957,'nonganxian','nax'),
(958,'九台市','220181',85,4,958,'jiutaishi','jts'),
(959,'榆树市','220182',85,4,959,'yushushi','yss'),
(960,'德惠市','220183',85,4,960,'dehuishi','dhs'),
(962,'昌邑区','220202',86,4,962,'changyiqu','cyq'),
(963,'龙潭区','220203',86,4,963,'longtanqu','ltq'),
(964,'船营区','220204',86,4,964,'chuanyingqu','cyq'),
(965,'丰满区','220211',86,4,965,'fengmanqu','fmq'),
(966,'永吉县','220221',86,4,966,'yongjixian','yjx'),
(967,'蛟河市','220281',86,4,967,'jiaoheshi','jhs'),
(968,'桦甸市','220282',86,4,968,'huadianshi','hds'),
(969,'舒兰市','220283',86,4,969,'shulanshi','sls'),
(970,'磐石市','220284',86,4,970,'panshishi','pss'),
(972,'铁西区','220302',87,4,972,'tiexiqu','txq'),
(973,'铁东区','220303',87,4,973,'tiedongqu','tdq'),
(974,'梨树县','220322',87,4,974,'lishuxian','lsx'),
(975,'伊通满族自治县','220323',87,4,975,'yitongmanzuzizhixian','ytmzzzx'),
(976,'公主岭市','220381',87,4,976,'gongzhulingshi','gzls'),
(977,'双辽市','220382',87,4,977,'shuangliaoshi','sls'),
(979,'龙山区','220402',88,4,979,'longshanqu','lsq'),
(980,'西安区','220403',88,4,980,'xianqu','xaq'),
(981,'东丰县','220421',88,4,981,'dongfengxian','dfx'),
(982,'东辽县','220422',88,4,982,'dongliaoxian','dlx'),
(984,'东昌区','220502',89,4,984,'dongchangqu','dcq'),
(985,'二道江区','220503',89,4,985,'erdaojiangqu','edjq'),
(986,'通化县','220521',89,4,986,'tonghuaxian','thx'),
(987,'辉南县','220523',89,4,987,'huinanxian','hnx'),
(988,'柳河县','220524',89,4,988,'liuhexian','lhx'),
(989,'梅河口市','220581',89,4,989,'meihekoushi','mhks'),
(990,'集安市','220582',89,4,990,'jianshi','jas'),
(992,'八道江区','220602',90,4,992,'badaojiangqu','bdjq'),
(993,'抚松县','220621',90,4,993,'fusongxian','fsx'),
(994,'靖宇县','220622',90,4,994,'jingyuxian','jyx'),
(995,'长白朝鲜族自治县','220623',90,4,995,'zhangbaichaoxianzuzizhixian','zbcxzzzx'),
(996,'江源区','220605',90,4,996,'jiangyuanqu','jyq'),
(997,'临江市','220681',90,4,997,'linjiangshi','ljs'),
(999,'宁江区','220702',91,4,999,'ningjiangqu','njq'),
(1000,'前郭尔罗斯蒙古族自治县','220721',91,4,1000,'qianguoerluosimengguzuzizhixian','qgelsmgzzzx'),
(1001,'长岭县','220722',91,4,1001,'zhanglingxian','zlx'),
(1002,'乾安县','220723',91,4,1002,'qiananxian','qax'),
(1003,'扶余县','220724',91,4,1003,'fuyuxian','fyx'),
(1005,'洮北区','220802',92,4,1005,'taobeiqu','tbq'),
(1006,'镇赉县','220821',92,4,1006,'zhenlaixian','zlx'),
(1007,'通榆县','220822',92,4,1007,'tongyuxian','tyx'),
(1008,'洮南市','220881',92,4,1008,'taonanshi','tns'),
(1009,'大安市','220882',92,4,1009,'daanshi','das'),
(1010,'延吉市','222401',93,4,1010,'yanjishi','yjs'),
(1011,'图们市','222402',93,4,1011,'tumenshi','tms'),
(1012,'敦化市','222403',93,4,1012,'dunhuashi','dhs'),
(1013,'珲春市','222404',93,4,1013,'hunchunshi','hcs'),
(1014,'龙井市','222405',93,4,1014,'longjingshi','ljs'),
(1015,'和龙市','222406',93,4,1015,'helongshi','hls'),
(1016,'汪清县','222424',93,4,1016,'wangqingxian','wqx'),
(1017,'安图县','222426',93,4,1017,'antuxian','atx'),
(1019,'道里区','230102',94,4,1019,'daoliqu','dlq'),
(1020,'南岗区','230103',94,4,1020,'nangangqu','ngq'),
(1021,'道外区','230104',94,4,1021,'daowaiqu','dwq'),
(1022,'香坊区','230110',94,4,1022,'xiangfangqu','xfq'),
(1024,'平房区','230108',94,4,1024,'pingfangqu','pfq'),
(1025,'松北区','230109',94,4,1025,'songbeiqu','sbq'),
(1026,'呼兰区','230111',94,4,1026,'hulanqu','hlq'),
(1027,'依兰县','230123',94,4,1027,'yilanxian','ylx'),
(1028,'方正县','230124',94,4,1028,'fangzhengxian','fzx'),
(1029,'宾县','230125',94,4,1029,'binxian','bx'),
(1030,'巴彦县','230126',94,4,1030,'bayanxian','byx'),
(1031,'木兰县','230127',94,4,1031,'mulanxian','mlx'),
(1032,'通河县','230128',94,4,1032,'tonghexian','thx'),
(1033,'延寿县','230129',94,4,1033,'yanshouxian','ysx'),
(1034,'阿城区','230112',94,4,1034,'achengqu','acq'),
(1035,'双城市','230182',94,4,1035,'shuangchengshi','scs'),
(1036,'尚志市','230183',94,4,1036,'shangzhishi','szs'),
(1037,'五常市','230184',94,4,1037,'wuchangshi','wcs'),
(1039,'龙沙区','230202',95,4,1039,'longshaqu','lsq'),
(1040,'建华区','230203',95,4,1040,'jianhuaqu','jhq'),
(1041,'铁锋区','230204',95,4,1041,'tiefengqu','tfq'),
(1042,'昂昂溪区','230205',95,4,1042,'angangxiqu','aaxq'),
(1043,'富拉尔基区','230206',95,4,1043,'fulaerjiqu','flejq'),
(1044,'碾子山区','230207',95,4,1044,'nianzishanqu','nzsq'),
(1045,'梅里斯达斡尔族区','230208',95,4,1045,'meilisidawoerzuqu','mlsdwezq'),
(1046,'龙江县','230221',95,4,1046,'longjiangxian','ljx'),
(1047,'依安县','230223',95,4,1047,'yianxian','yax'),
(1048,'泰来县','230224',95,4,1048,'tailaixian','tlx'),
(1049,'甘南县','230225',95,4,1049,'gannanxian','gnx'),
(1050,'富裕县','230227',95,4,1050,'fuyuxian','fyx'),
(1051,'克山县','230229',95,4,1051,'keshanxian','ksx'),
(1052,'克东县','230230',95,4,1052,'kedongxian','kdx'),
(1053,'拜泉县','230231',95,4,1053,'baiquanxian','bqx'),
(1054,'讷河市','230281',95,4,1054,'neheshi','nhs'),
(1056,'鸡冠区','230302',96,4,1056,'jiguanqu','jgq'),
(1057,'恒山区','230303',96,4,1057,'hengshanqu','hsq'),
(1058,'滴道区','230304',96,4,1058,'didaoqu','ddq'),
(1059,'梨树区','230305',96,4,1059,'lishuqu','lsq'),
(1060,'城子河区','230306',96,4,1060,'chengzihequ','czhq'),
(1061,'麻山区','230307',96,4,1061,'mashanqu','msq'),
(1062,'鸡东县','230321',96,4,1062,'jidongxian','jdx'),
(1063,'虎林市','230381',96,4,1063,'hulinshi','hls'),
(1064,'密山市','230382',96,4,1064,'mishanshi','mss'),
(1066,'向阳区','230402',97,4,1066,'xiangyangqu','xyq'),
(1067,'工农区','230403',97,4,1067,'gongnongqu','gnq'),
(1068,'南山区','230404',97,4,1068,'nanshanqu','nsq'),
(1069,'兴安区','230405',97,4,1069,'xinganqu','xaq'),
(1070,'东山区','230406',97,4,1070,'dongshanqu','dsq'),
(1071,'兴山区','230407',97,4,1071,'xingshanqu','xsq'),
(1072,'萝北县','230421',97,4,1072,'luobeixian','lbx'),
(1073,'绥滨县','230422',97,4,1073,'suibinxian','sbx'),
(1075,'尖山区','230502',98,4,1075,'jianshanqu','jsq'),
(1076,'岭东区','230503',98,4,1076,'lingdongqu','ldq'),
(1077,'四方台区','230505',98,4,1077,'sifangtaiqu','sftq'),
(1078,'宝山区','230506',98,4,1078,'baoshanqu','bsq'),
(1079,'集贤县','230521',98,4,1079,'jixianxian','jxx'),
(1080,'友谊县','230522',98,4,1080,'youyixian','yyx'),
(1081,'宝清县','230523',98,4,1081,'baoqingxian','bqx'),
(1082,'饶河县','230524',98,4,1082,'raohexian','rhx'),
(1084,'萨尔图区','230602',99,4,1084,'saertuqu','setq'),
(1085,'龙凤区','230603',99,4,1085,'longfengqu','lfq'),
(1086,'让胡路区','230604',99,4,1086,'ranghuluqu','rhlq'),
(1087,'红岗区','230605',99,4,1087,'honggangqu','hgq'),
(1088,'大同区','230606',99,4,1088,'datongqu','dtq'),
(1089,'肇州县','230621',99,4,1089,'zhaozhouxian','zzx'),
(1090,'肇源县','230622',99,4,1090,'zhaoyuanxian','zyx'),
(1091,'林甸县','230623',99,4,1091,'lindianxian','ldx'),
(1092,'杜尔伯特蒙古族自治县','230624',99,4,1092,'duerbotemengguzuzizhixian','debtmgzzzx'),
(1094,'伊春区','230702',100,4,1094,'yichunqu','ycq'),
(1095,'南岔区','230703',100,4,1095,'nanchaqu','ncq'),
(1096,'友好区','230704',100,4,1096,'youhaoqu','yhq'),
(1097,'西林区','230705',100,4,1097,'xilinqu','xlq'),
(1098,'翠峦区','230706',100,4,1098,'cuiluanqu','clq'),
(1099,'新青区','230707',100,4,1099,'xinqingqu','xqq'),
(1100,'美溪区','230708',100,4,1100,'meixiqu','mxq'),
(1101,'金山屯区','230709',100,4,1101,'jinshantunqu','jstq'),
(1102,'五营区','230710',100,4,1102,'wuyingqu','wyq'),
(1103,'乌马河区','230711',100,4,1103,'wumahequ','wmhq'),
(1104,'汤旺河区','230712',100,4,1104,'tangwanghequ','twhq'),
(1105,'带岭区','230713',100,4,1105,'dailingqu','dlq'),
(1106,'乌伊岭区','230714',100,4,1106,'wuyilingqu','wylq'),
(1107,'红星区','230715',100,4,1107,'hongxingqu','hxq'),
(1108,'上甘岭区','230716',100,4,1108,'shangganlingqu','sglq'),
(1109,'嘉荫县','230722',100,4,1109,'jiayinxian','jyx'),
(1110,'铁力市','230781',100,4,1110,'tielishi','tls'),
(1113,'向阳区','230803',101,4,1113,'xiangyangqu','xyq'),
(1114,'前进区','230804',101,4,1114,'qianjinqu','qjq'),
(1115,'东风区','230805',101,4,1115,'dongfengqu','dfq'),
(1116,'郊区','230811',101,4,1116,'jiaoqu','jq'),
(1117,'桦南县','230822',101,4,1117,'huananxian','hnx'),
(1118,'桦川县','230826',101,4,1118,'huachuanxian','hcx'),
(1119,'汤原县','230828',101,4,1119,'tangyuanxian','tyx'),
(1120,'抚远县','230833',101,4,1120,'fuyuanxian','fyx'),
(1121,'同江市','230881',101,4,1121,'tongjiangshi','tjs'),
(1122,'富锦市','230882',101,4,1122,'fujinshi','fjs'),
(1124,'新兴区','230902',102,4,1124,'xinxingqu','xxq'),
(1125,'桃山区','230903',102,4,1125,'taoshanqu','tsq'),
(1126,'茄子河区','230904',102,4,1126,'qiezihequ','qzhq'),
(1127,'勃利县','230921',102,4,1127,'bolixian','blx'),
(1129,'东安区','231002',103,4,1129,'donganqu','daq'),
(1130,'阳明区','231003',103,4,1130,'yangmingqu','ymq'),
(1131,'爱民区','231004',103,4,1131,'aiminqu','amq'),
(1132,'西安区','231005',103,4,1132,'xianqu','xaq'),
(1133,'东宁县','231024',103,4,1133,'dongningxian','dnx'),
(1134,'林口县','231025',103,4,1134,'linkouxian','lkx'),
(1135,'绥芬河市','231081',103,4,1135,'suifenheshi','sfhs'),
(1136,'海林市','231083',103,4,1136,'hailinshi','hls'),
(1137,'宁安市','231084',103,4,1137,'ninganshi','nas'),
(1138,'穆棱市','231085',103,4,1138,'mulengshi','mls'),
(1140,'爱辉区','231102',104,4,1140,'aihuiqu','ahq'),
(1141,'嫩江县','231121',104,4,1141,'nenjiangxian','njx'),
(1142,'逊克县','231123',104,4,1142,'xunkexian','xkx'),
(1143,'孙吴县','231124',104,4,1143,'sunwuxian','swx'),
(1144,'北安市','231181',104,4,1144,'beianshi','bas'),
(1145,'五大连池市','231182',104,4,1145,'wudalianchishi','wdlcs'),
(1147,'北林区','231202',105,4,1147,'beilinqu','blq'),
(1148,'望奎县','231221',105,4,1148,'wangkuixian','wkx'),
(1149,'兰西县','231222',105,4,1149,'lanxixian','lxx'),
(1150,'青冈县','231223',105,4,1150,'qinggangxian','qgx'),
(1151,'庆安县','231224',105,4,1151,'qinganxian','qax'),
(1152,'明水县','231225',105,4,1152,'mingshuixian','msx'),
(1153,'绥棱县','231226',105,4,1153,'suilengxian','slx'),
(1154,'安达市','231281',105,4,1154,'andashi','ads'),
(1155,'肇东市','231282',105,4,1155,'zhaodongshi','zds'),
(1156,'海伦市','231283',105,4,1156,'hailunshi','hls'),
(1157,'呼玛县','232721',106,4,1157,'humaxian','hmx'),
(1158,'塔河县','232722',106,4,1158,'tahexian','thx'),
(1159,'漠河县','232723',106,4,1159,'mohexian','mhx'),
(1160,'黄浦区','310101',107,4,1160,'huangpuqu','hpq'),
(1161,'卢湾区','310103',107,4,1161,'luwanqu','lwq'),
(1162,'徐汇区','310104',107,4,1162,'xuhuiqu','xhq'),
(1163,'长宁区','310105',107,4,1163,'zhangningqu','znq'),
(1164,'静安区','310106',107,4,1164,'jinganqu','jaq'),
(1165,'普陀区','310107',107,4,1165,'putuoqu','ptq'),
(1166,'闸北区','310108',107,4,1166,'zhabeiqu','zbq'),
(1167,'虹口区','310109',107,4,1167,'hongkouqu','hkq'),
(1168,'杨浦区','310110',107,4,1168,'yangpuqu','ypq'),
(1169,'闵行区','310112',107,4,1169,'minxingqu','mxq'),
(1170,'宝山区','310113',107,4,1170,'baoshanqu','bsq'),
(1171,'嘉定区','310114',107,4,1171,'jiadingqu','jdq'),
(1172,'浦东新区','310115',107,4,1172,'pudongxinqu','pdxq'),
(1173,'金山区','310116',107,4,1173,'jinshanqu','jsq'),
(1174,'松江区','310117',107,4,1174,'songjiangqu','sjq'),
(1175,'青浦区','310118',107,4,1175,'qingpuqu','qpq'),
(1177,'奉贤区','310120',107,4,1177,'fengxianqu','fxq'),
(1178,'崇明县','310230',108,4,1178,'chongmingxian','cmx'),
(1180,'玄武区','320102',109,4,1180,'xuanwuqu','xwq'),
(1181,'白下区','320103',109,4,1181,'baixiaqu','bxq'),
(1182,'秦淮区','320104',109,4,1182,'qinhuaiqu','qhq'),
(1183,'建邺区','320105',109,4,1183,'jianyequ','jyq'),
(1184,'鼓楼区','320106',109,4,1184,'gulouqu','glq'),
(1185,'下关区','320107',109,4,1185,'xiaguanqu','xgq'),
(1186,'浦口区','320111',109,4,1186,'pukouqu','pkq'),
(1187,'栖霞区','320113',109,4,1187,'qixiaqu','qxq'),
(1188,'雨花台区','320114',109,4,1188,'yuhuataiqu','yhtq'),
(1189,'江宁区','320115',109,4,1189,'jiangningqu','jnq'),
(1190,'六合区','320116',109,4,1190,'liuhequ','lhq'),
(1191,'溧水县','320124',109,4,1191,'lishuixian','lsx'),
(1192,'高淳县','320125',109,4,1192,'gaochunxian','gcx'),
(1194,'崇安区','320202',110,4,1194,'chonganqu','caq'),
(1195,'南长区','320203',110,4,1195,'nanzhangqu','nzq'),
(1196,'北塘区','320204',110,4,1196,'beitangqu','btq'),
(1197,'锡山区','320205',110,4,1197,'xishanqu','xsq'),
(1198,'惠山区','320206',110,4,1198,'huishanqu','hsq'),
(1199,'滨湖区','320211',110,4,1199,'binhuqu','bhq'),
(1200,'江阴市','320281',110,4,1200,'jiangyinshi','jys'),
(1201,'宜兴市','320282',110,4,1201,'yixingshi','yxs'),
(1203,'鼓楼区','320302',111,4,1203,'gulouqu','glq'),
(1204,'云龙区','320303',111,4,1204,'yunlongqu','ylq'),
(1206,'贾汪区','320305',111,4,1206,'jiawangqu','jwq'),
(1207,'泉山区','320311',111,4,1207,'quanshanqu','qsq'),
(1208,'丰县','320321',111,4,1208,'fengxian','fx'),
(1209,'沛县','320322',111,4,1209,'peixian','px'),
(1210,'铜山区','320312',111,4,1210,'tongshanqu','tsq'),
(1211,'睢宁县','320324',111,4,1211,'suiningxian','snx'),
(1212,'新沂市','320381',111,4,1212,'xinyishi','xys'),
(1213,'邳州市','320382',111,4,1213,'pizhoushi','pzs'),
(1215,'天宁区','320402',112,4,1215,'tianningqu','tnq'),
(1216,'钟楼区','320404',112,4,1216,'zhonglouqu','zlq'),
(1217,'戚墅堰区','320405',112,4,1217,'qishuyanqu','qsyq'),
(1218,'新北区','320411',112,4,1218,'xinbeiqu','xbq'),
(1219,'武进区','320412',112,4,1219,'wujinqu','wjq'),
(1220,'溧阳市','320481',112,4,1220,'liyangshi','lys'),
(1221,'金坛市','320482',112,4,1221,'jintanshi','jts'),
(1223,'沧浪区','320502',113,4,1223,'canglangqu','clq'),
(1224,'平江区','320503',113,4,1224,'pingjiangqu','pjq'),
(1225,'金阊区','320504',113,4,1225,'jinchangqu','jcq'),
(1226,'虎丘区','320505',113,4,1226,'huqiuqu','hqq'),
(1227,'吴中区','320506',113,4,1227,'wuzhongqu','wzq'),
(1228,'相城区','320507',113,4,1228,'xiangchengqu','xcq'),
(1229,'常熟市','320581',113,4,1229,'changshushi','css'),
(1230,'张家港市','320582',113,4,1230,'zhangjiagangshi','zjgs'),
(1231,'昆山市','320583',113,4,1231,'kunshanshi','kss'),
(1232,'吴江市','320584',113,4,1232,'wujiangshi','wjs'),
(1233,'太仓市','320585',113,4,1233,'taicangshi','tcs'),
(1235,'崇川区','320602',114,4,1235,'chongchuanqu','ccq'),
(1236,'港闸区','320611',114,4,1236,'gangzhaqu','gzq'),
(1237,'海安县','320621',114,4,1237,'haianxian','hax'),
(1238,'如东县','320623',114,4,1238,'rudongxian','rdx'),
(1239,'启东市','320681',114,4,1239,'qidongshi','qds'),
(1240,'如皋市','320682',114,4,1240,'rugaoshi','rgs'),
(1241,'通州区','320612',114,4,1241,'tongzhouqu','tzq'),
(1242,'海门市','320684',114,4,1242,'haimenshi','hms'),
(1244,'连云区','320703',115,4,1244,'lianyunqu','lyq'),
(1245,'新浦区','320705',115,4,1245,'xinpuqu','xpq'),
(1246,'海州区','320706',115,4,1246,'haizhouqu','hzq'),
(1247,'赣榆县','320721',115,4,1247,'ganyuxian','gyx'),
(1248,'东海县','320722',115,4,1248,'donghaixian','dhx'),
(1249,'灌云县','320723',115,4,1249,'guanyunxian','gyx'),
(1250,'灌南县','320724',115,4,1250,'guannanxian','gnx'),
(1252,'清河区','320802',116,4,1252,'qinghequ','qhq'),
(1253,'楚州区','320803',116,4,1253,'chuzhouqu','czq'),
(1254,'淮阴区','320804',116,4,1254,'huaiyinqu','hyq'),
(1255,'清浦区','320811',116,4,1255,'qingpuqu','qpq'),
(1256,'涟水县','320826',116,4,1256,'lianshuixian','lsx'),
(1257,'洪泽县','320829',116,4,1257,'hongzexian','hzx'),
(1258,'盱眙县','320830',116,4,1258,'xuyixian','xyx'),
(1259,'金湖县','320831',116,4,1259,'jinhuxian','jhx'),
(1261,'亭湖区','320902',117,4,1261,'tinghuqu','thq'),
(1262,'盐都区','320903',117,4,1262,'yandouqu','ydq'),
(1263,'响水县','320921',117,4,1263,'xiangshuixian','xsx'),
(1264,'滨海县','320922',117,4,1264,'binhaixian','bhx'),
(1265,'阜宁县','320923',117,4,1265,'funingxian','fnx'),
(1266,'射阳县','320924',117,4,1266,'sheyangxian','syx'),
(1267,'建湖县','320925',117,4,1267,'jianhuxian','jhx'),
(1268,'东台市','320981',117,4,1268,'dongtaishi','dts'),
(1269,'大丰市','320982',117,4,1269,'dafengshi','dfs'),
(1271,'广陵区','321002',118,4,1271,'guanglingqu','glq'),
(1272,'邗江区','321003',118,4,1272,'hanjiangqu','hjq'),
(1273,'维扬区','321011',118,4,1273,'weiyangqu','wyq'),
(1274,'宝应县','321023',118,4,1274,'baoyingxian','byx'),
(1275,'仪征市','321081',118,4,1275,'yizhengshi','yzs'),
(1276,'高邮市','321084',118,4,1276,'gaoyoushi','gys'),
(1277,'江都市','321088',118,4,1277,'jiangdoushi','jds'),
(1279,'京口区','321102',119,4,1279,'jingkouqu','jkq'),
(1280,'润州区','321111',119,4,1280,'runzhouqu','rzq'),
(1281,'丹徒区','321112',119,4,1281,'dantuqu','dtq'),
(1282,'丹阳市','321181',119,4,1282,'danyangshi','dys'),
(1283,'扬中市','321182',119,4,1283,'yangzhongshi','yzs'),
(1284,'句容市','321183',119,4,1284,'jurongshi','jrs'),
(1286,'海陵区','321202',120,4,1286,'hailingqu','hlq'),
(1287,'高港区','321203',120,4,1287,'gaogangqu','ggq'),
(1288,'兴化市','321281',120,4,1288,'xinghuashi','xhs'),
(1289,'靖江市','321282',120,4,1289,'jingjiangshi','jjs'),
(1290,'泰兴市','321283',120,4,1290,'taixingshi','txs'),
(1291,'姜堰市','321284',120,4,1291,'jiangyanshi','jys'),
(1293,'宿城区','321302',121,4,1293,'suchengqu','scq'),
(1294,'宿豫区','321311',121,4,1294,'suyuqu','syq'),
(1295,'沭阳县','321322',121,4,1295,'shuyangxian','syx'),
(1296,'泗阳县','321323',121,4,1296,'siyangxian','syx'),
(1297,'泗洪县','321324',121,4,1297,'sihongxian','shx'),
(1299,'上城区','330102',122,4,1299,'shangchengqu','scq'),
(1300,'下城区','330103',122,4,1300,'xiachengqu','xcq'),
(1301,'江干区','330104',122,4,1301,'jiangganqu','jgq'),
(1302,'拱墅区','330105',122,4,1302,'gongshuqu','gsq'),
(1303,'西湖区','330106',122,4,1303,'xihuqu','xhq'),
(1304,'滨江区','330108',122,4,1304,'binjiangqu','bjq'),
(1305,'萧山区','330109',122,4,1305,'xiaoshanqu','xsq'),
(1306,'余杭区','330110',122,4,1306,'yuhangqu','yhq'),
(1307,'桐庐县','330122',122,4,1307,'tongluxian','tlx'),
(1308,'淳安县','330127',122,4,1308,'chunanxian','cax'),
(1309,'建德市','330182',122,4,1309,'jiandeshi','jds'),
(1310,'富阳市','330183',122,4,1310,'fuyangshi','fys'),
(1311,'临安市','330185',122,4,1311,'linanshi','las'),
(1313,'海曙区','330203',123,4,1313,'haishuqu','hsq'),
(1314,'江东区','330204',123,4,1314,'jiangdongqu','jdq'),
(1315,'江北区','330205',123,4,1315,'jiangbeiqu','jbq'),
(1316,'北仑区','330206',123,4,1316,'beilunqu','blq'),
(1317,'镇海区','330211',123,4,1317,'zhenhaiqu','zhq'),
(1318,'鄞州区','330212',123,4,1318,'yinzhouqu','yzq'),
(1319,'象山县','330225',123,4,1319,'xiangshanxian','xsx'),
(1320,'宁海县','330226',123,4,1320,'ninghaixian','nhx'),
(1321,'余姚市','330281',123,4,1321,'yuyaoshi','yys'),
(1322,'慈溪市','330282',123,4,1322,'cixishi','cxs'),
(1323,'奉化市','330283',123,4,1323,'fenghuashi','fhs'),
(1325,'鹿城区','330302',124,4,1325,'luchengqu','lcq'),
(1326,'龙湾区','330303',124,4,1326,'longwanqu','lwq'),
(1327,'瓯海区','330304',124,4,1327,'ouhaiqu','ohq'),
(1328,'洞头县','330322',124,4,1328,'dongtouxian','dtx'),
(1329,'永嘉县','330324',124,4,1329,'yongjiaxian','yjx'),
(1330,'平阳县','330326',124,4,1330,'pingyangxian','pyx'),
(1331,'苍南县','330327',124,4,1331,'cangnanxian','cnx'),
(1332,'文成县','330328',124,4,1332,'wenchengxian','wcx'),
(1333,'泰顺县','330329',124,4,1333,'taishunxian','tsx'),
(1334,'瑞安市','330381',124,4,1334,'ruianshi','ras'),
(1335,'乐清市','330382',124,4,1335,'leqingshi','lqs'),
(1338,'秀洲区','330411',125,4,1338,'xiuzhouqu','xzq'),
(1339,'嘉善县','330421',125,4,1339,'jiashanxian','jsx'),
(1340,'海盐县','330424',125,4,1340,'haiyanxian','hyx'),
(1341,'海宁市','330481',125,4,1341,'hainingshi','hns'),
(1342,'平湖市','330482',125,4,1342,'pinghushi','phs'),
(1343,'桐乡市','330483',125,4,1343,'tongxiangshi','txs'),
(1345,'吴兴区','330502',126,4,1345,'wuxingqu','wxq'),
(1346,'南浔区','330503',126,4,1346,'nanxunqu','nxq'),
(1347,'德清县','330521',126,4,1347,'deqingxian','dqx'),
(1348,'长兴县','330522',126,4,1348,'zhangxingxian','zxx'),
(1349,'安吉县','330523',126,4,1349,'anjixian','ajx'),
(1351,'越城区','330602',127,4,1351,'yuechengqu','ycq'),
(1352,'绍兴县','330621',127,4,1352,'shaoxingxian','sxx'),
(1353,'新昌县','330624',127,4,1353,'xinchangxian','xcx'),
(1354,'诸暨市','330681',127,4,1354,'zhujishi','zjs'),
(1355,'上虞市','330682',127,4,1355,'shangyushi','sys'),
(1356,'嵊州市','330683',127,4,1356,'shengzhoushi','szs'),
(1358,'婺城区','330702',128,4,1358,'wuchengqu','wcq'),
(1359,'金东区','330703',128,4,1359,'jindongqu','jdq'),
(1360,'武义县','330723',128,4,1360,'wuyixian','wyx'),
(1361,'浦江县','330726',128,4,1361,'pujiangxian','pjx'),
(1362,'磐安县','330727',128,4,1362,'pananxian','pax'),
(1363,'兰溪市','330781',128,4,1363,'lanxishi','lxs'),
(1364,'义乌市','330782',128,4,1364,'yiwushi','yws'),
(1365,'东阳市','330783',128,4,1365,'dongyangshi','dys'),
(1366,'永康市','330784',128,4,1366,'yongkangshi','yks'),
(1368,'柯城区','330802',129,4,1368,'kechengqu','kcq'),
(1369,'衢江区','330803',129,4,1369,'qujiangqu','qjq'),
(1370,'常山县','330822',129,4,1370,'changshanxian','csx'),
(1371,'开化县','330824',129,4,1371,'kaihuaxian','khx'),
(1372,'龙游县','330825',129,4,1372,'longyouxian','lyx'),
(1373,'江山市','330881',129,4,1373,'jiangshanshi','jss'),
(1375,'定海区','330902',130,4,1375,'dinghaiqu','dhq'),
(1376,'普陀区','330903',130,4,1376,'putuoqu','ptq'),
(1377,'岱山县','330921',130,4,1377,'daishanxian','dsx'),
(1378,'嵊泗县','330922',130,4,1378,'shengsixian','ssx'),
(1380,'椒江区','331002',131,4,1380,'jiaojiangqu','jjq'),
(1381,'黄岩区','331003',131,4,1381,'huangyanqu','hyq'),
(1382,'路桥区','331004',131,4,1382,'luqiaoqu','lqq'),
(1383,'玉环县','331021',131,4,1383,'yuhuanxian','yhx'),
(1384,'三门县','331022',131,4,1384,'sanmenxian','smx'),
(1385,'天台县','331023',131,4,1385,'tiantaixian','ttx'),
(1386,'仙居县','331024',131,4,1386,'xianjuxian','xjx'),
(1387,'温岭市','331081',131,4,1387,'wenlingshi','wls'),
(1388,'临海市','331082',131,4,1388,'linhaishi','lhs'),
(1390,'莲都区','331102',132,4,1390,'liandouqu','ldq'),
(1391,'青田县','331121',132,4,1391,'qingtianxian','qtx'),
(1392,'缙云县','331122',132,4,1392,'jinyunxian','jyx'),
(1393,'遂昌县','331123',132,4,1393,'suichangxian','scx'),
(1394,'松阳县','331124',132,4,1394,'songyangxian','syx'),
(1395,'云和县','331125',132,4,1395,'yunhexian','yhx'),
(1396,'庆元县','331126',132,4,1396,'qingyuanxian','qyx'),
(1397,'景宁畲族自治县','331127',132,4,1397,'jingningshezuzizhixian','jnszzzx'),
(1398,'龙泉市','331181',132,4,1398,'longquanshi','lqs'),
(1400,'瑶海区','340102',133,4,1400,'yaohaiqu','yhq'),
(1401,'庐阳区','340103',133,4,1401,'luyangqu','lyq'),
(1402,'蜀山区','340104',133,4,1402,'shushanqu','ssq'),
(1403,'包河区','340111',133,4,1403,'baohequ','bhq'),
(1404,'长丰县','340121',133,4,1404,'zhangfengxian','zfx'),
(1405,'肥东县','340122',133,4,1405,'feidongxian','fdx'),
(1406,'肥西县','340123',133,4,1406,'feixixian','fxx'),
(1408,'镜湖区','340202',1412,4,1408,'jinghuqu','jhq'),
(1409,'三山区','340208',1412,4,1409,'sanshanqu','ssq'),
(1410,'弋江区','340203',1412,4,1410,'yijiangqu','yjq'),
(1411,'鸠江区','340207',1412,4,1411,'jiujiangqu','jjq'),
(1412,'芜湖市','340200',134,4,1412,'wuhushi','whs'),
(1413,'繁昌县','340222',1412,4,1413,'fanchangxian','fcx'),
(1414,'南陵县','340223',1412,4,1414,'nanlingxian','nlx'),
(1416,'龙子湖区','340302',135,4,1416,'longzihuqu','lzhq'),
(1417,'蚌山区','340303',135,4,1417,'bangshanqu','bsq'),
(1418,'禹会区','340304',135,4,1418,'yuhuiqu','yhq'),
(1419,'淮上区','340311',135,4,1419,'huaishangqu','hsq'),
(1420,'怀远县','340321',135,4,1420,'huaiyuanxian','hyx'),
(1421,'五河县','340322',135,4,1421,'wuhexian','whx'),
(1422,'固镇县','340323',135,4,1422,'guzhenxian','gzx'),
(1424,'大通区','340402',136,4,1424,'datongqu','dtq'),
(1425,'田家庵区','340403',136,4,1425,'tianjiaanqu','tjaq'),
(1426,'谢家集区','340404',136,4,1426,'xiejiajiqu','xjjq'),
(1427,'八公山区','340405',136,4,1427,'bagongshanqu','bgsq'),
(1428,'潘集区','340406',136,4,1428,'panjiqu','pjq'),
(1429,'凤台县','340421',136,4,1429,'fengtaixian','ftx'),
(1431,'金家庄区','340502',137,4,1431,'jinjiazhuangqu','jjzq'),
(1432,'花山区','340503',137,4,1432,'huashanqu','hsq'),
(1433,'雨山区','340504',137,4,1433,'yushanqu','ysq'),
(1434,'当涂县','340521',137,4,1434,'dangtuxian','dtx'),
(1436,'杜集区','340602',138,4,1436,'dujiqu','djq'),
(1437,'相山区','340603',138,4,1437,'xiangshanqu','xsq'),
(1438,'烈山区','340604',138,4,1438,'lieshanqu','lsq'),
(1439,'濉溪县','340621',138,4,1439,'suixixian','sxx'),
(1441,'铜官山区','340702',139,4,1441,'tongguanshanqu','tgsq'),
(1442,'狮子山区','340703',139,4,1442,'shizishanqu','szsq'),
(1443,'郊区','340711',139,4,1443,'jiaoqu','jq'),
(1444,'铜陵县','340721',139,4,1444,'tonglingxian','tlx'),
(1446,'迎江区','340802',140,4,1446,'yingjiangqu','yjq'),
(1447,'大观区','340803',140,4,1447,'daguanqu','dgq'),
(1448,'宜秀区','340811',140,4,1448,'yixiuqu','yxq'),
(1449,'怀宁县','340822',140,4,1449,'huainingxian','hnx'),
(1450,'枞阳县','340823',140,4,1450,'zongyangxian','zyx'),
(1451,'潜山县','340824',140,4,1451,'qianshanxian','qsx'),
(1452,'太湖县','340825',140,4,1452,'taihuxian','thx'),
(1453,'宿松县','340826',140,4,1453,'susongxian','ssx'),
(1454,'望江县','340827',140,4,1454,'wangjiangxian','wjx'),
(1455,'岳西县','340828',140,4,1455,'yuexixian','yxx'),
(1456,'桐城市','340881',140,4,1456,'tongchengshi','tcs'),
(1458,'屯溪区','341002',141,4,1458,'tunxiqu','txq'),
(1459,'黄山区','341003',141,4,1459,'huangshanqu','hsq'),
(1460,'徽州区','341004',141,4,1460,'huizhouqu','hzq'),
(1461,'歙县','341021',141,4,1461,'shexian','sx'),
(1462,'休宁县','341022',141,4,1462,'xiuningxian','xnx'),
(1463,'黟县','341023',141,4,1463,'yixian','yx'),
(1464,'祁门县','341024',141,4,1464,'qimenxian','qmx'),
(1466,'琅琊区','341102',142,4,1466,'langyaqu','lyq'),
(1467,'南谯区','341103',142,4,1467,'nanqiaoqu','nqq'),
(1468,'来安县','341122',142,4,1468,'laianxian','lax'),
(1469,'全椒县','341124',142,4,1469,'quanjiaoxian','qjx'),
(1470,'定远县','341125',142,4,1470,'dingyuanxian','dyx'),
(1471,'凤阳县','341126',142,4,1471,'fengyangxian','fyx'),
(1472,'天长市','341181',142,4,1472,'tianzhangshi','tzs'),
(1473,'明光市','341182',142,4,1473,'mingguangshi','mgs'),
(1475,'颍州区','341202',143,4,1475,'yingzhouqu','yzq'),
(1476,'颍东区','341203',143,4,1476,'yingdongqu','ydq'),
(1477,'颍泉区','341204',143,4,1477,'yingquanqu','yqq'),
(1478,'临泉县','341221',143,4,1478,'linquanxian','lqx'),
(1479,'太和县','341222',143,4,1479,'taihexian','thx'),
(1480,'阜南县','341225',143,4,1480,'funanxian','fnx'),
(1481,'颍上县','341226',143,4,1481,'yingshangxian','ysx'),
(1482,'界首市','341282',143,4,1482,'jieshoushi','jss'),
(1484,'埇桥区','341302',144,4,1484,'yongqiaoqu','yqq'),
(1485,'砀山县','341321',144,4,1485,'dangshanxian','dsx'),
(1486,'萧县','341322',144,4,1486,'xiaoxian','xx'),
(1487,'灵璧县','341323',144,4,1487,'lingbixian','lbx'),
(1488,'泗县','341324',144,4,1488,'sixian','sx'),
(1490,'居巢区','341402',145,4,1490,'juchaoqu','jcq'),
(1491,'庐江县','341421',145,4,1491,'lujiangxian','ljx'),
(1492,'无为县','341422',145,4,1492,'wuweixian','wwx'),
(1493,'含山县','341423',145,4,1493,'hanshanxian','hsx'),
(1494,'和县','341424',145,4,1494,'hexian','hx'),
(1496,'金安区','341502',146,4,1496,'jinanqu','jaq'),
(1497,'裕安区','341503',146,4,1497,'yuanqu','yaq'),
(1498,'寿县','341521',146,4,1498,'shouxian','sx'),
(1499,'霍邱县','341522',146,4,1499,'huoqiuxian','hqx'),
(1500,'舒城县','341523',146,4,1500,'shuchengxian','scx'),
(1501,'金寨县','341524',146,4,1501,'jinzhaixian','jzx'),
(1502,'霍山县','341525',146,4,1502,'huoshanxian','hsx'),
(1504,'谯城区','341602',147,4,1504,'qiaochengqu','qcq'),
(1505,'涡阳县','341621',147,4,1505,'woyangxian','wyx'),
(1506,'蒙城县','341622',147,4,1506,'mengchengxian','mcx'),
(1507,'利辛县','341623',147,4,1507,'lixinxian','lxx'),
(1509,'贵池区','341702',148,4,1509,'guichiqu','gcq'),
(1510,'东至县','341721',148,4,1510,'dongzhixian','dzx'),
(1511,'石台县','341722',148,4,1511,'shitaixian','stx'),
(1512,'青阳县','341723',148,4,1512,'qingyangxian','qyx'),
(1514,'宣州区','341802',149,4,1514,'xuanzhouqu','xzq'),
(1515,'郎溪县','341821',149,4,1515,'langxixian','lxx'),
(1516,'广德县','341822',149,4,1516,'guangdexian','gdx'),
(1517,'泾县','341823',149,4,1517,'jingxian','jx'),
(1518,'绩溪县','341824',149,4,1518,'jixixian','jxx'),
(1519,'旌德县','341825',149,4,1519,'jingdexian','jdx'),
(1520,'宁国市','341881',149,4,1520,'ningguoshi','ngs'),
(1522,'鼓楼区','350102',150,4,1522,'gulouqu','glq'),
(1523,'台江区','350103',150,4,1523,'taijiangqu','tjq'),
(1524,'仓山区','350104',150,4,1524,'cangshanqu','csq'),
(1525,'马尾区','350105',150,4,1525,'maweiqu','mwq'),
(1526,'晋安区','350111',150,4,1526,'jinanqu','jaq'),
(1527,'闽侯县','350121',150,4,1527,'minhouxian','mhx'),
(1528,'连江县','350122',150,4,1528,'lianjiangxian','ljx'),
(1529,'罗源县','350123',150,4,1529,'luoyuanxian','lyx'),
(1530,'闽清县','350124',150,4,1530,'minqingxian','mqx'),
(1531,'永泰县','350125',150,4,1531,'yongtaixian','ytx'),
(1532,'平潭县','350128',150,4,1532,'pingtanxian','ptx'),
(1533,'福清市','350181',150,4,1533,'fuqingshi','fqs'),
(1534,'长乐市','350182',150,4,1534,'zhangleshi','zls'),
(1536,'思明区','350203',151,4,1536,'simingqu','smq'),
(1537,'海沧区','350205',151,4,1537,'haicangqu','hcq'),
(1538,'湖里区','350206',151,4,1538,'huliqu','hlq'),
(1539,'集美区','350211',151,4,1539,'jimeiqu','jmq'),
(1540,'同安区','350212',151,4,1540,'tonganqu','taq'),
(1541,'翔安区','350213',151,4,1541,'xianganqu','xaq'),
(1543,'城厢区','350302',152,4,1543,'chengxiangqu','cxq'),
(1544,'涵江区','350303',152,4,1544,'hanjiangqu','hjq'),
(1545,'荔城区','350304',152,4,1545,'lichengqu','lcq'),
(1546,'秀屿区','350305',152,4,1546,'xiuyuqu','xyq'),
(1547,'仙游县','350322',152,4,1547,'xianyouxian','xyx'),
(1549,'梅列区','350402',153,4,1549,'meiliequ','mlq'),
(1550,'三元区','350403',153,4,1550,'sanyuanqu','syq'),
(1551,'明溪县','350421',153,4,1551,'mingxixian','mxx'),
(1552,'清流县','350423',153,4,1552,'qingliuxian','qlx'),
(1553,'宁化县','350424',153,4,1553,'ninghuaxian','nhx'),
(1554,'大田县','350425',153,4,1554,'datianxian','dtx'),
(1555,'尤溪县','350426',153,4,1555,'youxixian','yxx'),
(1556,'沙县','350427',153,4,1556,'shaxian','sx'),
(1557,'将乐县','350428',153,4,1557,'jianglexian','jlx'),
(1558,'泰宁县','350429',153,4,1558,'tainingxian','tnx'),
(1559,'建宁县','350430',153,4,1559,'jianningxian','jnx'),
(1560,'永安市','350481',153,4,1560,'yonganshi','yas'),
(1562,'鲤城区','350502',154,4,1562,'lichengqu','lcq'),
(1563,'丰泽区','350503',154,4,1563,'fengzequ','fzq'),
(1564,'洛江区','350504',154,4,1564,'luojiangqu','ljq'),
(1565,'泉港区','350505',154,4,1565,'quangangqu','qgq'),
(1566,'惠安县','350521',154,4,1566,'huianxian','hax'),
(1567,'安溪县','350524',154,4,1567,'anxixian','axx'),
(1568,'永春县','350525',154,4,1568,'yongchunxian','ycx'),
(1569,'德化县','350526',154,4,1569,'dehuaxian','dhx'),
(1570,'金门县','350527',154,4,1570,'jinmenxian','jmx'),
(1571,'石狮市','350581',154,4,1571,'shishishi','sss'),
(1572,'晋江市','350582',154,4,1572,'jinjiangshi','jjs'),
(1573,'南安市','350583',154,4,1573,'nananshi','nas'),
(1575,'芗城区','350602',155,4,1575,'xiangchengqu','xcq'),
(1576,'龙文区','350603',155,4,1576,'longwenqu','lwq'),
(1577,'云霄县','350622',155,4,1577,'yunxiaoxian','yxx'),
(1578,'漳浦县','350623',155,4,1578,'zhangpuxian','zpx'),
(1579,'诏安县','350624',155,4,1579,'zhaoanxian','zax'),
(1580,'长泰县','350625',155,4,1580,'zhangtaixian','ztx'),
(1581,'东山县','350626',155,4,1581,'dongshanxian','dsx'),
(1582,'南靖县','350627',155,4,1582,'nanjingxian','njx'),
(1583,'平和县','350628',155,4,1583,'pinghexian','phx'),
(1584,'华安县','350629',155,4,1584,'huaanxian','hax'),
(1585,'龙海市','350681',155,4,1585,'longhaishi','lhs'),
(1587,'延平区','350702',156,4,1587,'yanpingqu','ypq'),
(1588,'顺昌县','350721',156,4,1588,'shunchangxian','scx'),
(1589,'浦城县','350722',156,4,1589,'puchengxian','pcx'),
(1590,'光泽县','350723',156,4,1590,'guangzexian','gzx'),
(1591,'松溪县','350724',156,4,1591,'songxixian','sxx'),
(1592,'政和县','350725',156,4,1592,'zhenghexian','zhx'),
(1593,'邵武市','350781',156,4,1593,'shaowushi','sws'),
(1594,'武夷山市','350782',156,4,1594,'wuyishanshi','wyss'),
(1595,'建瓯市','350783',156,4,1595,'jianoushi','jos'),
(1596,'建阳市','350784',156,4,1596,'jianyangshi','jys'),
(1598,'新罗区','350802',157,4,1598,'xinluoqu','xlq'),
(1599,'长汀县','350821',157,4,1599,'zhangtingxian','ztx'),
(1600,'永定县','350822',157,4,1600,'yongdingxian','ydx'),
(1601,'上杭县','350823',157,4,1601,'shanghangxian','shx'),
(1602,'武平县','350824',157,4,1602,'wupingxian','wpx'),
(1603,'连城县','350825',157,4,1603,'lianchengxian','lcx'),
(1604,'漳平市','350881',157,4,1604,'zhangpingshi','zps'),
(1606,'蕉城区','350902',158,4,1606,'jiaochengqu','jcq'),
(1607,'霞浦县','350921',158,4,1607,'xiapuxian','xpx'),
(1608,'古田县','350922',158,4,1608,'gutianxian','gtx'),
(1609,'屏南县','350923',158,4,1609,'pingnanxian','pnx'),
(1610,'寿宁县','350924',158,4,1610,'shouningxian','snx'),
(1611,'周宁县','350925',158,4,1611,'zhouningxian','znx'),
(1612,'柘荣县','350926',158,4,1612,'zherongxian','zrx'),
(1613,'福安市','350981',158,4,1613,'fuanshi','fas'),
(1614,'福鼎市','350982',158,4,1614,'fudingshi','fds'),
(1616,'东湖区','360102',159,4,1616,'donghuqu','dhq'),
(1617,'西湖区','360103',159,4,1617,'xihuqu','xhq'),
(1618,'青云谱区','360104',159,4,1618,'qingyunpuqu','qypq'),
(1619,'湾里区','360105',159,4,1619,'wanliqu','wlq'),
(1620,'青山湖区','360111',159,4,1620,'qingshanhuqu','qshq'),
(1621,'南昌县','360121',159,4,1621,'nanchangxian','ncx'),
(1622,'新建县','360122',159,4,1622,'xinjianxian','xjx'),
(1623,'安义县','360123',159,4,1623,'anyixian','ayx'),
(1624,'进贤县','360124',159,4,1624,'jinxianxian','jxx'),
(1626,'昌江区','360202',160,4,1626,'changjiangqu','cjq'),
(1627,'珠山区','360203',160,4,1627,'zhushanqu','zsq'),
(1628,'浮梁县','360222',160,4,1628,'fuliangxian','flx'),
(1629,'乐平市','360281',160,4,1629,'lepingshi','lps'),
(1631,'安源区','360302',161,4,1631,'anyuanqu','ayq'),
(1632,'湘东区','360313',161,4,1632,'xiangdongqu','xdq'),
(1633,'莲花县','360321',161,4,1633,'lianhuaxian','lhx'),
(1634,'上栗县','360322',161,4,1634,'shanglixian','slx'),
(1635,'芦溪县','360323',161,4,1635,'luxixian','lxx'),
(1637,'庐山区','360402',162,4,1637,'lushanqu','lsq'),
(1638,'浔阳区','360403',162,4,1638,'xunyangqu','xyq'),
(1639,'九江县','360421',162,4,1639,'jiujiangxian','jjx'),
(1640,'武宁县','360423',162,4,1640,'wuningxian','wnx'),
(1641,'修水县','360424',162,4,1641,'xiushuixian','xsx'),
(1642,'永修县','360425',162,4,1642,'yongxiuxian','yxx'),
(1643,'德安县','360426',162,4,1643,'deanxian','dax'),
(1644,'星子县','360427',162,4,1644,'xingzixian','xzx'),
(1645,'都昌县','360428',162,4,1645,'douchangxian','dcx'),
(1646,'湖口县','360429',162,4,1646,'hukouxian','hkx'),
(1647,'彭泽县','360430',162,4,1647,'pengzexian','pzx'),
(1648,'瑞昌市','360481',162,4,1648,'ruichangshi','rcs'),
(1650,'渝水区','360502',163,4,1650,'yushuiqu','ysq'),
(1651,'分宜县','360521',163,4,1651,'fenyixian','fyx'),
(1653,'月湖区','360602',164,4,1653,'yuehuqu','yhq'),
(1654,'余江县','360622',164,4,1654,'yujiangxian','yjx'),
(1655,'贵溪市','360681',164,4,1655,'guixishi','gxs'),
(1657,'章贡区','360702',165,4,1657,'zhanggongqu','zgq'),
(1658,'赣县','360721',165,4,1658,'ganxian','gx'),
(1659,'信丰县','360722',165,4,1659,'xinfengxian','xfx'),
(1660,'大余县','360723',165,4,1660,'dayuxian','dyx'),
(1661,'上犹县','360724',165,4,1661,'shangyouxian','syx'),
(1662,'崇义县','360725',165,4,1662,'chongyixian','cyx'),
(1663,'安远县','360726',165,4,1663,'anyuanxian','ayx'),
(1664,'龙南县','360727',165,4,1664,'longnanxian','lnx'),
(1665,'定南县','360728',165,4,1665,'dingnanxian','dnx'),
(1666,'全南县','360729',165,4,1666,'quannanxian','qnx'),
(1667,'宁都县','360730',165,4,1667,'ningdouxian','ndx'),
(1668,'于都县','360731',165,4,1668,'yudouxian','ydx'),
(1669,'兴国县','360732',165,4,1669,'xingguoxian','xgx'),
(1670,'会昌县','360733',165,4,1670,'huichangxian','hcx'),
(1671,'寻乌县','360734',165,4,1671,'xunwuxian','xwx'),
(1672,'石城县','360735',165,4,1672,'shichengxian','scx'),
(1673,'瑞金市','360781',165,4,1673,'ruijinshi','rjs'),
(1674,'南康市','360782',165,4,1674,'nankangshi','nks'),
(1676,'吉州区','360802',166,4,1676,'jizhouqu','jzq'),
(1677,'青原区','360803',166,4,1677,'qingyuanqu','qyq'),
(1678,'吉安县','360821',166,4,1678,'jianxian','jax'),
(1679,'吉水县','360822',166,4,1679,'jishuixian','jsx'),
(1680,'峡江县','360823',166,4,1680,'xiajiangxian','xjx'),
(1681,'新干县','360824',166,4,1681,'xinganxian','xgx'),
(1682,'永丰县','360825',166,4,1682,'yongfengxian','yfx'),
(1683,'泰和县','360826',166,4,1683,'taihexian','thx'),
(1684,'遂川县','360827',166,4,1684,'suichuanxian','scx'),
(1685,'万安县','360828',166,4,1685,'wananxian','wax'),
(1686,'安福县','360829',166,4,1686,'anfuxian','afx'),
(1687,'永新县','360830',166,4,1687,'yongxinxian','yxx'),
(1688,'井冈山市','360881',166,4,1688,'jinggangshanshi','jgss'),
(1690,'袁州区','360902',167,4,1690,'yuanzhouqu','yzq'),
(1691,'奉新县','360921',167,4,1691,'fengxinxian','fxx'),
(1692,'万载县','360922',167,4,1692,'wanzaixian','wzx'),
(1693,'上高县','360923',167,4,1693,'shanggaoxian','sgx'),
(1694,'宜丰县','360924',167,4,1694,'yifengxian','yfx'),
(1695,'靖安县','360925',167,4,1695,'jinganxian','jax'),
(1696,'铜鼓县','360926',167,4,1696,'tongguxian','tgx'),
(1697,'丰城市','360981',167,4,1697,'fengchengshi','fcs'),
(1698,'樟树市','360982',167,4,1698,'zhangshushi','zss'),
(1699,'高安市','360983',167,4,1699,'gaoanshi','gas'),
(1701,'临川区','361002',168,4,1701,'linchuanqu','lcq'),
(1702,'南城县','361021',168,4,1702,'nanchengxian','ncx'),
(1703,'黎川县','361022',168,4,1703,'lichuanxian','lcx'),
(1704,'南丰县','361023',168,4,1704,'nanfengxian','nfx'),
(1705,'崇仁县','361024',168,4,1705,'chongrenxian','crx'),
(1706,'乐安县','361025',168,4,1706,'leanxian','lax'),
(1707,'宜黄县','361026',168,4,1707,'yihuangxian','yhx'),
(1708,'金溪县','361027',168,4,1708,'jinxixian','jxx'),
(1709,'资溪县','361028',168,4,1709,'zixixian','zxx'),
(1710,'东乡县','361029',168,4,1710,'dongxiangxian','dxx'),
(1711,'广昌县','361030',168,4,1711,'guangchangxian','gcx'),
(1713,'信州区','361102',169,4,1713,'xinzhouqu','xzq'),
(1714,'上饶县','361121',169,4,1714,'shangraoxian','srx'),
(1715,'广丰县','361122',169,4,1715,'guangfengxian','gfx'),
(1716,'玉山县','361123',169,4,1716,'yushanxian','ysx'),
(1717,'铅山县','361124',169,4,1717,'qianshanxian','qsx'),
(1718,'横峰县','361125',169,4,1718,'hengfengxian','hfx'),
(1719,'弋阳县','361126',169,4,1719,'yiyangxian','yyx'),
(1720,'余干县','361127',169,4,1720,'yuganxian','ygx'),
(1721,'鄱阳县','361128',169,4,1721,'poyangxian','pyx'),
(1722,'万年县','361129',169,4,1722,'wannianxian','wnx'),
(1723,'婺源县','361130',169,4,1723,'wuyuanxian','wyx'),
(1724,'德兴市','361181',169,4,1724,'dexingshi','dxs'),
(1726,'历下区','370102',170,4,1726,'lixiaqu','lxq'),
(1727,'市中区','370101',170,4,1727,'shizhongqu','szq'),
(1728,'槐荫区','370104',170,4,1728,'huaiyinqu','hyq'),
(1729,'天桥区','370105',170,4,1729,'tianqiaoqu','tqq'),
(1730,'历城区','370112',170,4,1730,'lichengqu','lcq'),
(1731,'长清区','370113',170,4,1731,'zhangqingqu','zqq'),
(1732,'平阴县','370124',170,4,1732,'pingyinxian','pyx'),
(1733,'济阳县','370125',170,4,1733,'jiyangxian','jyx'),
(1734,'商河县','370126',170,4,1734,'shanghexian','shx'),
(1735,'章丘市','370181',170,4,1735,'zhangqiushi','zqs'),
(1737,'市南区','370202',171,4,1737,'shinanqu','snq'),
(1738,'市北区','370203',171,4,1738,'shibeiqu','sbq'),
(1739,'四方区','370205',171,4,1739,'sifangqu','sfq'),
(1740,'黄岛区','370211',171,4,1740,'huangdaoqu','hdq'),
(1741,'崂山区','370212',171,4,1741,'laoshanqu','lsq'),
(1742,'李沧区','370213',171,4,1742,'licangqu','lcq'),
(1743,'城阳区','370214',171,4,1743,'chengyangqu','cyq'),
(1744,'胶州市','370281',171,4,1744,'jiaozhoushi','jzs'),
(1745,'即墨市','370282',171,4,1745,'jimoshi','jms'),
(1746,'平度市','370283',171,4,1746,'pingdushi','pds'),
(1747,'胶南市','370284',171,4,1747,'jiaonanshi','jns'),
(1748,'莱西市','370285',171,4,1748,'laixishi','lxs'),
(1750,'淄川区','370302',172,4,1750,'zichuanqu','zcq'),
(1751,'张店区','370303',172,4,1751,'zhangdianqu','zdq'),
(1752,'博山区','370304',172,4,1752,'boshanqu','bsq'),
(1753,'临淄区','370305',172,4,1753,'linziqu','lzq'),
(1754,'周村区','370306',172,4,1754,'zhoucunqu','zcq'),
(1755,'桓台县','370321',172,4,1755,'huantaixian','htx'),
(1756,'高青县','370322',172,4,1756,'gaoqingxian','gqx'),
(1757,'沂源县','370323',172,4,1757,'yiyuanxian','yyx'),
(1759,'市中区','370402',173,4,1759,'shizhongqu','szq'),
(1760,'薛城区','370403',173,4,1760,'xuechengqu','xcq'),
(1761,'峄城区','370404',173,4,1761,'yichengqu','ycq'),
(1762,'台儿庄区','370405',173,4,1762,'taierzhuangqu','tezq'),
(1763,'山亭区','370406',173,4,1763,'shantingqu','stq'),
(1764,'滕州市','370481',173,4,1764,'tengzhoushi','tzs'),
(1766,'东营区','370502',174,4,1766,'dongyingqu','dyq'),
(1767,'河口区','370503',174,4,1767,'hekouqu','hkq'),
(1768,'垦利县','370521',174,4,1768,'kenlixian','klx'),
(1769,'利津县','370522',174,4,1769,'lijinxian','ljx'),
(1770,'广饶县','370523',174,4,1770,'guangraoxian','grx'),
(1772,'芝罘区','370602',175,4,1772,'zhifuqu','zfq'),
(1773,'福山区','370611',175,4,1773,'fushanqu','fsq'),
(1774,'牟平区','370612',175,4,1774,'moupingqu','mpq'),
(1775,'莱山区','370613',175,4,1775,'laishanqu','lsq'),
(1776,'长岛县','370634',175,4,1776,'zhangdaoxian','zdx'),
(1777,'龙口市','370681',175,4,1777,'longkoushi','lks'),
(1778,'莱阳市','370682',175,4,1778,'laiyangshi','lys'),
(1779,'莱州市','370683',175,4,1779,'laizhoushi','lzs'),
(1780,'蓬莱市','370684',175,4,1780,'penglaishi','pls'),
(1781,'招远市','370685',175,4,1781,'zhaoyuanshi','zys'),
(1782,'栖霞市','370686',175,4,1782,'qixiashi','qxs'),
(1783,'海阳市','370687',175,4,1783,'haiyangshi','hys'),
(1785,'潍城区','370702',176,4,1785,'weichengqu','wcq'),
(1786,'寒亭区','370703',176,4,1786,'hantingqu','htq'),
(1787,'坊子区','370704',176,4,1787,'fangziqu','fzq'),
(1788,'奎文区','370705',176,4,1788,'kuiwenqu','kwq'),
(1789,'临朐县','370724',176,4,1789,'linquxian','lqx'),
(1790,'昌乐县','370725',176,4,1790,'changlexian','clx'),
(1791,'青州市','370781',176,4,1791,'qingzhoushi','qzs'),
(1792,'诸城市','370782',176,4,1792,'zhuchengshi','zcs'),
(1793,'寿光市','370783',176,4,1793,'shouguangshi','sgs'),
(1794,'安丘市','370784',176,4,1794,'anqiushi','aqs'),
(1795,'高密市','370785',176,4,1795,'gaomishi','gms'),
(1796,'昌邑市','370786',176,4,1796,'changyishi','cys'),
(1798,'市中区','370802',177,4,1798,'shizhongqu','szq'),
(1799,'任城区','370811',177,4,1799,'renchengqu','rcq'),
(1800,'微山县','370826',177,4,1800,'weishanxian','wsx'),
(1801,'鱼台县','370827',177,4,1801,'yutaixian','ytx'),
(1802,'金乡县','370828',177,4,1802,'jinxiangxian','jxx'),
(1803,'嘉祥县','370829',177,4,1803,'jiaxiangxian','jxx'),
(1804,'汶上县','370830',177,4,1804,'wenshangxian','wsx'),
(1805,'泗水县','370831',177,4,1805,'sishuixian','ssx'),
(1806,'梁山县','370832',177,4,1806,'liangshanxian','lsx'),
(1807,'曲阜市','370881',177,4,1807,'qufushi','qfs'),
(1808,'兖州市','370882',177,4,1808,'yanzhoushi','yzs'),
(1809,'邹城市','370883',177,4,1809,'zouchengshi','zcs'),
(1811,'泰山区','370902',178,4,1811,'taishanqu','tsq'),
(1812,'岱岳区','370911',178,4,1812,'daiyuequ','dyq'),
(1813,'宁阳县','370921',178,4,1813,'ningyangxian','nyx'),
(1814,'东平县','370923',178,4,1814,'dongpingxian','dpx'),
(1815,'新泰市','370982',178,4,1815,'xintaishi','xts'),
(1816,'肥城市','370983',178,4,1816,'feichengshi','fcs'),
(1818,'环翠区','371002',179,4,1818,'huancuiqu','hcq'),
(1819,'文登市','371081',179,4,1819,'wendengshi','wds'),
(1820,'荣成市','371082',179,4,1820,'rongchengshi','rcs'),
(1821,'乳山市','371083',179,4,1821,'rushanshi','rss'),
(1823,'东港区','371102',180,4,1823,'donggangqu','dgq'),
(1824,'岚山区','371103',180,4,1824,'lanshanqu','lsq'),
(1825,'五莲县','371121',180,4,1825,'wulianxian','wlx'),
(1826,'莒县','371122',180,4,1826,'juxian','jx'),
(1828,'莱城区','371202',181,4,1828,'laichengqu','lcq'),
(1829,'钢城区','371203',181,4,1829,'gangchengqu','gcq'),
(1831,'兰山区','371302',182,4,1831,'lanshanqu','lsq'),
(1832,'罗庄区','371311',182,4,1832,'luozhuangqu','lzq'),
(1833,'河东区','371301',182,4,1833,'hedongqu','hdq'),
(1834,'沂南县','371321',182,4,1834,'yinanxian','ynx'),
(1835,'郯城县','371322',182,4,1835,'tanchengxian','tcx'),
(1836,'沂水县','371323',182,4,1836,'yishuixian','ysx'),
(1837,'苍山县','371324',182,4,1837,'cangshanxian','csx'),
(1838,'费县','371325',182,4,1838,'feixian','fx'),
(1839,'平邑县','371326',182,4,1839,'pingyixian','pyx'),
(1840,'莒南县','371327',182,4,1840,'junanxian','jnx'),
(1841,'蒙阴县','371328',182,4,1841,'mengyinxian','myx'),
(1842,'临沭县','371329',182,4,1842,'linshuxian','lsx'),
(1844,'德城区','371402',183,4,1844,'dechengqu','dcq'),
(1845,'陵县','371421',183,4,1845,'lingxian','lx'),
(1846,'宁津县','371422',183,4,1846,'ningjinxian','njx'),
(1847,'庆云县','371423',183,4,1847,'qingyunxian','qyx'),
(1848,'临邑县','371424',183,4,1848,'linyixian','lyx'),
(1849,'齐河县','371425',183,4,1849,'qihexian','qhx'),
(1850,'平原县','371426',183,4,1850,'pingyuanxian','pyx'),
(1851,'夏津县','371427',183,4,1851,'xiajinxian','xjx'),
(1852,'武城县','371428',183,4,1852,'wuchengxian','wcx'),
(1853,'乐陵市','371481',183,4,1853,'lelingshi','lls'),
(1854,'禹城市','371482',183,4,1854,'yuchengshi','ycs'),
(1856,'东昌府区','371502',184,4,1856,'dongchangfuqu','dcfq'),
(1857,'阳谷县','371521',184,4,1857,'yangguxian','ygx'),
(1858,'莘县','371522',184,4,1858,'xinxian','xx'),
(1859,'茌平县','371523',184,4,1859,'chipingxian','cpx'),
(1860,'东阿县','371524',184,4,1860,'dongaxian','dax'),
(1861,'冠县','371525',184,4,1861,'guanxian','gx'),
(1862,'高唐县','371526',184,4,1862,'gaotangxian','gtx'),
(1863,'临清市','371581',184,4,1863,'linqingshi','lqs'),
(1865,'滨城区','371602',185,4,1865,'binchengqu','bcq'),
(1866,'惠民县','371621',185,4,1866,'huiminxian','hmx'),
(1867,'阳信县','371622',185,4,1867,'yangxinxian','yxx'),
(1868,'无棣县','371623',185,4,1868,'wudixian','wdx'),
(1869,'沾化县','371624',185,4,1869,'zhanhuaxian','zhx'),
(1870,'博兴县','371625',185,4,1870,'boxingxian','bxx'),
(1871,'邹平县','371626',185,4,1871,'zoupingxian','zpx'),
(1873,'牡丹区','371702',186,4,1873,'mudanqu','mdq'),
(1874,'曹县','371721',186,4,1874,'caoxian','cx'),
(1875,'单县','371722',186,4,1875,'danxian','dx'),
(1876,'成武县','371723',186,4,1876,'chengwuxian','cwx'),
(1877,'巨野县','371724',186,4,1877,'juyexian','jyx'),
(1878,'郓城县','371725',186,4,1878,'yunchengxian','ycx'),
(1879,'鄄城县','371726',186,4,1879,'juanchengxian','jcx'),
(1880,'定陶县','371727',186,4,1880,'dingtaoxian','dtx'),
(1881,'东明县','371728',186,4,1881,'dongmingxian','dmx'),
(1883,'中原区','410102',187,4,1883,'zhongyuanqu','zyq'),
(1884,'二七区','410103',187,4,1884,'erqiqu','eqq'),
(1885,'管城回族区','410104',187,4,1885,'guanchenghuizuqu','gchzq'),
(1886,'金水区','410105',187,4,1886,'jinshuiqu','jsq'),
(1887,'上街区','410106',187,4,1887,'shangjiequ','sjq'),
(1888,'惠济区','410108',187,4,1888,'huijiqu','hjq'),
(1889,'中牟县','410122',187,4,1889,'zhongmouxian','zmx'),
(1890,'巩义市','410181',187,4,1890,'gongyishi','gys'),
(1891,'荥阳市','410182',187,4,1891,'yingyangshi','yys'),
(1892,'新密市','410183',187,4,1892,'xinmishi','xms'),
(1893,'新郑市','410184',187,4,1893,'xinzhengshi','xzs'),
(1894,'登封市','410185',187,4,1894,'dengfengshi','dfs'),
(1896,'龙亭区','410202',188,4,1896,'longtingqu','ltq'),
(1897,'顺河回族区','410203',188,4,1897,'shunhehuizuqu','shhzq'),
(1898,'鼓楼区','410204',188,4,1898,'gulouqu','glq'),
(1899,'禹王台区','410205',188,4,1899,'yuwangtaiqu','ywtq'),
(1900,'金明区','410211',188,4,1900,'jinmingqu','jmq'),
(1901,'杞县','410221',188,4,1901,'qixian','qx'),
(1902,'通许县','410222',188,4,1902,'tongxuxian','txx'),
(1903,'尉氏县','410223',188,4,1903,'weishixian','wsx'),
(1904,'开封县','410224',188,4,1904,'kaifengxian','kfx'),
(1905,'兰考县','410225',188,4,1905,'lankaoxian','lkx'),
(1907,'老城区','410302',189,4,1907,'laochengqu','lcq'),
(1908,'西工区','410303',189,4,1908,'xigongqu','xgq'),
(1909,'瀍河回族区','410304',189,4,1909,'chanhehuizuqu','chhzq'),
(1910,'涧西区','410305',189,4,1910,'jianxiqu','jxq'),
(1911,'吉利区','410306',189,4,1911,'jiliqu','jlq'),
(1912,'洛龙区','410311',189,4,1912,'luolongqu','llq'),
(1913,'孟津县','410322',189,4,1913,'mengjinxian','mjx'),
(1914,'新安县','410323',189,4,1914,'xinanxian','xax'),
(1915,'栾川县','410324',189,4,1915,'luanchuanxian','lcx'),
(1916,'嵩县','410325',189,4,1916,'songxian','sx'),
(1917,'汝阳县','410326',189,4,1917,'ruyangxian','ryx'),
(1918,'宜阳县','410327',189,4,1918,'yiyangxian','yyx'),
(1919,'洛宁县','410328',189,4,1919,'luoningxian','lnx'),
(1920,'伊川县','410329',189,4,1920,'yichuanxian','ycx'),
(1921,'偃师市','410381',189,4,1921,'yanshishi','yss'),
(1923,'新华区','410402',190,4,1923,'xinhuaqu','xhq'),
(1924,'卫东区','410403',190,4,1924,'weidongqu','wdq'),
(1925,'石龙区','410404',190,4,1925,'shilongqu','slq'),
(1926,'湛河区','410411',190,4,1926,'zhanhequ','zhq'),
(1927,'宝丰县','410421',190,4,1927,'baofengxian','bfx'),
(1928,'叶县','410422',190,4,1928,'yexian','yx'),
(1929,'鲁山县','410423',190,4,1929,'lushanxian','lsx'),
(1930,'郏县','410425',190,4,1930,'jiaxian','jx'),
(1931,'舞钢市','410481',190,4,1931,'wugangshi','wgs'),
(1932,'汝州市','410482',190,4,1932,'ruzhoushi','rzs'),
(1934,'文峰区','410502',191,4,1934,'wenfengqu','wfq'),
(1935,'北关区','410503',191,4,1935,'beiguanqu','bgq'),
(1936,'殷都区','410505',191,4,1936,'yindouqu','ydq'),
(1937,'龙安区','410506',191,4,1937,'longanqu','laq'),
(1938,'安阳县','410522',191,4,1938,'anyangxian','ayx'),
(1939,'汤阴县','410523',191,4,1939,'tangyinxian','tyx'),
(1940,'滑县','410526',191,4,1940,'huaxian','hx'),
(1941,'内黄县','410527',191,4,1941,'neihuangxian','nhx'),
(1942,'林州市','410581',191,4,1942,'linzhoushi','lzs'),
(1944,'鹤山区','410602',192,4,1944,'heshanqu','hsq'),
(1945,'山城区','410603',192,4,1945,'shanchengqu','scq'),
(1946,'淇滨区','410611',192,4,1946,'qibinqu','qbq'),
(1947,'浚县','410621',192,4,1947,'junxian','jx'),
(1948,'淇县','410622',192,4,1948,'qixian','qx'),
(1950,'红旗区','410702',193,4,1950,'hongqiqu','hqq'),
(1951,'卫滨区','410703',193,4,1951,'weibinqu','wbq'),
(1952,'凤泉区','410704',193,4,1952,'fengquanqu','fqq'),
(1953,'牧野区','410711',193,4,1953,'muyequ','myq'),
(1954,'新乡县','410721',193,4,1954,'xinxiangxian','xxx'),
(1955,'获嘉县','410724',193,4,1955,'huojiaxian','hjx'),
(1956,'原阳县','410725',193,4,1956,'yuanyangxian','yyx'),
(1957,'延津县','410726',193,4,1957,'yanjinxian','yjx'),
(1958,'封丘县','410727',193,4,1958,'fengqiuxian','fqx'),
(1959,'长垣县','410728',193,4,1959,'zhangyuanxian','zyx'),
(1960,'卫辉市','410781',193,4,1960,'weihuishi','whs'),
(1961,'辉县市','410782',193,4,1961,'huixianshi','hxs'),
(1963,'解放区','410802',194,4,1963,'jiefangqu','jfq'),
(1964,'中站区','410803',194,4,1964,'zhongzhanqu','zzq'),
(1965,'马村区','410804',194,4,1965,'macunqu','mcq'),
(1966,'山阳区','410811',194,4,1966,'shanyangqu','syq'),
(1967,'修武县','410821',194,4,1967,'xiuwuxian','xwx'),
(1968,'博爱县','410822',194,4,1968,'boaixian','bax'),
(1969,'武陟县','410823',194,4,1969,'wuzhixian','wzx'),
(1970,'温县','410825',194,4,1970,'wenxian','wx'),
(1971,'济源市','419001',194,4,1971,'jiyuanshi','jys'),
(1972,'沁阳市','410882',194,4,1972,'qinyangshi','qys'),
(1973,'孟州市','410883',194,4,1973,'mengzhoushi','mzs'),
(1975,'华龙区','410902',195,4,1975,'hualongqu','hlq'),
(1976,'清丰县','410922',195,4,1976,'qingfengxian','qfx'),
(1977,'南乐县','410923',195,4,1977,'nanlexian','nlx'),
(1978,'范县','410926',195,4,1978,'fanxian','fx'),
(1979,'台前县','410927',195,4,1979,'taiqianxian','tqx'),
(1980,'濮阳县','410928',195,4,1980,'puyangxian','pyx'),
(1982,'魏都区','411002',196,4,1982,'weidouqu','wdq'),
(1983,'许昌县','411023',196,4,1983,'xuchangxian','xcx'),
(1984,'鄢陵县','411024',196,4,1984,'yanlingxian','ylx'),
(1985,'襄城县','411025',196,4,1985,'xiangchengxian','xcx'),
(1986,'禹州市','411081',196,4,1986,'yuzhoushi','yzs'),
(1987,'长葛市','411082',196,4,1987,'zhanggeshi','zgs'),
(1989,'源汇区','411102',197,4,1989,'yuanhuiqu','yhq'),
(1990,'郾城区','411103',197,4,1990,'yanchengqu','ycq'),
(1991,'召陵区','411104',197,4,1991,'zhaolingqu','zlq'),
(1992,'舞阳县','411121',197,4,1992,'wuyangxian','wyx'),
(1993,'临颍县','411122',197,4,1993,'linyingxian','lyx'),
(1995,'湖滨区','411202',198,4,1995,'hubinqu','hbq'),
(1996,'渑池县','411221',198,4,1996,'mianchixian','mcx'),
(1997,'陕县','411222',198,4,1997,'shanxian','sx'),
(1998,'卢氏县','411224',198,4,1998,'lushixian','lsx'),
(1999,'义马市','411281',198,4,1999,'yimashi','yms'),
(2000,'灵宝市','411282',198,4,2000,'lingbaoshi','lbs'),
(2002,'宛城区','411302',199,4,2002,'wanchengqu','wcq'),
(2003,'卧龙区','411303',199,4,2003,'wolongqu','wlq'),
(2004,'南召县','411321',199,4,2004,'nanzhaoxian','nzx'),
(2005,'方城县','411322',199,4,2005,'fangchengxian','fcx'),
(2006,'西峡县','411323',199,4,2006,'xixiaxian','xxx'),
(2007,'镇平县','411324',199,4,2007,'zhenpingxian','zpx'),
(2008,'内乡县','411325',199,4,2008,'neixiangxian','nxx'),
(2009,'淅川县','411326',199,4,2009,'xichuanxian','xcx'),
(2010,'社旗县','411327',199,4,2010,'sheqixian','sqx'),
(2011,'唐河县','411328',199,4,2011,'tanghexian','thx'),
(2012,'新野县','411329',199,4,2012,'xinyexian','xyx'),
(2013,'桐柏县','411330',199,4,2013,'tongboxian','tbx'),
(2014,'邓州市','411381',199,4,2014,'dengzhoushi','dzs'),
(2016,'梁园区','411402',200,4,2016,'liangyuanqu','lyq'),
(2017,'睢阳区','411403',200,4,2017,'suiyangqu','syq'),
(2018,'民权县','411421',200,4,2018,'minquanxian','mqx'),
(2019,'睢县','411422',200,4,2019,'suixian','sx'),
(2020,'宁陵县','411423',200,4,2020,'ninglingxian','nlx'),
(2021,'柘城县','411424',200,4,2021,'zhechengxian','zcx'),
(2022,'虞城县','411425',200,4,2022,'yuchengxian','ycx'),
(2023,'夏邑县','411426',200,4,2023,'xiayixian','xyx'),
(2024,'永城市','411481',200,4,2024,'yongchengshi','ycs'),
(2026,'浉河区','411502',201,4,2026,'shihequ','shq'),
(2027,'平桥区','411503',201,4,2027,'pingqiaoqu','pqq'),
(2028,'罗山县','411521',201,4,2028,'luoshanxian','lsx'),
(2029,'光山县','411522',201,4,2029,'guangshanxian','gsx'),
(2030,'新县','411523',201,4,2030,'xinxian','xx'),
(2031,'商城县','411524',201,4,2031,'shangchengxian','scx'),
(2032,'固始县','411525',201,4,2032,'gushixian','gsx'),
(2033,'潢川县','411526',201,4,2033,'huangchuanxian','hcx'),
(2034,'淮滨县','411527',201,4,2034,'huaibinxian','hbx'),
(2035,'息县','411528',201,4,2035,'xixian','xx'),
(2037,'川汇区','411602',202,4,2037,'chuanhuiqu','chq'),
(2038,'扶沟县','411621',202,4,2038,'fugouxian','fgx'),
(2039,'西华县','411622',202,4,2039,'xihuaxian','xhx'),
(2040,'商水县','411623',202,4,2040,'shangshuixian','ssx'),
(2041,'沈丘县','411624',202,4,2041,'shenqiuxian','sqx'),
(2042,'郸城县','411625',202,4,2042,'danchengxian','dcx'),
(2043,'淮阳县','411626',202,4,2043,'huaiyangxian','hyx'),
(2044,'太康县','411627',202,4,2044,'taikangxian','tkx'),
(2045,'鹿邑县','411628',202,4,2045,'luyixian','lyx'),
(2046,'项城市','411681',202,4,2046,'xiangchengshi','xcs'),
(2048,'驿城区','411702',203,4,2048,'yichengqu','ycq'),
(2049,'西平县','411721',203,4,2049,'xipingxian','xpx'),
(2050,'上蔡县','411722',203,4,2050,'shangcaixian','scx'),
(2051,'平舆县','411723',203,4,2051,'pingyuxian','pyx'),
(2052,'正阳县','411724',203,4,2052,'zhengyangxian','zyx'),
(2053,'确山县','411725',203,4,2053,'queshanxian','qsx'),
(2054,'泌阳县','411726',203,4,2054,'miyangxian','myx'),
(2055,'汝南县','411727',203,4,2055,'runanxian','rnx'),
(2056,'遂平县','411728',203,4,2056,'suipingxian','spx'),
(2057,'新蔡县','411729',203,4,2057,'xincaixian','xcx'),
(2059,'江岸区','420102',204,4,2059,'jianganqu','jaq'),
(2060,'江汉区','420103',204,4,2060,'jianghanqu','jhq'),
(2061,'硚口区','420104',204,4,2061,'qiaokouqu','qkq'),
(2062,'汉阳区','420105',204,4,2062,'hanyangqu','hyq'),
(2063,'武昌区','420106',204,4,2063,'wuchangqu','wcq'),
(2064,'青山区','420107',204,4,2064,'qingshanqu','qsq'),
(2065,'洪山区','420111',204,4,2065,'hongshanqu','hsq'),
(2066,'东西湖区','420112',204,4,2066,'dongxihuqu','dxhq'),
(2067,'汉南区','420113',204,4,2067,'hannanqu','hnq'),
(2068,'蔡甸区','420114',204,4,2068,'caidianqu','cdq'),
(2069,'江夏区','420115',204,4,2069,'jiangxiaqu','jxq'),
(2070,'黄陂区','420116',204,4,2070,'huangpoqu','hpq'),
(2071,'新洲区','420117',204,4,2071,'xinzhouqu','xzq'),
(2073,'黄石港区','420202',205,4,2073,'huangshigangqu','hsgq'),
(2074,'西塞山区','420203',205,4,2074,'xisaishanqu','xssq'),
(2075,'下陆区','420204',205,4,2075,'xialuqu','xlq'),
(2076,'铁山区','420205',205,4,2076,'tieshanqu','tsq'),
(2077,'阳新县','420222',205,4,2077,'yangxinxian','yxx'),
(2078,'大冶市','420281',205,4,2078,'dayeshi','dys'),
(2080,'茅箭区','420302',206,4,2080,'maojianqu','mjq'),
(2081,'张湾区','420303',206,4,2081,'zhangwanqu','zwq'),
(2082,'郧县','420321',206,4,2082,'yunxian','yx'),
(2083,'郧西县','420322',206,4,2083,'yunxixian','yxx'),
(2084,'竹山县','420323',206,4,2084,'zhushanxian','zsx'),
(2085,'竹溪县','420324',206,4,2085,'zhuxixian','zxx'),
(2086,'房县','420325',206,4,2086,'fangxian','fx'),
(2087,'丹江口市','420381',206,4,2087,'danjiangkoushi','djks'),
(2089,'西陵区','420502',207,4,2089,'xilingqu','xlq'),
(2090,'伍家岗区','420503',207,4,2090,'wujiagangqu','wjgq'),
(2091,'点军区','420504',207,4,2091,'dianjunqu','djq'),
(2092,'猇亭区','420505',207,4,2092,'yaotingqu','ytq'),
(2093,'夷陵区','420506',207,4,2093,'yilingqu','ylq'),
(2094,'远安县','420525',207,4,2094,'yuananxian','yax'),
(2095,'兴山县','420526',207,4,2095,'xingshanxian','xsx'),
(2096,'秭归县','420527',207,4,2096,'ziguixian','zgx'),
(2097,'长阳土家族自治县','420528',207,4,2097,'zhangyangtujiazuzizhixian','zytjzzzx'),
(2098,'五峰土家族自治县','420529',207,4,2098,'wufengtujiazuzizhixian','wftjzzzx'),
(2099,'宜都市','420581',207,4,2099,'yidoushi','yds'),
(2100,'当阳市','420582',207,4,2100,'dangyangshi','dys'),
(2101,'枝江市','420583',207,4,2101,'zhijiangshi','zjs'),
(2103,'襄城区','420602',208,4,2103,'xiangchengqu','xcq'),
(2104,'樊城区','420606',208,4,2104,'fanchengqu','fcq'),
(2105,'襄阳区','420607',208,4,2105,'xiangyangqu','xyq'),
(2106,'南漳县','420624',208,4,2106,'nanzhangxian','nzx'),
(2107,'谷城县','420625',208,4,2107,'guchengxian','gcx'),
(2108,'保康县','420626',208,4,2108,'baokangxian','bkx'),
(2109,'老河口市','420682',208,4,2109,'laohekoushi','lhks'),
(2110,'枣阳市','420683',208,4,2110,'zaoyangshi','zys'),
(2111,'宜城市','420684',208,4,2111,'yichengshi','ycs'),
(2113,'梁子湖区','420702',209,4,2113,'liangzihuqu','lzhq'),
(2114,'华容区','420703',209,4,2114,'huarongqu','hrq'),
(2115,'鄂城区','420704',209,4,2115,'echengqu','ecq'),
(2117,'东宝区','420802',210,4,2117,'dongbaoqu','dbq'),
(2118,'掇刀区','420804',210,4,2118,'duodaoqu','ddq'),
(2119,'京山县','420821',210,4,2119,'jingshanxian','jsx'),
(2120,'沙洋县','420822',210,4,2120,'shayangxian','syx'),
(2121,'钟祥市','420881',210,4,2121,'zhongxiangshi','zxs'),
(2123,'孝南区','420902',211,4,2123,'xiaonanqu','xnq'),
(2124,'孝昌县','420921',211,4,2124,'xiaochangxian','xcx'),
(2125,'大悟县','420922',211,4,2125,'dawuxian','dwx'),
(2126,'云梦县','420923',211,4,2126,'yunmengxian','ymx'),
(2127,'应城市','420981',211,4,2127,'yingchengshi','ycs'),
(2128,'安陆市','420982',211,4,2128,'anlushi','als'),
(2129,'汉川市','420984',211,4,2129,'hanchuanshi','hcs'),
(2131,'沙市区','421002',212,4,2131,'shashiqu','ssq'),
(2132,'荆州区','421003',212,4,2132,'jingzhouqu','jzq'),
(2133,'公安县','421022',212,4,2133,'gonganxian','gax'),
(2134,'监利县','421023',212,4,2134,'jianlixian','jlx'),
(2135,'江陵县','421024',212,4,2135,'jianglingxian','jlx'),
(2136,'石首市','421081',212,4,2136,'shishoushi','sss'),
(2137,'洪湖市','421083',212,4,2137,'honghushi','hhs'),
(2138,'松滋市','421087',212,4,2138,'songzishi','szs'),
(2140,'黄州区','421102',213,4,2140,'huangzhouqu','hzq'),
(2141,'团风县','421121',213,4,2141,'tuanfengxian','tfx'),
(2142,'红安县','421122',213,4,2142,'honganxian','hax'),
(2143,'罗田县','421123',213,4,2143,'luotianxian','ltx'),
(2144,'英山县','421124',213,4,2144,'yingshanxian','ysx'),
(2145,'浠水县','421125',213,4,2145,'xishuixian','xsx'),
(2146,'蕲春县','421126',213,4,2146,'qichunxian','qcx'),
(2147,'黄梅县','421127',213,4,2147,'huangmeixian','hmx'),
(2148,'麻城市','421181',213,4,2148,'machengshi','mcs'),
(2149,'武穴市','421182',213,4,2149,'wuxueshi','wxs'),
(2151,'咸安区','421202',214,4,2151,'xiananqu','xaq'),
(2152,'嘉鱼县','421221',214,4,2152,'jiayuxian','jyx'),
(2153,'通城县','421222',214,4,2153,'tongchengxian','tcx'),
(2154,'崇阳县','421223',214,4,2154,'chongyangxian','cyx'),
(2155,'通山县','421224',214,4,2155,'tongshanxian','tsx'),
(2156,'赤壁市','421281',214,4,2156,'chibishi','cbs'),
(2158,'曾都区','421303',215,4,2158,'cengdouqu','cdq'),
(2159,'广水市','421381',215,4,2159,'guangshuishi','gss'),
(2160,'恩施市','422801',216,4,2160,'enshishi','ess'),
(2161,'利川市','422802',216,4,2161,'lichuanshi','lcs'),
(2162,'建始县','422822',216,4,2162,'jianshixian','jsx'),
(2163,'巴东县','422823',216,4,2163,'badongxian','bdx'),
(2164,'宣恩县','422825',216,4,2164,'xuanenxian','xex'),
(2165,'咸丰县','422826',216,4,2165,'xianfengxian','xfx'),
(2166,'来凤县','422827',216,4,2166,'laifengxian','lfx'),
(2167,'鹤峰县','422828',216,4,2167,'hefengxian','hfx'),
(2168,'仙桃市','429004',217,4,2168,'xiantaoshi','xts'),
(2169,'潜江市','429005',217,4,2169,'qianjiangshi','qjs'),
(2170,'天门市','429006',217,4,2170,'tianmenshi','tms'),
(2171,'神农架林区','429021',217,4,2171,'shennongjialinqu','snjlq'),
(2173,'芙蓉区','430102',218,4,2173,'furongqu','frq'),
(2174,'天心区','430103',218,4,2174,'tianxinqu','txq'),
(2175,'岳麓区','430104',218,4,2175,'yueluqu','ylq'),
(2176,'开福区','430105',218,4,2176,'kaifuqu','kfq'),
(2177,'雨花区','430111',218,4,2177,'yuhuaqu','yhq'),
(2178,'长沙县','430121',218,4,2178,'zhangshaxian','zsx'),
(2179,'望城县','430122',218,4,2179,'wangchengxian','wcx'),
(2180,'宁乡县','430124',218,4,2180,'ningxiangxian','nxx'),
(2181,'浏阳市','430181',218,4,2181,'liuyangshi','lys'),
(2183,'荷塘区','430202',219,4,2183,'hetangqu','htq'),
(2184,'芦淞区','430203',219,4,2184,'lusongqu','lsq'),
(2185,'石峰区','430204',219,4,2185,'shifengqu','sfq'),
(2186,'天元区','430211',219,4,2186,'tianyuanqu','tyq'),
(2187,'株洲县','430221',219,4,2187,'zhuzhouxian','zzx'),
(2188,'攸县','430223',219,4,2188,'youxian','yx'),
(2189,'茶陵县','430224',219,4,2189,'chalingxian','clx'),
(2190,'炎陵县','430225',219,4,2190,'yanlingxian','ylx'),
(2191,'醴陵市','430281',219,4,2191,'lilingshi','lls'),
(2193,'雨湖区','430302',220,4,2193,'yuhuqu','yhq'),
(2194,'岳塘区','430304',220,4,2194,'yuetangqu','ytq'),
(2195,'湘潭县','430321',220,4,2195,'xiangtanxian','xtx'),
(2196,'湘乡市','430381',220,4,2196,'xiangxiangshi','xxs'),
(2197,'韶山市','430382',220,4,2197,'shaoshanshi','sss'),
(2199,'珠晖区','430405',221,4,2199,'zhuhuiqu','zhq'),
(2200,'雁峰区','430406',221,4,2200,'yanfengqu','yfq'),
(2201,'石鼓区','430407',221,4,2201,'shiguqu','sgq'),
(2202,'蒸湘区','430408',221,4,2202,'zhengxiangqu','zxq'),
(2203,'南岳区','430412',221,4,2203,'nanyuequ','nyq'),
(2204,'衡阳县','430421',221,4,2204,'hengyangxian','hyx'),
(2205,'衡南县','430422',221,4,2205,'hengnanxian','hnx'),
(2206,'衡山县','430423',221,4,2206,'hengshanxian','hsx'),
(2207,'衡东县','430424',221,4,2207,'hengdongxian','hdx'),
(2208,'祁东县','430426',221,4,2208,'qidongxian','qdx'),
(2209,'耒阳市','430481',221,4,2209,'leiyangshi','lys'),
(2210,'常宁市','430482',221,4,2210,'changningshi','cns'),
(2212,'双清区','430502',222,4,2212,'shuangqingqu','sqq'),
(2213,'大祥区','430503',222,4,2213,'daxiangqu','dxq'),
(2214,'北塔区','430511',222,4,2214,'beitaqu','btq'),
(2215,'邵东县','430521',222,4,2215,'shaodongxian','sdx'),
(2216,'新邵县','430522',222,4,2216,'xinshaoxian','xsx'),
(2217,'邵阳县','430523',222,4,2217,'shaoyangxian','syx'),
(2218,'隆回县','430524',222,4,2218,'longhuixian','lhx'),
(2219,'洞口县','430525',222,4,2219,'dongkouxian','dkx'),
(2220,'绥宁县','430527',222,4,2220,'suiningxian','snx'),
(2221,'新宁县','430528',222,4,2221,'xinningxian','xnx'),
(2222,'城步苗族自治县','430529',222,4,2222,'chengbumiaozuzizhixian','cbmzzzx'),
(2223,'武冈市','430581',222,4,2223,'wugangshi','wgs'),
(2225,'岳阳楼区','430602',223,4,2225,'yueyanglouqu','yylq'),
(2226,'云溪区','430603',223,4,2226,'yunxiqu','yxq'),
(2227,'君山区','430611',223,4,2227,'junshanqu','jsq'),
(2228,'岳阳县','430621',223,4,2228,'yueyangxian','yyx'),
(2229,'华容县','430623',223,4,2229,'huarongxian','hrx'),
(2230,'湘阴县','430624',223,4,2230,'xiangyinxian','xyx'),
(2231,'平江县','430626',223,4,2231,'pingjiangxian','pjx'),
(2232,'汨罗市','430681',223,4,2232,'miluoshi','mls'),
(2233,'临湘市','430682',223,4,2233,'linxiangshi','lxs'),
(2235,'武陵区','430702',224,4,2235,'wulingqu','wlq'),
(2236,'鼎城区','430703',224,4,2236,'dingchengqu','dcq'),
(2237,'安乡县','430721',224,4,2237,'anxiangxian','axx'),
(2238,'汉寿县','430722',224,4,2238,'hanshouxian','hsx'),
(2239,'澧县','430723',224,4,2239,'lixian','lx'),
(2240,'临澧县','430724',224,4,2240,'linlixian','llx'),
(2241,'桃源县','430725',224,4,2241,'taoyuanxian','tyx'),
(2242,'石门县','430726',224,4,2242,'shimenxian','smx'),
(2243,'津市市','430781',224,4,2243,'jinshishi','jss'),
(2245,'永定区','430802',225,4,2245,'yongdingqu','ydq'),
(2246,'武陵源区','430811',225,4,2246,'wulingyuanqu','wlyq'),
(2247,'慈利县','430821',225,4,2247,'cilixian','clx'),
(2248,'桑植县','430822',225,4,2248,'sangzhixian','szx'),
(2250,'资阳区','430902',226,4,2250,'ziyangqu','zyq'),
(2251,'赫山区','430903',226,4,2251,'heshanqu','hsq'),
(2252,'南县','430921',226,4,2252,'nanxian','nx'),
(2253,'桃江县','430922',226,4,2253,'taojiangxian','tjx'),
(2254,'安化县','430923',226,4,2254,'anhuaxian','ahx'),
(2255,'沅江市','430981',226,4,2255,'yuanjiangshi','yjs'),
(2257,'北湖区','431002',227,4,2257,'beihuqu','bhq'),
(2258,'苏仙区','431003',227,4,2258,'suxianqu','sxq'),
(2259,'桂阳县','431021',227,4,2259,'guiyangxian','gyx'),
(2260,'宜章县','431022',227,4,2260,'yizhangxian','yzx'),
(2261,'永兴县','431023',227,4,2261,'yongxingxian','yxx'),
(2262,'嘉禾县','431024',227,4,2262,'jiahexian','jhx'),
(2263,'临武县','431025',227,4,2263,'linwuxian','lwx'),
(2264,'汝城县','431026',227,4,2264,'ruchengxian','rcx'),
(2265,'桂东县','431027',227,4,2265,'guidongxian','gdx'),
(2266,'安仁县','431028',227,4,2266,'anrenxian','arx'),
(2267,'资兴市','431081',227,4,2267,'zixingshi','zxs'),
(2270,'冷水滩区','431103',228,4,2270,'lengshuitanqu','lstq'),
(2271,'祁阳县','431121',228,4,2271,'qiyangxian','qyx'),
(2272,'东安县','431122',228,4,2272,'donganxian','dax'),
(2273,'双牌县','431123',228,4,2273,'shuangpaixian','spx'),
(2274,'道县','431124',228,4,2274,'daoxian','dx'),
(2275,'江永县','431125',228,4,2275,'jiangyongxian','jyx'),
(2276,'宁远县','431126',228,4,2276,'ningyuanxian','nyx'),
(2277,'蓝山县','431127',228,4,2277,'lanshanxian','lsx'),
(2278,'新田县','431128',228,4,2278,'xintianxian','xtx'),
(2279,'江华瑶族自治县','431129',228,4,2279,'jianghuayaozuzizhixian','jhyzzzx'),
(2281,'鹤城区','431202',229,4,2281,'hechengqu','hcq'),
(2282,'中方县','431221',229,4,2282,'zhongfangxian','zfx'),
(2283,'沅陵县','431222',229,4,2283,'yuanlingxian','ylx'),
(2284,'辰溪县','431223',229,4,2284,'chenxixian','cxx'),
(2285,'溆浦县','431224',229,4,2285,'xupuxian','xpx'),
(2286,'会同县','431225',229,4,2286,'huitongxian','htx'),
(2287,'麻阳苗族自治县','431226',229,4,2287,'mayangmiaozuzizhixian','mymzzzx'),
(2288,'新晃侗族自治县','431227',229,4,2288,'xinhuangdongzuzizhixian','xhdzzzx'),
(2289,'芷江侗族自治县','431228',229,4,2289,'zhijiangdongzuzizhixian','zjdzzzx'),
(2290,'靖州苗族侗族自治县','431229',229,4,2290,'jingzhoumiaozudongzuzizhixian','jzmzdzzzx'),
(2291,'通道侗族自治县','431230',229,4,2291,'tongdaodongzuzizhixian','tddzzzx'),
(2292,'洪江市','431281',229,4,2292,'hongjiangshi','hjs'),
(2294,'娄星区','431302',230,4,2294,'louxingqu','lxq'),
(2295,'双峰县','431321',230,4,2295,'shuangfengxian','sfx'),
(2296,'新化县','431322',230,4,2296,'xinhuaxian','xhx'),
(2297,'冷水江市','431381',230,4,2297,'lengshuijiangshi','lsjs'),
(2298,'涟源市','431382',230,4,2298,'lianyuanshi','lys'),
(2299,'吉首市','433101',231,4,2299,'jishoushi','jss'),
(2300,'泸溪县','433122',231,4,2300,'luxixian','lxx'),
(2301,'凤凰县','433123',231,4,2301,'fenghuangxian','fhx'),
(2302,'花垣县','433124',231,4,2302,'huayuanxian','hyx'),
(2303,'保靖县','433125',231,4,2303,'baojingxian','bjx'),
(2304,'古丈县','433126',231,4,2304,'guzhangxian','gzx'),
(2305,'永顺县','433127',231,4,2305,'yongshunxian','ysx'),
(2306,'龙山县','433130',231,4,2306,'longshanxian','lsx'),
(2308,'南沙区','440115',232,4,2308,'nanshaqu','nsq'),
(2309,'荔湾区','440103',232,4,2309,'liwanqu','lwq'),
(2310,'越秀区','440104',232,4,2310,'yuexiuqu','yxq'),
(2311,'海珠区','440105',232,4,2311,'haizhuqu','hzq'),
(2312,'天河区','440106',232,4,2312,'tianhequ','thq'),
(2313,'萝岗区','440116',232,4,2313,'luogangqu','lgq'),
(2314,'白云区','440111',232,4,2314,'baiyunqu','byq'),
(2315,'黄埔区','440112',232,4,2315,'huangpuqu','hpq'),
(2316,'番禺区','440113',232,4,2316,'fanyuqu','fyq'),
(2317,'花都区','440114',232,4,2317,'huadouqu','hdq'),
(2318,'增城市','440183',232,4,2318,'zengchengshi','zcs'),
(2319,'从化市','440184',232,4,2319,'conghuashi','chs'),
(2321,'武江区','440203',233,4,2321,'wujiangqu','wjq'),
(2322,'浈江区','440204',233,4,2322,'zhenjiangqu','zjq'),
(2323,'曲江区','440205',233,4,2323,'qujiangqu','qjq'),
(2324,'始兴县','440222',233,4,2324,'shixingxian','sxx'),
(2325,'仁化县','440224',233,4,2325,'renhuaxian','rhx'),
(2326,'翁源县','440229',233,4,2326,'wengyuanxian','wyx'),
(2327,'乳源瑶族自治县','440232',233,4,2327,'ruyuanyaozuzizhixian','ryyzzzx'),
(2328,'新丰县','440233',233,4,2328,'xinfengxian','xfx'),
(2329,'乐昌市','440281',233,4,2329,'lechangshi','lcs'),
(2330,'南雄市','440282',233,4,2330,'nanxiongshi','nxs'),
(2332,'罗湖区','440303',234,4,2332,'luohuqu','lhq'),
(2333,'福田区','440304',234,4,2333,'futianqu','ftq'),
(2334,'南山区','440305',234,4,2334,'nanshanqu','nsq'),
(2335,'宝安区','440306',234,4,2335,'baoanqu','baq'),
(2336,'龙岗区','440307',234,4,2336,'longgangqu','lgq'),
(2337,'盐田区','440308',234,4,2337,'yantianqu','ytq'),
(2339,'香洲区','440402',235,4,2339,'xiangzhouqu','xzq'),
(2340,'斗门区','440403',235,4,2340,'doumenqu','dmq'),
(2341,'金湾区','440404',235,4,2341,'jinwanqu','jwq'),
(2343,'龙湖区','440507',236,4,2343,'longhuqu','lhq'),
(2344,'金平区','440511',236,4,2344,'jinpingqu','jpq'),
(2345,'濠江区','440512',236,4,2345,'haojiangqu','hjq'),
(2346,'潮阳区','440513',236,4,2346,'chaoyangqu','cyq'),
(2347,'潮南区','440514',236,4,2347,'chaonanqu','cnq'),
(2348,'澄海区','440515',236,4,2348,'chenghaiqu','chq'),
(2349,'南澳县','440523',236,4,2349,'nanaoxian','nax'),
(2351,'禅城区','440604',237,4,2351,'shanchengqu','scq'),
(2352,'南海区','440605',237,4,2352,'nanhaiqu','nhq'),
(2353,'顺德区','440606',237,4,2353,'shundequ','sdq'),
(2354,'三水区','440607',237,4,2354,'sanshuiqu','ssq'),
(2355,'高明区','440608',237,4,2355,'gaomingqu','gmq'),
(2357,'蓬江区','440703',238,4,2357,'pengjiangqu','pjq'),
(2358,'江海区','440704',238,4,2358,'jianghaiqu','jhq'),
(2359,'新会区','440705',238,4,2359,'xinhuiqu','xhq'),
(2360,'台山市','440781',238,4,2360,'taishanshi','tss'),
(2361,'开平市','440783',238,4,2361,'kaipingshi','kps'),
(2362,'鹤山市','440784',238,4,2362,'heshanshi','hss'),
(2363,'恩平市','440785',238,4,2363,'enpingshi','eps'),
(2365,'赤坎区','440802',239,4,2365,'chikanqu','ckq'),
(2366,'霞山区','440803',239,4,2366,'xiashanqu','xsq'),
(2367,'坡头区','440804',239,4,2367,'potouqu','ptq'),
(2368,'麻章区','440811',239,4,2368,'mazhangqu','mzq'),
(2369,'遂溪县','440823',239,4,2369,'suixixian','sxx'),
(2370,'徐闻县','440825',239,4,2370,'xuwenxian','xwx'),
(2371,'廉江市','440881',239,4,2371,'lianjiangshi','ljs'),
(2372,'雷州市','440882',239,4,2372,'leizhoushi','lzs'),
(2373,'吴川市','440883',239,4,2373,'wuchuanshi','wcs'),
(2375,'茂南区','440902',240,4,2375,'maonanqu','mnq'),
(2376,'茂港区','440903',240,4,2376,'maogangqu','mgq'),
(2377,'电白县','440923',240,4,2377,'dianbaixian','dbx'),
(2378,'高州市','440981',240,4,2378,'gaozhoushi','gzs'),
(2379,'化州市','440982',240,4,2379,'huazhoushi','hzs'),
(2380,'信宜市','440983',240,4,2380,'xinyishi','xys'),
(2382,'端州区','441202',241,4,2382,'duanzhouqu','dzq'),
(2383,'鼎湖区','441203',241,4,2383,'dinghuqu','dhq'),
(2384,'广宁县','441223',241,4,2384,'guangningxian','gnx'),
(2385,'怀集县','441224',241,4,2385,'huaijixian','hjx'),
(2386,'封开县','441225',241,4,2386,'fengkaixian','fkx'),
(2387,'德庆县','441226',241,4,2387,'deqingxian','dqx'),
(2388,'高要市','441283',241,4,2388,'gaoyaoshi','gys'),
(2389,'四会市','441284',241,4,2389,'sihuishi','shs'),
(2391,'惠城区','441302',242,4,2391,'huichengqu','hcq'),
(2392,'惠阳区','441303',242,4,2392,'huiyangqu','hyq'),
(2393,'博罗县','441322',242,4,2393,'boluoxian','blx'),
(2394,'惠东县','441323',242,4,2394,'huidongxian','hdx'),
(2395,'龙门县','441324',242,4,2395,'longmenxian','lmx'),
(2397,'梅江区','441402',243,4,2397,'meijiangqu','mjq'),
(2398,'梅县','441421',243,4,2398,'meixian','mx'),
(2399,'大埔县','441422',243,4,2399,'dapuxian','dpx'),
(2400,'丰顺县','441423',243,4,2400,'fengshunxian','fsx'),
(2401,'五华县','441424',243,4,2401,'wuhuaxian','whx'),
(2402,'平远县','441426',243,4,2402,'pingyuanxian','pyx'),
(2403,'蕉岭县','441427',243,4,2403,'jiaolingxian','jlx'),
(2404,'兴宁市','441481',243,4,2404,'xingningshi','xns'),
(2406,'城区','441502',244,4,2406,'chengqu','cq'),
(2407,'海丰县','441521',244,4,2407,'haifengxian','hfx'),
(2408,'陆河县','441523',244,4,2408,'luhexian','lhx'),
(2409,'陆丰市','441581',244,4,2409,'lufengshi','lfs'),
(2411,'源城区','441602',245,4,2411,'yuanchengqu','ycq'),
(2412,'紫金县','441621',245,4,2412,'zijinxian','zjx'),
(2413,'龙川县','441622',245,4,2413,'longchuanxian','lcx'),
(2414,'连平县','441623',245,4,2414,'lianpingxian','lpx'),
(2415,'和平县','441624',245,4,2415,'hepingxian','hpx'),
(2416,'东源县','441625',245,4,2416,'dongyuanxian','dyx'),
(2418,'江城区','441702',246,4,2418,'jiangchengqu','jcq'),
(2419,'阳西县','441721',246,4,2419,'yangxixian','yxx'),
(2420,'阳东县','441723',246,4,2420,'yangdongxian','ydx'),
(2421,'阳春市','441781',246,4,2421,'yangchunshi','ycs'),
(2423,'清城区','441802',247,4,2423,'qingchengqu','qcq'),
(2424,'佛冈县','441821',247,4,2424,'fogangxian','fgx'),
(2425,'阳山县','441823',247,4,2425,'yangshanxian','ysx'),
(2426,'连山壮族瑶族自治县','441825',247,4,2426,'lianshanzhuangzuyaozuzizhixian','lszzyzzzx'),
(2427,'连南瑶族自治县','441826',247,4,2427,'liannanyaozuzizhixian','lnyzzzx'),
(2428,'清新县','441827',247,4,2428,'qingxinxian','qxx'),
(2429,'英德市','441881',247,4,2429,'yingdeshi','yds'),
(2430,'连州市','441882',247,4,2430,'lianzhoushi','lzs'),
(2432,'湘桥区','445102',250,4,2432,'xiangqiaoqu','xqq'),
(2433,'潮安县','445121',250,4,2433,'chaoanxian','cax'),
(2434,'饶平县','445122',250,4,2434,'raopingxian','rpx'),
(2436,'榕城区','445202',251,4,2436,'rongchengqu','rcq'),
(2437,'揭东县','445221',251,4,2437,'jiedongxian','jdx'),
(2438,'揭西县','445222',251,4,2438,'jiexixian','jxx'),
(2439,'惠来县','445224',251,4,2439,'huilaixian','hlx'),
(2440,'普宁市','445281',251,4,2440,'puningshi','pns'),
(2442,'云城区','445302',252,4,2442,'yunchengqu','ycq'),
(2443,'新兴县','445321',252,4,2443,'xinxingxian','xxx'),
(2444,'郁南县','445322',252,4,2444,'yunanxian','ynx'),
(2445,'云安县','445323',252,4,2445,'yunanxian','yax'),
(2446,'罗定市','445381',252,4,2446,'luodingshi','lds'),
(2448,'兴宁区','450102',253,4,2448,'xingningqu','xnq'),
(2449,'青秀区','450103',253,4,2449,'qingxiuqu','qxq'),
(2450,'江南区','450105',253,4,2450,'jiangnanqu','jnq'),
(2451,'西乡塘区','450107',253,4,2451,'xixiangtangqu','xxtq'),
(2452,'良庆区','450108',253,4,2452,'liangqingqu','lqq'),
(2453,'邕宁区','450109',253,4,2453,'yongningqu','ynq'),
(2454,'武鸣县','450122',253,4,2454,'wumingxian','wmx'),
(2455,'隆安县','450123',253,4,2455,'longanxian','lax'),
(2456,'马山县','450124',253,4,2456,'mashanxian','msx'),
(2457,'上林县','450125',253,4,2457,'shanglinxian','slx'),
(2458,'宾阳县','450126',253,4,2458,'binyangxian','byx'),
(2459,'横县','450127',253,4,2459,'hengxian','hx'),
(2461,'城中区','450202',254,4,2461,'chengzhongqu','czq'),
(2462,'鱼峰区','450203',254,4,2462,'yufengqu','yfq'),
(2463,'柳南区','450204',254,4,2463,'liunanqu','lnq'),
(2464,'柳北区','450205',254,4,2464,'liubeiqu','lbq'),
(2465,'柳江县','450221',254,4,2465,'liujiangxian','ljx'),
(2466,'柳城县','450222',254,4,2466,'liuchengxian','lcx'),
(2467,'鹿寨县','450223',254,4,2467,'luzhaixian','lzx'),
(2468,'融安县','450224',254,4,2468,'ronganxian','rax'),
(2469,'融水苗族自治县','450225',254,4,2469,'rongshuimiaozuzizhixian','rsmzzzx'),
(2470,'三江侗族自治县','450226',254,4,2470,'sanjiangdongzuzizhixian','sjdzzzx'),
(2472,'秀峰区','450302',255,4,2472,'xiufengqu','xfq'),
(2473,'叠彩区','450303',255,4,2473,'diecaiqu','dcq'),
(2474,'象山区','450304',255,4,2474,'xiangshanqu','xsq'),
(2475,'七星区','450305',255,4,2475,'qixingqu','qxq'),
(2476,'雁山区','450311',255,4,2476,'yanshanqu','ysq'),
(2477,'阳朔县','450321',255,4,2477,'yangshuoxian','ysx'),
(2478,'临桂县','450322',255,4,2478,'linguixian','lgx'),
(2479,'灵川县','450323',255,4,2479,'lingchuanxian','lcx'),
(2480,'全州县','450324',255,4,2480,'quanzhouxian','qzx'),
(2481,'兴安县','450325',255,4,2481,'xinganxian','xax'),
(2482,'永福县','450326',255,4,2482,'yongfuxian','yfx'),
(2483,'灌阳县','450327',255,4,2483,'guanyangxian','gyx'),
(2484,'龙胜各族自治县','450328',255,4,2484,'longshenggezuzizhixian','lsgzzzx'),
(2485,'资源县','450329',255,4,2485,'ziyuanxian','zyx'),
(2486,'平乐县','450330',255,4,2486,'pinglexian','plx'),
(2487,'荔蒲县','450331',255,4,2487,'lipuxian','lpx'),
(2488,'恭城瑶族自治县','450332',255,4,2488,'gongchengyaozuzizhixian','gcyzzzx'),
(2490,'万秀区','450403',256,4,2490,'wanxiuqu','wxq'),
(2491,'蝶山区','450404',256,4,2491,'dieshanqu','dsq'),
(2492,'长洲区','450405',256,4,2492,'zhangzhouqu','zzq'),
(2493,'苍梧县','450421',256,4,2493,'cangwuxian','cwx'),
(2494,'藤县','450422',256,4,2494,'tengxian','tx'),
(2495,'蒙山县','450423',256,4,2495,'mengshanxian','msx'),
(2496,'岑溪市','450481',256,4,2496,'cenxishi','cxs'),
(2498,'海城区','450502',257,4,2498,'haichengqu','hcq'),
(2499,'银海区','450503',257,4,2499,'yinhaiqu','yhq'),
(2500,'铁山港区','450512',257,4,2500,'tieshangangqu','tsgq'),
(2501,'合浦县','450521',257,4,2501,'hepuxian','hpx'),
(2503,'港口区','450602',258,4,2503,'gangkouqu','gkq'),
(2504,'防城区','450603',258,4,2504,'fangchengqu','fcq'),
(2505,'上思县','450621',258,4,2505,'shangsixian','ssx'),
(2506,'东兴市','450681',258,4,2506,'dongxingshi','dxs'),
(2508,'钦南区','450702',259,4,2508,'qinnanqu','qnq'),
(2509,'钦北区','450703',259,4,2509,'qinbeiqu','qbq'),
(2510,'灵山县','450721',259,4,2510,'lingshanxian','lsx'),
(2511,'浦北县','450722',259,4,2511,'pubeixian','pbx'),
(2513,'港北区','450802',260,4,2513,'gangbeiqu','gbq'),
(2514,'港南区','450803',260,4,2514,'gangnanqu','gnq'),
(2515,'覃塘区','450804',260,4,2515,'tantangqu','ttq'),
(2516,'平南县','450821',260,4,2516,'pingnanxian','pnx'),
(2517,'桂平市','450881',260,4,2517,'guipingshi','gps'),
(2519,'玉州区','450902',261,4,2519,'yuzhouqu','yzq'),
(2520,'容县','450921',261,4,2520,'rongxian','rx'),
(2521,'陆川县','450922',261,4,2521,'luchuanxian','lcx'),
(2522,'博白县','450923',261,4,2522,'bobaixian','bbx'),
(2523,'兴业县','450924',261,4,2523,'xingyexian','xyx'),
(2524,'北流市','450981',261,4,2524,'beiliushi','bls'),
(2526,'右江区','451002',262,4,2526,'youjiangqu','yjq'),
(2527,'田阳县','451021',262,4,2527,'tianyangxian','tyx'),
(2528,'田东县','451022',262,4,2528,'tiandongxian','tdx'),
(2529,'平果县','451023',262,4,2529,'pingguoxian','pgx'),
(2530,'德保县','451024',262,4,2530,'debaoxian','dbx'),
(2531,'靖西县','451025',262,4,2531,'jingxixian','jxx'),
(2532,'那坡县','451026',262,4,2532,'neipoxian','npx'),
(2533,'凌云县','451027',262,4,2533,'lingyunxian','lyx'),
(2534,'乐业县','451028',262,4,2534,'leyexian','lyx'),
(2535,'田林县','451029',262,4,2535,'tianlinxian','tlx'),
(2536,'西林县','451030',262,4,2536,'xilinxian','xlx'),
(2537,'隆林各族自治县','451031',262,4,2537,'longlingezuzizhixian','llgzzzx'),
(2539,'八步区','451102',263,4,2539,'babuqu','bbq'),
(2540,'昭平县','451121',263,4,2540,'zhaopingxian','zpx'),
(2541,'钟山县','451122',263,4,2541,'zhongshanxian','zsx'),
(2542,'富川瑶族自治县','451123',263,4,2542,'fuchuanyaozuzizhixian','fcyzzzx'),
(2544,'金城江区','451202',264,4,2544,'jinchengjiangqu','jcjq'),
(2545,'南丹县','451221',264,4,2545,'nandanxian','ndx'),
(2546,'天峨县','451222',264,4,2546,'tianexian','tex'),
(2547,'凤山县','451223',264,4,2547,'fengshanxian','fsx'),
(2548,'东兰县','451224',264,4,2548,'donglanxian','dlx'),
(2549,'罗城仫佬族自治县','451225',264,4,2549,'luochengmulaozuzizhixian','lcmlzzzx'),
(2550,'环江毛南族自治县','451226',264,4,2550,'huanjiangmaonanzuzizhixian','hjmnzzzx'),
(2551,'巴马瑶族自治县','451227',264,4,2551,'bamayaozuzizhixian','bmyzzzx'),
(2552,'都安瑶族自治县','451228',264,4,2552,'douanyaozuzizhixian','dayzzzx'),
(2553,'大化瑶族自治县','451229',264,4,2553,'dahuayaozuzizhixian','dhyzzzx'),
(2554,'宜州市','451281',264,4,2554,'yizhoushi','yzs'),
(2556,'兴宾区','451302',265,4,2556,'xingbinqu','xbq'),
(2557,'忻城县','451321',265,4,2557,'xinchengxian','xcx'),
(2558,'象州县','451322',265,4,2558,'xiangzhouxian','xzx'),
(2559,'武宣县','451323',265,4,2559,'wuxuanxian','wxx'),
(2560,'金秀瑶族自治县','451324',265,4,2560,'jinxiuyaozuzizhixian','jxyzzzx'),
(2561,'合山市','451381',265,4,2561,'heshanshi','hss'),
(2563,'江洲区','451402',266,4,2563,'jiangzhouqu','jzq'),
(2564,'扶绥县','451421',266,4,2564,'fusuixian','fsx'),
(2565,'宁明县','451422',266,4,2565,'ningmingxian','nmx'),
(2566,'龙州县','451423',266,4,2566,'longzhouxian','lzx'),
(2567,'大新县','451424',266,4,2567,'daxinxian','dxx'),
(2568,'天等县','451425',266,4,2568,'tiandengxian','tdx'),
(2569,'凭祥市','451481',266,4,2569,'pingxiangshi','pxs'),
(2571,'秀英区','460105',267,4,2571,'xiuyingqu','xyq'),
(2572,'龙华区','460106',267,4,2572,'longhuaqu','lhq'),
(2573,'琼山区','460107',267,4,2573,'qiongshanqu','qsq'),
(2574,'美兰区','460108',267,4,2574,'meilanqu','mlq'),
(2576,'五指山市','469001',269,4,2576,'wuzhishanshi','wzss'),
(2577,'琼海市','469002',269,4,2577,'qionghaishi','qhs'),
(2578,'儋州市','469003',269,4,2578,'danzhoushi','dzs'),
(2579,'文昌市','469005',269,4,2579,'wenchangshi','wcs'),
(2580,'万宁市','469006',269,4,2580,'wanningshi','wns'),
(2581,'东方市','469007',269,4,2581,'dongfangshi','dfs'),
(2582,'定安县','469021',269,4,2582,'dinganxian','dax'),
(2583,'屯昌县','469022',269,4,2583,'tunchangxian','tcx'),
(2584,'澄迈县','469023',269,4,2584,'chengmaixian','cmx'),
(2585,'临高县','469024',269,4,2585,'lingaoxian','lgx'),
(2586,'白沙黎族自治县','469025',269,4,2586,'baishalizuzizhixian','bslzzzx'),
(2587,'昌江黎族自治县','469026',269,4,2587,'changjianglizuzizhixian','cjlzzzx'),
(2588,'乐东黎族自治县','469027',269,4,2588,'ledonglizuzizhixian','ldlzzzx'),
(2589,'陵水黎族自治县','469028',269,4,2589,'lingshuilizuzizhixian','lslzzzx'),
(2590,'保亭黎族苗族自治县','469029',269,4,2590,'baotinglizumiaozuzizhixian','btlzmzzzx'),
(2591,'琼中黎族苗族自治县','469030',269,4,2591,'qiongzhonglizumiaozuzizhixian','qzlzmzzzx'),
(2592,'西沙群岛','469031',269,4,2592,'xishaqundao','xsqd'),
(2593,'南沙群岛','469032',269,4,2593,'nanshaqundao','nsqd'),
(2594,'中沙群岛的岛礁及其海域','469033',269,4,2594,'zhongshaqundaodedaojiaojiqihaiyu','zsqdddjjqhy'),
(2595,'万州区','500101',270,4,2595,'wanzhouqu','wzq'),
(2596,'涪陵区','500102',270,4,2596,'fulingqu','flq'),
(2597,'渝中区','500103',270,4,2597,'yuzhongqu','yzq'),
(2598,'大渡口区','500104',270,4,2598,'dadukouqu','ddkq'),
(2599,'江北区','500105',270,4,2599,'jiangbeiqu','jbq'),
(2600,'沙坪坝区','500106',270,4,2600,'shapingbaqu','spbq'),
(2601,'九龙坡区','500107',270,4,2601,'jiulongpoqu','jlpq'),
(2602,'南岸区','500108',270,4,2602,'nananqu','naq'),
(2603,'北碚区','500109',270,4,2603,'beibeiqu','bbq'),
(2604,'万盛区','500110',270,4,2604,'wanshengqu','wsq'),
(2605,'双桥区','500111',270,4,2605,'shuangqiaoqu','sqq'),
(2606,'渝北区','500112',270,4,2606,'yubeiqu','ybq'),
(2607,'巴南区','500113',270,4,2607,'bananqu','bnq'),
(2608,'黔江区','500114',270,4,2608,'qianjiangqu','qjq'),
(2609,'长寿区','500115',270,4,2609,'zhangshouqu','zsq'),
(2610,'綦江县','500222',271,4,2610,'qijiangxian','qjx'),
(2611,'潼南县','500223',271,4,2611,'tongnanxian','tnx'),
(2612,'铜梁县','500224',271,4,2612,'tongliangxian','tlx'),
(2613,'大足县','500225',271,4,2613,'dazuxian','dzx'),
(2614,'荣昌县','500226',271,4,2614,'rongchangxian','rcx'),
(2615,'璧山县','500227',271,4,2615,'bishanxian','bsx'),
(2616,'梁平县','500228',271,4,2616,'liangpingxian','lpx'),
(2617,'城口县','500229',271,4,2617,'chengkouxian','ckx'),
(2618,'丰都县','500230',271,4,2618,'fengdouxian','fdx'),
(2619,'垫江县','500231',271,4,2619,'dianjiangxian','djx'),
(2620,'武隆县','500232',271,4,2620,'wulongxian','wlx'),
(2621,'忠县','500233',271,4,2621,'zhongxian','zx'),
(2622,'开县','500234',271,4,2622,'kaixian','kx'),
(2623,'云阳县','500235',271,4,2623,'yunyangxian','yyx'),
(2624,'奉节县','500236',271,4,2624,'fengjiexian','fjx'),
(2625,'巫山县','500237',271,4,2625,'wushanxian','wsx'),
(2626,'巫溪县','500238',271,4,2626,'wuxixian','wxx'),
(2627,'石柱土家族自治县','500240',271,4,2627,'shizhutujiazuzizhixian','sztjzzzx'),
(2628,'秀山土家族苗族自治县','500241',271,4,2628,'xiushantujiazumiaozuzizhixian','xstjzmzzzx'),
(2629,'酉阳土家族苗族自治县','500242',271,4,2629,'youyangtujiazumiaozuzizhixian','yytjzmzzzx'),
(2630,'彭水苗族土家族自治县','500243',271,4,2630,'pengshuimiaozutujiazuzizhixian','psmztjzzzx'),
(2631,'江津区','500116',272,4,2631,'jiangjinqu','jjq'),
(2632,'合川区','500117',272,4,2632,'hechuanqu','hcq'),
(2633,'永川区','500118',272,4,2633,'yongchuanqu','ycq'),
(2634,'南川区','500119',272,4,2634,'nanchuanqu','ncq'),
(2636,'锦江区','510104',273,4,2636,'jinjiangqu','jjq'),
(2637,'青羊区','510105',273,4,2637,'qingyangqu','qyq'),
(2638,'金牛区','510106',273,4,2638,'jinniuqu','jnq'),
(2639,'武侯区','510107',273,4,2639,'wuhouqu','whq'),
(2640,'成华区','510108',273,4,2640,'chenghuaqu','chq'),
(2641,'龙泉驿区','510112',273,4,2641,'longquanyiqu','lqyq'),
(2642,'青白江区','510113',273,4,2642,'qingbaijiangqu','qbjq'),
(2643,'新都区','510114',273,4,2643,'xindouqu','xdq'),
(2644,'温江区','510115',273,4,2644,'wenjiangqu','wjq'),
(2645,'金堂县','510121',273,4,2645,'jintangxian','jtx'),
(2646,'双流县','510122',273,4,2646,'shuangliuxian','slx'),
(2647,'郫县','510124',273,4,2647,'pixian','px'),
(2648,'大邑县','510129',273,4,2648,'dayixian','dyx'),
(2649,'蒲江县','510131',273,4,2649,'pujiangxian','pjx'),
(2650,'新津县','510132',273,4,2650,'xinjinxian','xjx'),
(2651,'都江堰市','510181',273,4,2651,'doujiangyanshi','djys'),
(2652,'彭州市','510182',273,4,2652,'pengzhoushi','pzs'),
(2653,'邛崃市','510183',273,4,2653,'qionglaishi','qls'),
(2654,'崇州市','510184',273,4,2654,'chongzhoushi','czs'),
(2656,'自流井区','510302',274,4,2656,'ziliujingqu','zljq'),
(2657,'贡井区','510303',274,4,2657,'gongjingqu','gjq'),
(2658,'大安区','510304',274,4,2658,'daanqu','daq'),
(2659,'沿滩区','510311',274,4,2659,'yantanqu','ytq'),
(2660,'荣县','510321',274,4,2660,'rongxian','rx'),
(2661,'富顺县','510322',274,4,2661,'fushunxian','fsx'),
(2663,'东区','510402',275,4,2663,'dongqu','dq'),
(2664,'西区','510403',275,4,2664,'xiqu','xq'),
(2665,'仁和区','510411',275,4,2665,'renhequ','rhq'),
(2666,'米易县','510421',275,4,2666,'miyixian','myx'),
(2667,'盐边县','510422',275,4,2667,'yanbianxian','ybx'),
(2669,'江阳区','510502',276,4,2669,'jiangyangqu','jyq'),
(2670,'纳溪区','510503',276,4,2670,'naxiqu','nxq'),
(2671,'龙马潭区','510504',276,4,2671,'longmatanqu','lmtq'),
(2672,'泸县','510521',276,4,2672,'luxian','lx'),
(2673,'合江县','510522',276,4,2673,'hejiangxian','hjx'),
(2674,'叙永县','510524',276,4,2674,'xuyongxian','xyx'),
(2675,'古蔺县','510525',276,4,2675,'gulinxian','glx'),
(2677,'旌阳区','510603',277,4,2677,'jingyangqu','jyq'),
(2678,'中江县','510623',277,4,2678,'zhongjiangxian','zjx'),
(2679,'罗江县','510626',277,4,2679,'luojiangxian','ljx'),
(2680,'广汉市','510681',277,4,2680,'guanghanshi','ghs'),
(2681,'什邡市','510682',277,4,2681,'shenfangshi','sfs'),
(2682,'绵竹市','510683',277,4,2682,'mianzhushi','mzs'),
(2684,'涪城区','510703',278,4,2684,'fuchengqu','fcq'),
(2685,'游仙区','510704',278,4,2685,'youxianqu','yxq'),
(2686,'三台县','510722',278,4,2686,'santaixian','stx'),
(2687,'盐亭县','510723',278,4,2687,'yantingxian','ytx'),
(2688,'安县','510724',278,4,2688,'anxian','ax'),
(2689,'梓潼县','510725',278,4,2689,'zitongxian','ztx'),
(2690,'北川羌族自治县','510726',278,4,2690,'beichuanqiangzuzizhixian','bcqzzzx'),
(2691,'平武县','510727',278,4,2691,'pingwuxian','pwx'),
(2692,'江油市','510781',278,4,2692,'jiangyoushi','jys'),
(2694,'市中区','511002',279,4,2694,'shizhongqu','szq'),
(2695,'元坝区','510811',279,4,2695,'yuanbaqu','ybq'),
(2696,'朝天区','510812',279,4,2696,'chaotianqu','ctq'),
(2697,'旺苍县','510821',279,4,2697,'wangcangxian','wcx'),
(2698,'青川县','510822',279,4,2698,'qingchuanxian','qcx'),
(2699,'剑阁县','510823',279,4,2699,'jiangexian','jgx'),
(2700,'苍溪县','510824',279,4,2700,'cangxixian','cxx'),
(2702,'船山区','510903',280,4,2702,'chuanshanqu','csq'),
(2703,'安居区','510904',280,4,2703,'anjuqu','ajq'),
(2704,'蓬溪县','510921',280,4,2704,'pengxixian','pxx'),
(2705,'射洪县','510922',280,4,2705,'shehongxian','shx'),
(2706,'大英县','510923',280,4,2706,'dayingxian','dyx'),
(2708,'市中区','511002',281,4,2708,'shizhongqu','szq'),
(2709,'东兴区','511011',281,4,2709,'dongxingqu','dxq'),
(2710,'威远县','511024',281,4,2710,'weiyuanxian','wyx'),
(2711,'资中县','511025',281,4,2711,'zizhongxian','zzx'),
(2712,'隆昌县','511028',281,4,2712,'longchangxian','lcx'),
(2714,'市中区','511102',282,4,2714,'shizhongqu','szq'),
(2715,'沙湾区','511111',282,4,2715,'shawanqu','swq'),
(2716,'五通桥区','511112',282,4,2716,'wutongqiaoqu','wtqq'),
(2717,'金口河区','511113',282,4,2717,'jinkouhequ','jkhq'),
(2718,'犍为县','511123',282,4,2718,'jianweixian','jwx'),
(2719,'井研县','511124',282,4,2719,'jingyanxian','jyx'),
(2720,'夹江县','511126',282,4,2720,'jiajiangxian','jjx'),
(2721,'沐川县','511129',282,4,2721,'muchuanxian','mcx'),
(2722,'峨边彝族自治县','511132',282,4,2722,'ebianyizuzizhixian','ebyzzzx'),
(2723,'马边彝族自治县','511133',282,4,2723,'mabianyizuzizhixian','mbyzzzx'),
(2724,'峨眉山市','511181',282,4,2724,'emeishanshi','emss'),
(2726,'顺庆区','511302',283,4,2726,'shunqingqu','sqq'),
(2727,'高坪区','511303',283,4,2727,'gaopingqu','gpq'),
(2728,'嘉陵区','511304',283,4,2728,'jialingqu','jlq'),
(2729,'南部县','511321',283,4,2729,'nanbuxian','nbx'),
(2730,'营山县','511322',283,4,2730,'yingshanxian','ysx'),
(2731,'蓬安县','511323',283,4,2731,'penganxian','pax'),
(2732,'仪陇县','511324',283,4,2732,'yilongxian','ylx'),
(2733,'西充县','511325',283,4,2733,'xichongxian','xcx'),
(2734,'阆中市','511381',283,4,2734,'langzhongshi','lzs'),
(2736,'东坡区','511402',284,4,2736,'dongpoqu','dpq'),
(2737,'仁寿县','511421',284,4,2737,'renshouxian','rsx'),
(2738,'彭山县','511422',284,4,2738,'pengshanxian','psx'),
(2739,'洪雅县','511423',284,4,2739,'hongyaxian','hyx'),
(2740,'丹棱县','511424',284,4,2740,'danlengxian','dlx'),
(2741,'青神县','511425',284,4,2741,'qingshenxian','qsx'),
(2743,'翠屏区','511502',285,4,2743,'cuipingqu','cpq'),
(2744,'宜宾县','511521',285,4,2744,'yibinxian','ybx'),
(2745,'南溪县','511522',285,4,2745,'nanxixian','nxx'),
(2746,'江安县','511523',285,4,2746,'jianganxian','jax'),
(2747,'长宁县','511524',285,4,2747,'zhangningxian','znx'),
(2748,'高县','511525',285,4,2748,'gaoxian','gx'),
(2749,'珙县','511526',285,4,2749,'gongxian','gx'),
(2750,'筠连县','511527',285,4,2750,'yunlianxian','ylx'),
(2751,'兴文县','511528',285,4,2751,'xingwenxian','xwx'),
(2752,'屏山县','511529',285,4,2752,'pingshanxian','psx'),
(2754,'广安区','511602',286,4,2754,'guanganqu','gaq'),
(2755,'岳池县','511621',286,4,2755,'yuechixian','ycx'),
(2756,'武胜县','511622',286,4,2756,'wushengxian','wsx'),
(2757,'邻水县','511623',286,4,2757,'linshuixian','lsx'),
(2760,'通川区','511702',287,4,2760,'tongchuanqu','tcq'),
(2761,'达县','511721',287,4,2761,'daxian','dx'),
(2762,'宣汉县','511722',287,4,2762,'xuanhanxian','xhx'),
(2763,'开江县','511723',287,4,2763,'kaijiangxian','kjx'),
(2764,'大竹县','511724',287,4,2764,'dazhuxian','dzx'),
(2765,'渠县','511725',287,4,2765,'quxian','qx'),
(2766,'万源市','511781',287,4,2766,'wanyuanshi','wys'),
(2768,'雨城区','511802',288,4,2768,'yuchengqu','ycq'),
(2769,'名山县','511821',288,4,2769,'mingshanxian','msx'),
(2770,'荥经县','511822',288,4,2770,'yingjingxian','yjx'),
(2771,'汉源县','511823',288,4,2771,'hanyuanxian','hyx'),
(2772,'石棉县','511824',288,4,2772,'shimianxian','smx'),
(2773,'天全县','511825',288,4,2773,'tianquanxian','tqx'),
(2774,'芦山县','511826',288,4,2774,'lushanxian','lsx'),
(2775,'宝兴县','511827',288,4,2775,'baoxingxian','bxx'),
(2777,'巴州区','511902',289,4,2777,'bazhouqu','bzq'),
(2778,'通江县','511921',289,4,2778,'tongjiangxian','tjx'),
(2779,'南江县','511922',289,4,2779,'nanjiangxian','njx'),
(2780,'平昌县','511923',289,4,2780,'pingchangxian','pcx'),
(2782,'雁江区','512002',290,4,2782,'yanjiangqu','yjq'),
(2783,'安岳县','512021',290,4,2783,'anyuexian','ayx'),
(2784,'乐至县','512022',290,4,2784,'lezhixian','lzx'),
(2785,'简阳市','512081',290,4,2785,'jianyangshi','jys'),
(2786,'汶川县','513221',291,4,2786,'wenchuanxian','wcx'),
(2787,'理县','513222',291,4,2787,'lixian','lx'),
(2788,'茂县','513223',291,4,2788,'maoxian','mx'),
(2789,'松潘县','513224',291,4,2789,'songpanxian','spx'),
(2790,'九寨沟县','513225',291,4,2790,'jiuzhaigouxian','jzgx'),
(2791,'金川县','513226',291,4,2791,'jinchuanxian','jcx'),
(2792,'小金县','513227',291,4,2792,'xiaojinxian','xjx'),
(2793,'黑水县','513228',291,4,2793,'heishuixian','hsx'),
(2794,'马尔康县','513229',291,4,2794,'maerkangxian','mekx'),
(2795,'壤塘县','513230',291,4,2795,'rangtangxian','rtx'),
(2796,'阿坝县','513231',291,4,2796,'abaxian','abx'),
(2797,'若尔盖县','513232',291,4,2797,'ruoergaixian','regx'),
(2798,'红原县','513233',291,4,2798,'hongyuanxian','hyx'),
(2799,'康定县','513321',292,4,2799,'kangdingxian','kdx'),
(2800,'泸定县','513322',292,4,2800,'ludingxian','ldx'),
(2801,'丹巴县','513323',292,4,2801,'danbaxian','dbx'),
(2802,'九龙县','513324',292,4,2802,'jiulongxian','jlx'),
(2803,'雅江县','513325',292,4,2803,'yajiangxian','yjx'),
(2804,'道孚县','513326',292,4,2804,'daofuxian','dfx'),
(2805,'炉霍县','513327',292,4,2805,'luhuoxian','lhx'),
(2806,'甘孜县','513328',292,4,2806,'ganzixian','gzx'),
(2807,'新龙县','513329',292,4,2807,'xinlongxian','xlx'),
(2808,'德格县','513330',292,4,2808,'degexian','dgx'),
(2809,'白玉县','513331',292,4,2809,'baiyuxian','byx'),
(2810,'石渠县','513332',292,4,2810,'shiquxian','sqx'),
(2811,'色达县','513333',292,4,2811,'sedaxian','sdx'),
(2812,'理塘县','513334',292,4,2812,'litangxian','ltx'),
(2813,'巴塘县','513335',292,4,2813,'batangxian','btx'),
(2814,'乡城县','513336',292,4,2814,'xiangchengxian','xcx'),
(2815,'稻城县','513337',292,4,2815,'daochengxian','dcx'),
(2816,'得荣县','513338',292,4,2816,'derongxian','drx'),
(2817,'西昌市','513401',293,4,2817,'xichangshi','xcs'),
(2818,'木里藏族自治县','513422',293,4,2818,'mulizangzuzizhixian','mlzzzzx'),
(2819,'盐源县','513423',293,4,2819,'yanyuanxian','yyx'),
(2820,'德昌县','513424',293,4,2820,'dechangxian','dcx'),
(2821,'会理县','513425',293,4,2821,'huilixian','hlx'),
(2822,'会东县','513426',293,4,2822,'huidongxian','hdx'),
(2823,'宁南县','513427',293,4,2823,'ningnanxian','nnx'),
(2824,'普格县','513428',293,4,2824,'pugexian','pgx'),
(2825,'布拖县','513429',293,4,2825,'butuoxian','btx'),
(2826,'金阳县','513430',293,4,2826,'jinyangxian','jyx'),
(2827,'昭觉县','513431',293,4,2827,'zhaojuexian','zjx'),
(2828,'喜德县','513432',293,4,2828,'xidexian','xdx'),
(2829,'冕宁县','513433',293,4,2829,'mianningxian','mnx'),
(2830,'越西县','513434',293,4,2830,'yuexixian','yxx'),
(2831,'甘洛县','513435',293,4,2831,'ganluoxian','glx'),
(2832,'美姑县','513436',293,4,2832,'meiguxian','mgx'),
(2833,'雷波县','513437',293,4,2833,'leiboxian','lbx'),
(2835,'南明区','520102',294,4,2835,'nanmingqu','nmq'),
(2836,'云岩区','520103',294,4,2836,'yunyanqu','yyq'),
(2837,'花溪区','520111',294,4,2837,'huaxiqu','hxq'),
(2838,'乌当区','520112',294,4,2838,'wudangqu','wdq'),
(2839,'白云区','520113',294,4,2839,'baiyunqu','byq'),
(2840,'小河区','520114',294,4,2840,'xiaohequ','xhq'),
(2841,'开阳县','520121',294,4,2841,'kaiyangxian','kyx'),
(2842,'息烽县','520122',294,4,2842,'xifengxian','xfx'),
(2843,'修文县','520123',294,4,2843,'xiuwenxian','xwx'),
(2844,'清镇市','520181',294,4,2844,'qingzhenshi','qzs'),
(2845,'钟山区','520201',295,4,2845,'zhongshanqu','zsq'),
(2846,'六枝特区','520203',295,4,2846,'liuzhitequ','lztq'),
(2847,'水城县','520221',295,4,2847,'shuichengxian','scx'),
(2848,'盘县','520222',295,4,2848,'panxian','px'),
(2850,'红花岗区','520302',296,4,2850,'honghuagangqu','hhgq'),
(2851,'汇川区','520303',296,4,2851,'huichuanqu','hcq'),
(2852,'遵义县','520321',296,4,2852,'zunyixian','zyx'),
(2853,'桐梓县','520322',296,4,2853,'tongzixian','tzx'),
(2854,'绥阳县','520323',296,4,2854,'suiyangxian','syx'),
(2855,'正安县','520324',296,4,2855,'zhenganxian','zax'),
(2856,'道真仡佬族苗族自治县','520325',296,4,2856,'daozhengelaozumiaozuzizhixian','dzglzmzzzx'),
(2857,'务川仡佬族苗族自治县','520326',296,4,2857,'wuchuangelaozumiaozuzizhixian','wcglzmzzzx'),
(2858,'凤冈县','520327',296,4,2858,'fenggangxian','fgx'),
(2859,'湄潭县','520328',296,4,2859,'meitanxian','mtx'),
(2860,'余庆县','520329',296,4,2860,'yuqingxian','yqx'),
(2861,'习水县','520330',296,4,2861,'xishuixian','xsx'),
(2862,'赤水市','520381',296,4,2862,'chishuishi','css'),
(2863,'仁怀市','520382',296,4,2863,'renhuaishi','rhs'),
(2865,'西秀区','520402',297,4,2865,'xixiuqu','xxq'),
(2866,'平坝县','520421',297,4,2866,'pingbaxian','pbx'),
(2867,'普定县','520422',297,4,2867,'pudingxian','pdx'),
(2868,'镇宁布依族苗族自治县','520423',297,4,2868,'zhenningbuyizumiaozuzizhixian','znbyzmzzzx'),
(2869,'关岭布依族苗族自治县','520424',297,4,2869,'guanlingbuyizumiaozuzizhixian','glbyzmzzzx'),
(2870,'紫云苗族布依族自治县','520425',297,4,2870,'ziyunmiaozubuyizuzizhixian','zymzbyzzzx'),
(2871,'铜仁市','522201',298,4,2871,'tongrenshi','trs'),
(2872,'江口县','522222',298,4,2872,'jiangkouxian','jkx'),
(2873,'玉屏侗族自治县','522223',298,4,2873,'yupingdongzuzizhixian','ypdzzzx'),
(2874,'石阡县','522224',298,4,2874,'shiqianxian','sqx'),
(2875,'思南县','522225',298,4,2875,'sinanxian','snx'),
(2876,'印江土家族苗族自治县','522226',298,4,2876,'yinjiangtujiazumiaozuzizhixian','yjtjzmzzzx'),
(2877,'德江县','522227',298,4,2877,'dejiangxian','djx'),
(2878,'沿河土家族自治县','522228',298,4,2878,'yanhetujiazuzizhixian','yhtjzzzx'),
(2879,'松桃苗族自治县','522229',298,4,2879,'songtaomiaozuzizhixian','stmzzzx'),
(2880,'万山特区','522230',298,4,2880,'wanshantequ','wstq'),
(2881,'兴义市','522301',299,4,2881,'xingyishi','xys'),
(2882,'兴仁县','522322',299,4,2882,'xingrenxian','xrx'),
(2883,'普安县','522323',299,4,2883,'puanxian','pax'),
(2884,'晴隆县','522324',299,4,2884,'qinglongxian','qlx'),
(2885,'贞丰县','522325',299,4,2885,'zhenfengxian','zfx'),
(2886,'望谟县','522326',299,4,2886,'wangmoxian','wmx'),
(2887,'册亨县','522327',299,4,2887,'cehengxian','chx'),
(2888,'安龙县','522328',299,4,2888,'anlongxian','alx'),
(2889,'毕节市','522401',300,4,2889,'bijieshi','bjs'),
(2890,'大方县','522422',300,4,2890,'dafangxian','dfx'),
(2891,'黔西县','522423',300,4,2891,'qianxixian','qxx'),
(2892,'金沙县','522424',300,4,2892,'jinshaxian','jsx'),
(2893,'织金县','522425',300,4,2893,'zhijinxian','zjx'),
(2894,'纳雍县','522426',300,4,2894,'nayongxian','nyx'),
(2895,'威宁彝族回族苗族自治县','522427',300,4,2895,'weiningyizuhuizumiaozuzizhixian','wnyzhzmzzzx'),
(2896,'赫章县','522428',300,4,2896,'hezhangxian','hzx'),
(2897,'凯里市','522601',301,4,2897,'kailishi','kls'),
(2898,'黄平县','522622',301,4,2898,'huangpingxian','hpx'),
(2899,'施秉县','522623',301,4,2899,'shibingxian','sbx'),
(2900,'三穗县','522624',301,4,2900,'sansuixian','ssx'),
(2901,'镇远县','522625',301,4,2901,'zhenyuanxian','zyx'),
(2902,'岑巩县','522626',301,4,2902,'cengongxian','cgx'),
(2903,'天柱县','522627',301,4,2903,'tianzhuxian','tzx'),
(2904,'锦屏县','522628',301,4,2904,'jinpingxian','jpx'),
(2905,'剑河县','522629',301,4,2905,'jianhexian','jhx'),
(2906,'台江县','522630',301,4,2906,'taijiangxian','tjx'),
(2907,'黎平县','522631',301,4,2907,'lipingxian','lpx'),
(2908,'榕江县','522632',301,4,2908,'rongjiangxian','rjx'),
(2909,'从江县','522633',301,4,2909,'congjiangxian','cjx'),
(2910,'雷山县','522634',301,4,2910,'leishanxian','lsx'),
(2911,'麻江县','522635',301,4,2911,'majiangxian','mjx'),
(2912,'丹寨县','522636',301,4,2912,'danzhaixian','dzx'),
(2913,'都匀市','522701',302,4,2913,'douyunshi','dys'),
(2914,'福泉市','522702',302,4,2914,'fuquanshi','fqs'),
(2915,'荔波县','522722',302,4,2915,'liboxian','lbx'),
(2916,'贵定县','522723',302,4,2916,'guidingxian','gdx'),
(2917,'瓮安县','522725',302,4,2917,'wenganxian','wax'),
(2918,'独山县','522726',302,4,2918,'dushanxian','dsx'),
(2919,'平塘县','522727',302,4,2919,'pingtangxian','ptx'),
(2920,'罗甸县','522728',302,4,2920,'luodianxian','ldx'),
(2921,'长顺县','522729',302,4,2921,'zhangshunxian','zsx'),
(2922,'龙里县','522730',302,4,2922,'longlixian','llx'),
(2923,'惠水县','522731',302,4,2923,'huishuixian','hsx'),
(2924,'三都水族自治县','522732',302,4,2924,'sandoushuizuzizhixian','sdszzzx'),
(2926,'五华区','530102',303,4,2926,'wuhuaqu','whq'),
(2927,'盘龙区','530103',303,4,2927,'panlongqu','plq'),
(2928,'官渡区','530111',303,4,2928,'guanduqu','gdq'),
(2929,'西山区','530112',303,4,2929,'xishanqu','xsq'),
(2930,'东川区','530113',303,4,2930,'dongchuanqu','dcq'),
(2931,'呈贡县','530121',303,4,2931,'chenggongxian','cgx'),
(2932,'晋宁县','530122',303,4,2932,'jinningxian','jnx'),
(2933,'富民县','530124',303,4,2933,'fuminxian','fmx'),
(2934,'宜良县','530125',303,4,2934,'yiliangxian','ylx'),
(2935,'石林彝族自治县','530126',303,4,2935,'shilinyizuzizhixian','slyzzzx'),
(2936,'嵩明县','530127',303,4,2936,'songmingxian','smx'),
(2937,'禄劝彝族苗族自治县','530128',303,4,2937,'luquanyizumiaozuzizhixian','lqyzmzzzx'),
(2938,'寻甸回族彝族自治县','530129',303,4,2938,'xundianhuizuyizuzizhixian','xdhzyzzzx'),
(2939,'安宁市','530181',303,4,2939,'anningshi','ans'),
(2941,'麒麟区','530302',304,4,2941,'qilinqu','qlq'),
(2942,'马龙县','530321',304,4,2942,'malongxian','mlx'),
(2943,'陆良县','530322',304,4,2943,'luliangxian','llx'),
(2944,'师宗县','530323',304,4,2944,'shizongxian','szx'),
(2945,'罗平县','530324',304,4,2945,'luopingxian','lpx'),
(2946,'富源县','530325',304,4,2946,'fuyuanxian','fyx'),
(2947,'会泽县','530326',304,4,2947,'huizexian','hzx'),
(2948,'沾益县','530328',304,4,2948,'zhanyixian','zyx'),
(2949,'宣威市','530381',304,4,2949,'xuanweishi','xws'),
(2951,'红塔区','530402',305,4,2951,'hongtaqu','htq'),
(2952,'江川县','530421',305,4,2952,'jiangchuanxian','jcx'),
(2953,'澄江县','530422',305,4,2953,'chengjiangxian','cjx'),
(2954,'通海县','530423',305,4,2954,'tonghaixian','thx'),
(2955,'华宁县','530424',305,4,2955,'huaningxian','hnx'),
(2956,'易门县','530425',305,4,2956,'yimenxian','ymx'),
(2957,'峨山彝族自治县','530426',305,4,2957,'eshanyizuzizhixian','esyzzzx'),
(2958,'新平彝族傣族自治县','530427',305,4,2958,'xinpingyizudaizuzizhixian','xpyzdzzzx'),
(2959,'元江哈尼族彝族傣族自治县','530428',305,4,2959,'yuanjianghanizuyizudaizuzizhixian','yjhnzyzdzzzx'),
(2961,'隆阳区','530502',306,4,2961,'longyangqu','lyq'),
(2962,'施甸县','530521',306,4,2962,'shidianxian','sdx'),
(2963,'腾冲县','530522',306,4,2963,'tengchongxian','tcx'),
(2964,'龙陵县','530523',306,4,2964,'longlingxian','llx'),
(2965,'昌宁县','530524',306,4,2965,'changningxian','cnx'),
(2967,'昭阳区','530602',307,4,2967,'zhaoyangqu','zyq'),
(2968,'鲁甸县','530621',307,4,2968,'ludianxian','ldx'),
(2969,'巧家县','530622',307,4,2969,'qiaojiaxian','qjx'),
(2970,'盐津县','530623',307,4,2970,'yanjinxian','yjx'),
(2971,'大关县','530624',307,4,2971,'daguanxian','dgx'),
(2972,'永善县','530625',307,4,2972,'yongshanxian','ysx'),
(2973,'绥江县','530626',307,4,2973,'suijiangxian','sjx'),
(2974,'镇雄县','530627',307,4,2974,'zhenxiongxian','zxx'),
(2975,'彝良县','530628',307,4,2975,'yiliangxian','ylx'),
(2976,'威信县','530629',307,4,2976,'weixinxian','wxx'),
(2977,'水富县','530630',307,4,2977,'shuifuxian','sfx'),
(2979,'古城区','530702',308,4,2979,'guchengqu','gcq'),
(2980,'玉龙纳西族自治县','530721',308,4,2980,'yulongnaxizuzizhixian','ylnxzzzx'),
(2981,'永胜县','530722',308,4,2981,'yongshengxian','ysx'),
(2982,'华坪县','530723',308,4,2982,'huapingxian','hpx'),
(2983,'宁蒗彝族自治县','530724',308,4,2983,'ninglangyizuzizhixian','nlyzzzx'),
(2985,'思茅区','530802',309,4,2985,'simaoqu','smq'),
(2986,'宁洱哈尼族彝族自治县','530821',309,4,2986,'ningerhanizuyizuzizhixian','nehnzyzzzx'),
(2987,'墨江哈尼族自治县','530822',309,4,2987,'mojianghanizuzizhixian','mjhnzzzx'),
(2988,'景东彝族自治县','530823',309,4,2988,'jingdongyizuzizhixian','jdyzzzx'),
(2989,'景谷傣族彝族自治县','530824',309,4,2989,'jinggudaizuyizuzizhixian','jgdzyzzzx'),
(2990,'镇沅彝族哈尼族拉祜族自治县','530825',309,4,2990,'zhenyuanyizuhanizulahuzuzizhixian','zyyzhnzlhzzzx'),
(2991,'江城哈尼族彝族自治县','530826',309,4,2991,'jiangchenghanizuyizuzizhixian','jchnzyzzzx'),
(2992,'孟连傣族拉祜族佤族自治县','530827',309,4,2992,'mengliandaizulahuzuwazuzizhixian','mldzlhzwzzzx'),
(2993,'澜沧拉祜族自治县','530828',309,4,2993,'lancanglahuzuzizhixian','lclhzzzx'),
(2994,'西盟佤族自治县','530829',309,4,2994,'ximengwazuzizhixian','xmwzzzx'),
(2996,'临翔区','530902',310,4,2996,'linxiangqu','lxq'),
(2997,'凤庆县','530921',310,4,2997,'fengqingxian','fqx'),
(2998,'云县','530922',310,4,2998,'yunxian','yx'),
(2999,'永德县','530923',310,4,2999,'yongdexian','ydx'),
(3000,'镇康县','530924',310,4,3000,'zhenkangxian','zkx'),
(3001,'双江拉祜族佤族布朗族傣族自治县','530925',310,4,3001,'shuangjianglahuzuwazubulangzudaizuzizhixian','sjlhzwzblzdzzzx'),
(3002,'耿马傣族佤族自治县','530926',310,4,3002,'gengmadaizuwazuzizhixian','gmdzwzzzx'),
(3003,'沧源佤族自治县','530927',310,4,3003,'cangyuanwazuzizhixian','cywzzzx'),
(3004,'楚雄市','532301',311,4,3004,'chuxiongshi','cxs'),
(3005,'双柏县','532322',311,4,3005,'shuangboxian','sbx'),
(3006,'牟定县','532323',311,4,3006,'moudingxian','mdx'),
(3007,'南华县','532324',311,4,3007,'nanhuaxian','nhx'),
(3008,'姚安县','532325',311,4,3008,'yaoanxian','yax'),
(3009,'大姚县','532326',311,4,3009,'dayaoxian','dyx'),
(3010,'永仁县','532327',311,4,3010,'yongrenxian','yrx'),
(3011,'元谋县','532328',311,4,3011,'yuanmouxian','ymx'),
(3012,'武定县','532329',311,4,3012,'wudingxian','wdx'),
(3013,'禄丰县','532331',311,4,3013,'lufengxian','lfx'),
(3014,'个旧市','532501',312,4,3014,'gejiushi','gjs'),
(3015,'开远市','532502',312,4,3015,'kaiyuanshi','kys'),
(3016,'蒙自市','532503',312,4,3016,'mengzishi','mzs'),
(3017,'屏边苗族自治县','532523',312,4,3017,'pingbianmiaozuzizhixian','pbmzzzx'),
(3018,'建水县','532524',312,4,3018,'jianshuixian','jsx'),
(3019,'石屏县','532525',312,4,3019,'shipingxian','spx'),
(3020,'弥勒县','532526',312,4,3020,'milexian','mlx'),
(3021,'泸西县','532527',312,4,3021,'luxixian','lxx'),
(3022,'元阳县','532528',312,4,3022,'yuanyangxian','yyx'),
(3023,'红河县','532529',312,4,3023,'honghexian','hhx'),
(3024,'金平苗族瑶族傣族自治县','532530',312,4,3024,'jinpingmiaozuyaozudaizuzizhixian','jpmzyzdzzzx'),
(3025,'绿春县','532531',312,4,3025,'lvchunxian','lcx'),
(3026,'河口瑶族自治县','532532',312,4,3026,'hekouyaozuzizhixian','hkyzzzx'),
(3027,'文山县','532621',313,4,3027,'wenshanxian','wsx'),
(3028,'砚山县','532622',313,4,3028,'yanshanxian','ysx'),
(3029,'西畴县','532623',313,4,3029,'xichouxian','xcx'),
(3030,'麻栗坡县','532624',313,4,3030,'malipoxian','mlpx'),
(3031,'马关县','532625',313,4,3031,'maguanxian','mgx'),
(3032,'丘北县','532626',313,4,3032,'qiubeixian','qbx'),
(3033,'广南县','532627',313,4,3033,'guangnanxian','gnx'),
(3034,'富宁县','532628',313,4,3034,'funingxian','fnx'),
(3035,'景洪市','532801',314,4,3035,'jinghongshi','jhs'),
(3036,'勐海县','532822',314,4,3036,'menghaixian','mhx'),
(3037,'勐腊县','532823',314,4,3037,'menglaxian','mlx'),
(3038,'大理市','532901',315,4,3038,'dalishi','dls'),
(3039,'漾濞彝族自治县','532922',315,4,3039,'yangbiyizuzizhixian','ybyzzzx'),
(3040,'祥云县','532923',315,4,3040,'xiangyunxian','xyx'),
(3041,'宾川县','532924',315,4,3041,'binchuanxian','bcx'),
(3042,'弥渡县','532925',315,4,3042,'miduxian','mdx'),
(3043,'南涧彝族自治县','532926',315,4,3043,'nanjianyizuzizhixian','njyzzzx'),
(3044,'巍山彝族回族自治县','532927',315,4,3044,'weishanyizuhuizuzizhixian','wsyzhzzzx'),
(3045,'永平县','532928',315,4,3045,'yongpingxian','ypx'),
(3046,'云龙县','532929',315,4,3046,'yunlongxian','ylx'),
(3047,'洱源县','532930',315,4,3047,'eryuanxian','eyx'),
(3048,'剑川县','532931',315,4,3048,'jianchuanxian','jcx'),
(3049,'鹤庆县','532932',315,4,3049,'heqingxian','hqx'),
(3050,'瑞丽市','533102',316,4,3050,'ruilishi','rls'),
(3051,'芒市','533103',316,4,3051,'mangshi','ms'),
(3052,'梁河县','533122',316,4,3052,'lianghexian','lhx'),
(3053,'盈江县','533123',316,4,3053,'yingjiangxian','yjx'),
(3054,'陇川县','533124',316,4,3054,'longchuanxian','lcx'),
(3055,'泸水县','533321',317,4,3055,'lushuixian','lsx'),
(3056,'福贡县','533323',317,4,3056,'fugongxian','fgx'),
(3057,'贡山独龙族怒族自治县','533324',317,4,3057,'gongshandulongzunuzuzizhixian','gsdlznzzzx'),
(3058,'兰坪白族普米族自治县','533325',317,4,3058,'lanpingbaizupumizuzizhixian','lpbzpmzzzx'),
(3059,'香格里拉县','533421',318,4,3059,'xianggelilaxian','xgllx'),
(3060,'德钦县','533422',318,4,3060,'deqinxian','dqx'),
(3061,'维西傈僳族自治县','533423',318,4,3061,'weixilisuzuzizhixian','wxlszzzx'),
(3063,'城关区','540102',319,4,3063,'chengguanqu','cgq'),
(3064,'林周县','540121',319,4,3064,'linzhouxian','lzx'),
(3065,'当雄县','540122',319,4,3065,'dangxiongxian','dxx'),
(3066,'尼木县','540123',319,4,3066,'nimuxian','nmx'),
(3067,'曲水县','540124',319,4,3067,'qushuixian','qsx'),
(3068,'堆龙德庆县','540125',319,4,3068,'duilongdeqingxian','dldqx'),
(3069,'达孜县','540126',319,4,3069,'dazixian','dzx'),
(3070,'墨竹工卡县','540127',319,4,3070,'mozhugongkaxian','mzgkx'),
(3071,'昌都县','542121',320,4,3071,'changdouxian','cdx'),
(3072,'江达县','542122',320,4,3072,'jiangdaxian','jdx'),
(3073,'贡觉县','542123',320,4,3073,'gongjuexian','gjx'),
(3074,'类乌齐县','542124',320,4,3074,'leiwuqixian','lwqx'),
(3075,'丁青县','542125',320,4,3075,'dingqingxian','dqx'),
(3076,'察雅县','542126',320,4,3076,'chayaxian','cyx'),
(3077,'八宿县','542127',320,4,3077,'basuxian','bsx'),
(3078,'左贡县','542128',320,4,3078,'zuogongxian','zgx'),
(3079,'芒康县','542129',320,4,3079,'mangkangxian','mkx'),
(3080,'洛隆县','542132',320,4,3080,'luolongxian','llx'),
(3081,'边坝县','542133',320,4,3081,'bianbaxian','bbx'),
(3082,'乃东县','542221',321,4,3082,'naidongxian','ndx'),
(3083,'扎囊县','542222',321,4,3083,'zhanangxian','znx'),
(3084,'贡嘎县','542223',321,4,3084,'gonggaxian','ggx'),
(3085,'桑日县','542224',321,4,3085,'sangrixian','srx'),
(3086,'琼结县','542225',321,4,3086,'qiongjiexian','qjx'),
(3087,'曲松县','542226',321,4,3087,'qusongxian','qsx'),
(3088,'措美县','542227',321,4,3088,'cuomeixian','cmx'),
(3089,'洛扎县','542228',321,4,3089,'luozhaxian','lzx'),
(3090,'加查县','542229',321,4,3090,'jiachaxian','jcx'),
(3091,'隆子县','542231',321,4,3091,'longzixian','lzx'),
(3092,'错那县','542232',321,4,3092,'cuoneixian','cnx'),
(3093,'浪卡子县','542233',321,4,3093,'langkazixian','lkzx'),
(3094,'日喀则市','542301',322,4,3094,'rikazeshi','rkzs'),
(3095,'南木林县','542322',322,4,3095,'nanmulinxian','nmlx'),
(3096,'江孜县','542323',322,4,3096,'jiangzixian','jzx'),
(3097,'定日县','542324',322,4,3097,'dingrixian','drx'),
(3098,'萨迦县','542325',322,4,3098,'sajiaxian','sjx'),
(3099,'拉孜县','542326',322,4,3099,'lazixian','lzx'),
(3100,'昂仁县','542327',322,4,3100,'angrenxian','arx'),
(3101,'谢通门县','542328',322,4,3101,'xietongmenxian','xtmx'),
(3102,'白朗县','542329',322,4,3102,'bailangxian','blx'),
(3103,'仁布县','542330',322,4,3103,'renbuxian','rbx'),
(3104,'康马县','542331',322,4,3104,'kangmaxian','kmx'),
(3105,'定结县','542332',322,4,3105,'dingjiexian','djx'),
(3106,'仲巴县','542333',322,4,3106,'zhongbaxian','zbx'),
(3107,'亚东县','542334',322,4,3107,'yadongxian','ydx'),
(3108,'吉隆县','542335',322,4,3108,'jilongxian','jlx'),
(3109,'聂拉木县','542336',322,4,3109,'nielamuxian','nlmx'),
(3110,'萨嘎县','542337',322,4,3110,'sagaxian','sgx'),
(3111,'岗巴县','542338',322,4,3111,'gangbaxian','gbx'),
(3112,'那曲县','542421',323,4,3112,'neiquxian','nqx'),
(3113,'嘉黎县','542422',323,4,3113,'jialixian','jlx'),
(3114,'比如县','542423',323,4,3114,'biruxian','brx'),
(3115,'聂荣县','542424',323,4,3115,'nierongxian','nrx'),
(3116,'安多县','542425',323,4,3116,'anduoxian','adx'),
(3117,'申扎县','542426',323,4,3117,'shenzhaxian','szx'),
(3118,'索县','542427',323,4,3118,'suoxian','sx'),
(3119,'班戈县','542428',323,4,3119,'bangexian','bgx'),
(3120,'巴青县','542429',323,4,3120,'baqingxian','bqx'),
(3121,'尼玛县','542430',323,4,3121,'nimaxian','nmx'),
(3122,'普兰县','542521',324,4,3122,'pulanxian','plx'),
(3123,'札达县','542522',324,4,3123,'zhadaxian','zdx'),
(3124,'噶尔县','542523',324,4,3124,'gaerxian','gex'),
(3125,'日土县','542524',324,4,3125,'rituxian','rtx'),
(3126,'革吉县','542525',324,4,3126,'gejixian','gjx'),
(3127,'改则县','542526',324,4,3127,'gaizexian','gzx'),
(3128,'措勤县','542527',324,4,3128,'cuoqinxian','cqx'),
(3129,'林芝县','542621',325,4,3129,'linzhixian','lzx'),
(3130,'工布江达县','542622',325,4,3130,'gongbujiangdaxian','gbjdx'),
(3131,'米林县','542623',325,4,3131,'milinxian','mlx'),
(3132,'墨脱县','542624',325,4,3132,'motuoxian','mtx'),
(3133,'波密县','542625',325,4,3133,'bomixian','bmx'),
(3134,'察隅县','542626',325,4,3134,'chayuxian','cyx'),
(3135,'朗县','542627',325,4,3135,'langxian','lx'),
(3137,'新城区','610102',326,4,3137,'xinchengqu','xcq'),
(3138,'碑林区','610103',326,4,3138,'beilinqu','blq'),
(3139,'莲湖区','610104',326,4,3139,'lianhuqu','lhq'),
(3140,'灞桥区','610111',326,4,3140,'baqiaoqu','bqq'),
(3141,'未央区','610112',326,4,3141,'weiyangqu','wyq'),
(3142,'雁塔区','610113',326,4,3142,'yantaqu','ytq'),
(3143,'阎良区','610114',326,4,3143,'yanliangqu','ylq'),
(3144,'临潼区','610115',326,4,3144,'lintongqu','ltq'),
(3145,'长安区','610116',326,4,3145,'zhanganqu','zaq'),
(3146,'蓝田县','610122',326,4,3146,'lantianxian','ltx'),
(3147,'周至县','610124',326,4,3147,'zhouzhixian','zzx'),
(3148,'户县','610125',326,4,3148,'huxian','hx'),
(3149,'高陵县','610126',326,4,3149,'gaolingxian','glx'),
(3151,'王益区','610202',327,4,3151,'wangyiqu','wyq'),
(3152,'印台区','610203',327,4,3152,'yintaiqu','ytq'),
(3153,'耀州区','610204',327,4,3153,'yaozhouqu','yzq'),
(3154,'宜君县','610222',327,4,3154,'yijunxian','yjx'),
(3156,'渭滨区','610302',328,4,3156,'weibinqu','wbq'),
(3157,'金台区','610303',328,4,3157,'jintaiqu','jtq'),
(3158,'陈仓区','610304',328,4,3158,'chencangqu','ccq'),
(3159,'凤翔县','610322',328,4,3159,'fengxiangxian','fxx'),
(3160,'岐山县','610323',328,4,3160,'qishanxian','qsx'),
(3161,'扶风县','610324',328,4,3161,'fufengxian','ffx'),
(3162,'眉县','610326',328,4,3162,'meixian','mx'),
(3163,'陇县','610327',328,4,3163,'longxian','lx'),
(3164,'千阳县','610328',328,4,3164,'qianyangxian','qyx'),
(3165,'麟游县','610329',328,4,3165,'linyouxian','lyx'),
(3166,'凤县','610330',328,4,3166,'fengxian','fx'),
(3167,'太白县','610331',328,4,3167,'taibaixian','tbx'),
(3169,'秦都区','610402',329,4,3169,'qindouqu','qdq'),
(3170,'杨陵区','610403',329,4,3170,'yanglingqu','ylq'),
(3171,'渭城区','610404',329,4,3171,'weichengqu','wcq'),
(3172,'三原县','610422',329,4,3172,'sanyuanxian','syx'),
(3173,'泾阳县','610423',329,4,3173,'jingyangxian','jyx'),
(3174,'乾县','610424',329,4,3174,'qianxian','qx'),
(3175,'礼泉县','610425',329,4,3175,'liquanxian','lqx'),
(3176,'永寿县','610426',329,4,3176,'yongshouxian','ysx'),
(3177,'彬县','610427',329,4,3177,'binxian','bx'),
(3178,'长武县','610428',329,4,3178,'zhangwuxian','zwx'),
(3179,'旬邑县','610429',329,4,3179,'xunyixian','xyx'),
(3180,'淳化县','610430',329,4,3180,'chunhuaxian','chx'),
(3181,'武功县','610431',329,4,3181,'wugongxian','wgx'),
(3182,'兴平市','610481',329,4,3182,'xingpingshi','xps'),
(3184,'临渭区','610502',330,4,3184,'linweiqu','lwq'),
(3185,'华县','610521',330,4,3185,'huaxian','hx'),
(3186,'潼关县','610522',330,4,3186,'tongguanxian','tgx'),
(3187,'大荔县','610523',330,4,3187,'dalixian','dlx'),
(3188,'合阳县','610524',330,4,3188,'heyangxian','hyx'),
(3189,'澄城县','610525',330,4,3189,'chengchengxian','ccx'),
(3190,'蒲城县','610526',330,4,3190,'puchengxian','pcx'),
(3191,'白水县','610527',330,4,3191,'baishuixian','bsx'),
(3192,'富平县','610528',330,4,3192,'fupingxian','fpx'),
(3193,'韩城市','610581',330,4,3193,'hanchengshi','hcs'),
(3194,'华阴市','610582',330,4,3194,'huayinshi','hys'),
(3196,'宝塔区','610602',331,4,3196,'baotaqu','btq'),
(3197,'延长县','610621',331,4,3197,'yanzhangxian','yzx'),
(3198,'延川县','610622',331,4,3198,'yanchuanxian','ycx'),
(3199,'子长县','610623',331,4,3199,'zizhangxian','zzx'),
(3200,'安塞县','610624',331,4,3200,'ansaixian','asx'),
(3201,'志丹县','610625',331,4,3201,'zhidanxian','zdx'),
(3202,'吴起县','610626',331,4,3202,'wuqixian','wqx'),
(3203,'甘泉县','610627',331,4,3203,'ganquanxian','gqx'),
(3204,'富县','610628',331,4,3204,'fuxian','fx'),
(3205,'洛川县','610629',331,4,3205,'luochuanxian','lcx'),
(3206,'宜川县','610630',331,4,3206,'yichuanxian','ycx'),
(3207,'黄龙县','610631',331,4,3207,'huanglongxian','hlx'),
(3208,'黄陵县','610632',331,4,3208,'huanglingxian','hlx'),
(3210,'汉台区','610702',332,4,3210,'hantaiqu','htq'),
(3211,'南郑县','610721',332,4,3211,'nanzhengxian','nzx'),
(3212,'城固县','610722',332,4,3212,'chengguxian','cgx'),
(3213,'洋县','610723',332,4,3213,'yangxian','yx'),
(3214,'西乡县','610724',332,4,3214,'xixiangxian','xxx'),
(3215,'勉县','610725',332,4,3215,'mianxian','mx'),
(3216,'宁强县','610726',332,4,3216,'ningqiangxian','nqx'),
(3217,'略阳县','610727',332,4,3217,'lveyangxian','lyx'),
(3218,'镇巴县','610728',332,4,3218,'zhenbaxian','zbx'),
(3219,'留坝县','610729',332,4,3219,'liubaxian','lbx'),
(3220,'佛坪县','610730',332,4,3220,'fopingxian','fpx'),
(3222,'榆阳区','610802',333,4,3222,'yuyangqu','yyq'),
(3223,'神木县','610821',333,4,3223,'shenmuxian','smx'),
(3224,'府谷县','610822',333,4,3224,'fuguxian','fgx'),
(3225,'横山县','610823',333,4,3225,'hengshanxian','hsx'),
(3226,'靖边县','610824',333,4,3226,'jingbianxian','jbx'),
(3227,'定边县','610825',333,4,3227,'dingbianxian','dbx'),
(3228,'绥德县','610826',333,4,3228,'suidexian','sdx'),
(3229,'米脂县','610827',333,4,3229,'mizhixian','mzx'),
(3230,'佳县','610828',333,4,3230,'jiaxian','jx'),
(3231,'吴堡县','610829',333,4,3231,'wubaoxian','wbx'),
(3232,'清涧县','610830',333,4,3232,'qingjianxian','qjx'),
(3233,'子洲县','610831',333,4,3233,'zizhouxian','zzx'),
(3235,'汉滨区','610902',334,4,3235,'hanbinqu','hbq'),
(3236,'汉阴县','610921',334,4,3236,'hanyinxian','hyx'),
(3237,'石泉县','610922',334,4,3237,'shiquanxian','sqx'),
(3238,'宁陕县','610923',334,4,3238,'ningshanxian','nsx'),
(3239,'紫阳县','610924',334,4,3239,'ziyangxian','zyx'),
(3240,'岚皋县','610925',334,4,3240,'langaoxian','lgx'),
(3241,'平利县','610926',334,4,3241,'pinglixian','plx'),
(3242,'镇坪县','610927',334,4,3242,'zhenpingxian','zpx'),
(3243,'旬阳县','610928',334,4,3243,'xunyangxian','xyx'),
(3244,'白河县','610929',334,4,3244,'baihexian','bhx'),
(3246,'商州区','611002',335,4,3246,'shangzhouqu','szq'),
(3247,'洛南县','611021',335,4,3247,'luonanxian','lnx'),
(3248,'丹凤县','611022',335,4,3248,'danfengxian','dfx'),
(3249,'商南县','611023',335,4,3249,'shangnanxian','snx'),
(3250,'山阳县','611024',335,4,3250,'shanyangxian','syx'),
(3251,'镇安县','611025',335,4,3251,'zhenanxian','zax'),
(3252,'柞水县','611026',335,4,3252,'zuoshuixian','zsx'),
(3254,'城关区','620102',336,4,3254,'chengguanqu','cgq'),
(3255,'七里河区','620103',336,4,3255,'qilihequ','qlhq'),
(3256,'西固区','620104',336,4,3256,'xiguqu','xgq'),
(3257,'安宁区','620105',336,4,3257,'anningqu','anq'),
(3258,'红古区','620111',336,4,3258,'hongguqu','hgq'),
(3259,'永登县','620121',336,4,3259,'yongdengxian','ydx'),
(3260,'皋兰县','620122',336,4,3260,'gaolanxian','glx'),
(3261,'榆中县','620123',336,4,3261,'yuzhongxian','yzx'),
(3264,'金川区','620302',338,4,3264,'jinchuanqu','jcq'),
(3265,'永昌县','620321',338,4,3265,'yongchangxian','ycx'),
(3267,'白银区','620402',339,4,3267,'baiyinqu','byq'),
(3268,'平川区','620403',339,4,3268,'pingchuanqu','pcq'),
(3269,'靖远县','620421',339,4,3269,'jingyuanxian','jyx'),
(3270,'会宁县','620422',339,4,3270,'huiningxian','hnx'),
(3271,'景泰县','620423',339,4,3271,'jingtaixian','jtx'),
(3274,'秦州区','620502',340,4,3274,'qinzhouqu','qzq'),
(3275,'清水县','620521',340,4,3275,'qingshuixian','qsx'),
(3276,'秦安县','620522',340,4,3276,'qinanxian','qax'),
(3277,'甘谷县','620523',340,4,3277,'ganguxian','ggx'),
(3278,'武山县','620524',340,4,3278,'wushanxian','wsx'),
(3279,'张家川回族自治县','620525',340,4,3279,'zhangjiachuanhuizuzizhixian','zjchzzzx'),
(3281,'凉州区','620602',341,4,3281,'liangzhouqu','lzq'),
(3282,'民勤县','620621',341,4,3282,'minqinxian','mqx'),
(3283,'古浪县','620622',341,4,3283,'gulangxian','glx'),
(3284,'天祝藏族自治县','620623',341,4,3284,'tianzhuzangzuzizhixian','tzzzzzx'),
(3286,'甘州区','620702',342,4,3286,'ganzhouqu','gzq'),
(3287,'肃南裕固族自治县','620721',342,4,3287,'sunanyuguzuzizhixian','snygzzzx'),
(3288,'民乐县','620722',342,4,3288,'minlexian','mlx'),
(3289,'临泽县','620723',342,4,3289,'linzexian','lzx'),
(3290,'高台县','620724',342,4,3290,'gaotaixian','gtx'),
(3291,'山丹县','620725',342,4,3291,'shandanxian','sdx'),
(3293,'崆峒区','620802',343,4,3293,'kongtongqu','ktq'),
(3294,'泾川县','620821',343,4,3294,'jingchuanxian','jcx'),
(3295,'灵台县','620822',343,4,3295,'lingtaixian','ltx'),
(3296,'崇信县','620823',343,4,3296,'chongxinxian','cxx'),
(3297,'华亭县','620824',343,4,3297,'huatingxian','htx'),
(3298,'庄浪县','620825',343,4,3298,'zhuanglangxian','zlx'),
(3299,'静宁县','620826',343,4,3299,'jingningxian','jnx'),
(3301,'肃州区','620902',344,4,3301,'suzhouqu','szq'),
(3302,'金塔县','620921',344,4,3302,'jintaxian','jtx'),
(3304,'肃北蒙古族自治县','620923',344,4,3304,'subeimengguzuzizhixian','sbmgzzzx'),
(3305,'阿克塞哈萨克族自治县','620924',344,4,3305,'akesaihasakezuzizhixian','akshskzzzx'),
(3306,'玉门市','620981',344,4,3306,'yumenshi','yms'),
(3307,'敦煌市','620982',344,4,3307,'dunhuangshi','dhs'),
(3309,'西峰区','621002',345,4,3309,'xifengqu','xfq'),
(3310,'庆城县','621021',345,4,3310,'qingchengxian','qcx'),
(3311,'环县','621022',345,4,3311,'huanxian','hx'),
(3312,'华池县','621023',345,4,3312,'huachixian','hcx'),
(3313,'合水县','621024',345,4,3313,'heshuixian','hsx'),
(3314,'正宁县','621025',345,4,3314,'zhengningxian','znx'),
(3315,'宁县','621026',345,4,3315,'ningxian','nx'),
(3316,'镇原县','621027',345,4,3316,'zhenyuanxian','zyx'),
(3318,'安定区','621102',346,4,3318,'andingqu','adq'),
(3319,'通渭县','621121',346,4,3319,'tongweixian','twx'),
(3320,'陇西县','621122',346,4,3320,'longxixian','lxx'),
(3321,'渭源县','621123',346,4,3321,'weiyuanxian','wyx'),
(3322,'临洮县','621124',346,4,3322,'lintaoxian','ltx'),
(3323,'漳县','621125',346,4,3323,'zhangxian','zx'),
(3324,'岷县','621126',346,4,3324,'minxian','mx'),
(3326,'武都区','621202',347,4,3326,'wudouqu','wdq'),
(3327,'成县','621221',347,4,3327,'chengxian','cx'),
(3328,'文县','621222',347,4,3328,'wenxian','wx'),
(3329,'宕昌县','621223',347,4,3329,'dangchangxian','dcx'),
(3330,'康县','621224',347,4,3330,'kangxian','kx'),
(3331,'西和县','621225',347,4,3331,'xihexian','xhx'),
(3332,'礼县','621226',347,4,3332,'lixian','lx'),
(3333,'徽县','621227',347,4,3333,'huixian','hx'),
(3334,'两当县','621228',347,4,3334,'liangdangxian','ldx'),
(3335,'临夏市','622901',348,4,3335,'linxiashi','lxs'),
(3336,'临夏县','622921',348,4,3336,'linxiaxian','lxx'),
(3337,'康乐县','622922',348,4,3337,'kanglexian','klx'),
(3338,'永靖县','622923',348,4,3338,'yongjingxian','yjx'),
(3339,'广河县','622924',348,4,3339,'guanghexian','ghx'),
(3340,'和政县','622925',348,4,3340,'hezhengxian','hzx'),
(3341,'东乡族自治县','622926',348,4,3341,'dongxiangzuzizhixian','dxzzzx'),
(3342,'积石山保安族东乡族撒拉族自治县','622927',348,4,3342,'jishishanbaoanzudongxiangzusalazuzizhixian','jssbazdxzslzzzx'),
(3343,'合作市','623001',349,4,3343,'hezuoshi','hzs'),
(3344,'临潭县','623021',349,4,3344,'lintanxian','ltx'),
(3345,'卓尼县','623022',349,4,3345,'zhuonixian','znx'),
(3346,'舟曲县','623023',349,4,3346,'zhouquxian','zqx'),
(3347,'迭部县','623024',349,4,3347,'diebuxian','dbx'),
(3348,'玛曲县','623025',349,4,3348,'maquxian','mqx'),
(3349,'碌曲县','623026',349,4,3349,'liuquxian','lqx'),
(3350,'夏河县','623027',349,4,3350,'xiahexian','xhx'),
(3352,'城东区','630102',350,4,3352,'chengdongqu','cdq'),
(3353,'城中区','630103',350,4,3353,'chengzhongqu','czq'),
(3354,'城西区','630104',350,4,3354,'chengxiqu','cxq'),
(3355,'城北区','630105',350,4,3355,'chengbeiqu','cbq'),
(3356,'大通回族土族自治县','630121',350,4,3356,'datonghuizutuzuzizhixian','dthztzzzx'),
(3357,'湟中县','630122',350,4,3357,'huangzhongxian','hzx'),
(3358,'湟源县','630123',350,4,3358,'huangyuanxian','hyx'),
(3359,'平安县','632121',351,4,3359,'pinganxian','pax'),
(3360,'民和回族土族自治县','632122',351,4,3360,'minhehuizutuzuzizhixian','mhhztzzzx'),
(3361,'乐都县','632123',351,4,3361,'ledouxian','ldx'),
(3362,'互助土族自治县','632126',351,4,3362,'huzhutuzuzizhixian','hztzzzx'),
(3363,'化隆回族自治县','632127',351,4,3363,'hualonghuizuzizhixian','hlhzzzx'),
(3364,'循化撒拉族自治县','632128',351,4,3364,'xunhuasalazuzizhixian','xhslzzzx'),
(3365,'门源回族自治县','632221',352,4,3365,'menyuanhuizuzizhixian','myhzzzx'),
(3366,'祁连县','632222',352,4,3366,'qilianxian','qlx'),
(3367,'海晏县','632223',352,4,3367,'haiyanxian','hyx'),
(3368,'刚察县','632224',352,4,3368,'gangchaxian','gcx'),
(3369,'同仁县','632321',353,4,3369,'tongrenxian','trx'),
(3370,'尖扎县','632322',353,4,3370,'jianzhaxian','jzx'),
(3371,'泽库县','632323',353,4,3371,'zekuxian','zkx'),
(3372,'河南蒙古族自治县','632324',353,4,3372,'henanmengguzuzizhixian','hnmgzzzx'),
(3373,'共和县','632521',354,4,3373,'gonghexian','ghx'),
(3374,'同德县','632522',354,4,3374,'tongdexian','tdx'),
(3375,'贵德县','632523',354,4,3375,'guidexian','gdx'),
(3376,'兴海县','632524',354,4,3376,'xinghaixian','xhx'),
(3377,'贵南县','632525',354,4,3377,'guinanxian','gnx'),
(3378,'玛沁县','632621',355,4,3378,'maqinxian','mqx'),
(3379,'班玛县','632622',355,4,3379,'banmaxian','bmx'),
(3380,'甘德县','632623',355,4,3380,'gandexian','gdx'),
(3381,'达日县','632624',355,4,3381,'darixian','drx'),
(3382,'久治县','632625',355,4,3382,'jiuzhixian','jzx'),
(3383,'玛多县','632626',355,4,3383,'maduoxian','mdx'),
(3384,'玉树县','632721',356,4,3384,'yushuxian','ysx'),
(3385,'杂多县','632722',356,4,3385,'zaduoxian','zdx'),
(3386,'称多县','632723',356,4,3386,'chengduoxian','cdx'),
(3387,'治多县','632724',356,4,3387,'zhiduoxian','zdx'),
(3388,'囊谦县','632725',356,4,3388,'nangqianxian','nqx'),
(3389,'曲麻莱县','632726',356,4,3389,'qumalaixian','qmlx'),
(3390,'格尔木市','632801',357,4,3390,'geermushi','gems'),
(3391,'德令哈市','632802',357,4,3391,'delinghashi','dlhs'),
(3392,'乌兰县','632821',357,4,3392,'wulanxian','wlx'),
(3393,'都兰县','632822',357,4,3393,'doulanxian','dlx'),
(3394,'天峻县','632823',357,4,3394,'tianjunxian','tjx'),
(3396,'兴庆区','640104',358,4,3396,'xingqingqu','xqq'),
(3397,'西夏区','640105',358,4,3397,'xixiaqu','xxq'),
(3398,'金凤区','640106',358,4,3398,'jinfengqu','jfq'),
(3399,'永宁县','640121',358,4,3399,'yongningxian','ynx'),
(3400,'贺兰县','640122',358,4,3400,'helanxian','hlx'),
(3401,'灵武市','640181',358,4,3401,'lingwushi','lws'),
(3403,'大武口区','640202',359,4,3403,'dawukouqu','dwkq'),
(3404,'惠农区','640205',359,4,3404,'huinongqu','hnq'),
(3405,'平罗县','640221',359,4,3405,'pingluoxian','plx'),
(3407,'利通区','640302',360,4,3407,'litongqu','ltq'),
(3408,'盐池县','640323',360,4,3408,'yanchixian','ycx'),
(3409,'同心县','640324',360,4,3409,'tongxinxian','txx'),
(3410,'青铜峡市','640381',360,4,3410,'qingtongxiashi','qtxs'),
(3412,'原州区','640402',361,4,3412,'yuanzhouqu','yzq'),
(3413,'西吉县','640422',361,4,3413,'xijixian','xjx'),
(3414,'隆德县','640423',361,4,3414,'longdexian','ldx'),
(3415,'泾源县','640424',361,4,3415,'jingyuanxian','jyx'),
(3416,'彭阳县','640425',361,4,3416,'pengyangxian','pyx'),
(3418,'沙坡头区','640502',362,4,3418,'shapotouqu','sptq'),
(3419,'中宁县','640521',362,4,3419,'zhongningxian','znx'),
(3420,'海原县','640522',362,4,3420,'haiyuanxian','hyx'),
(3422,'天山区','650102',363,4,3422,'tianshanqu','tsq'),
(3423,'沙依巴克区','650103',363,4,3423,'shayibakequ','sybkq'),
(3424,'新市区','650104',363,4,3424,'xinshiqu','xsq'),
(3425,'水磨沟区','650105',363,4,3425,'shuimogouqu','smgq'),
(3426,'头屯河区','650106',363,4,3426,'toutunhequ','tthq'),
(3427,'达坂城区','650107',363,4,3427,'dabanchengqu','dbcq'),
(3428,'米东区','650109',363,4,3428,'midongqu','mdq'),
(3429,'乌鲁木齐县','650121',363,4,3429,'wulumuqixian','wlmqx'),
(3431,'独山子区','650202',364,4,3431,'dushanziqu','dszq'),
(3432,'克拉玛依区','650203',364,4,3432,'kelamayiqu','klmyq'),
(3433,'白碱滩区','650204',364,4,3433,'baijiantanqu','bjtq'),
(3434,'乌尔禾区','650205',364,4,3434,'wuerhequ','wehq'),
(3435,'吐鲁番市','652101',365,4,3435,'tulufanshi','tlfs'),
(3436,'鄯善县','652122',365,4,3436,'shanshanxian','ssx'),
(3437,'托克逊县','652123',365,4,3437,'tuokexunxian','tkxx'),
(3438,'哈密市','652201',366,4,3438,'hamishi','hms'),
(3439,'巴里坤哈萨克自治县','652222',366,4,3439,'balikunhasakezizhixian','blkhskzzx'),
(3440,'伊吾县','652223',366,4,3440,'yiwuxian','ywx'),
(3441,'昌吉市','652301',367,4,3441,'changjishi','cjs'),
(3442,'阜康市','652302',367,4,3442,'fukangshi','fks'),
(3444,'呼图壁县','652323',367,4,3444,'hutubixian','htbx'),
(3445,'玛纳斯县','652324',367,4,3445,'manasixian','mnsx'),
(3446,'奇台县','652325',367,4,3446,'qitaixian','qtx'),
(3447,'吉木萨尔县','652327',367,4,3447,'jimusaerxian','jmsex'),
(3448,'木垒哈萨克自治县','652328',367,4,3448,'muleihasakezizhixian','mlhskzzx'),
(3449,'博乐市','652701',368,4,3449,'boleshi','bls'),
(3450,'精河县','652722',368,4,3450,'jinghexian','jhx'),
(3451,'温泉县','652723',368,4,3451,'wenquanxian','wqx'),
(3452,'库尔勒市','652801',369,4,3452,'kuerleshi','kels'),
(3453,'轮台县','652822',369,4,3453,'luntaixian','ltx'),
(3454,'尉犁县','652823',369,4,3454,'weilixian','wlx'),
(3455,'若羌县','652824',369,4,3455,'ruoqiangxian','rqx'),
(3456,'且末县','652825',369,4,3456,'qiemoxian','qmx'),
(3457,'焉耆回族自治县','652826',369,4,3457,'yanqihuizuzizhixian','yqhzzzx'),
(3458,'和静县','652827',369,4,3458,'hejingxian','hjx'),
(3459,'和硕县','652828',369,4,3459,'heshuoxian','hsx'),
(3460,'博湖县','652829',369,4,3460,'bohuxian','bhx'),
(3461,'阿克苏市','652901',370,4,3461,'akesushi','akss'),
(3462,'温宿县','652922',370,4,3462,'wensuxian','wsx'),
(3463,'库车县','652923',370,4,3463,'kuchexian','kcx'),
(3464,'沙雅县','652924',370,4,3464,'shayaxian','syx'),
(3465,'新和县','652925',370,4,3465,'xinhexian','xhx'),
(3466,'拜城县','652926',370,4,3466,'baichengxian','bcx'),
(3467,'乌什县','652927',370,4,3467,'wushenxian','wsx'),
(3468,'阿瓦提县','652928',370,4,3468,'awatixian','awtx'),
(3469,'柯坪县','652929',370,4,3469,'kepingxian','kpx'),
(3470,'阿图什市','653001',371,4,3470,'atushenshi','atss'),
(3471,'阿克陶县','653022',371,4,3471,'aketaoxian','aktx'),
(3472,'阿合奇县','653023',371,4,3472,'aheqixian','ahqx'),
(3473,'乌恰县','653024',371,4,3473,'wuqiaxian','wqx'),
(3474,'喀什市','653101',372,4,3474,'kashenshi','kss'),
(3475,'疏附县','653121',372,4,3475,'shufuxian','sfx'),
(3476,'疏勒县','653122',372,4,3476,'shulexian','slx'),
(3477,'英吉沙县','653123',372,4,3477,'yingjishaxian','yjsx'),
(3478,'泽普县','653124',372,4,3478,'zepuxian','zpx'),
(3479,'莎车县','653125',372,4,3479,'shachexian','scx'),
(3480,'叶城县','653126',372,4,3480,'yechengxian','ycx'),
(3481,'麦盖提县','653127',372,4,3481,'maigaitixian','mgtx'),
(3482,'岳普湖县','653128',372,4,3482,'yuepuhuxian','yphx'),
(3483,'伽师县','653129',372,4,3483,'jiashixian','jsx'),
(3484,'巴楚县','653130',372,4,3484,'bachuxian','bcx'),
(3485,'塔什库尔干塔吉克自治县','653131',372,4,3485,'tashenkuergantajikezizhixian','tskegtjkzzx'),
(3486,'和田市','653201',373,4,3486,'hetianshi','hts'),
(3487,'和田县','653221',373,4,3487,'hetianxian','htx'),
(3488,'墨玉县','653222',373,4,3488,'moyuxian','myx'),
(3489,'皮山县','653223',373,4,3489,'pishanxian','psx'),
(3490,'洛浦县','653224',373,4,3490,'luopuxian','lpx'),
(3491,'策勒县','653225',373,4,3491,'celexian','clx'),
(3492,'于田县','653226',373,4,3492,'yutianxian','ytx'),
(3493,'民丰县','653227',373,4,3493,'minfengxian','mfx'),
(3494,'伊宁市','654002',374,4,3494,'yiningshi','yns'),
(3495,'奎屯市','654003',374,4,3495,'kuitunshi','kts'),
(3496,'伊宁县','654021',374,4,3496,'yiningxian','ynx'),
(3497,'察布查尔锡伯自治县','654022',374,4,3497,'chabuchaerxibozizhixian','cbcexbzzx'),
(3498,'霍城县','654023',374,4,3498,'huochengxian','hcx'),
(3499,'巩留县','654024',374,4,3499,'gongliuxian','glx'),
(3500,'新源县','654025',374,4,3500,'xinyuanxian','xyx'),
(3501,'昭苏县','654026',374,4,3501,'zhaosuxian','zsx'),
(3502,'特克斯县','654027',374,4,3502,'tekesixian','tksx'),
(3503,'尼勒克县','654028',374,4,3503,'nilekexian','nlkx'),
(3504,'塔城市','654201',375,4,3504,'tachengshi','tcs'),
(3505,'乌苏市','654202',375,4,3505,'wusushi','wss'),
(3506,'额敏县','654221',375,4,3506,'eminxian','emx'),
(3507,'沙湾县','654223',375,4,3507,'shawanxian','swx'),
(3508,'托里县','654224',375,4,3508,'tuolixian','tlx'),
(3509,'裕民县','654225',375,4,3509,'yuminxian','ymx'),
(3510,'和布克赛尔蒙古自治县','654226',375,4,3510,'hebukesaiermengguzizhixian','hbksemgzzx'),
(3511,'阿勒泰市','654301',376,4,3511,'aletaishi','alts'),
(3512,'布尔津县','654321',376,4,3512,'buerjinxian','bejx'),
(3513,'富蕴县','654322',376,4,3513,'fuyunxian','fyx'),
(3514,'福海县','654323',376,4,3514,'fuhaixian','fhx'),
(3515,'哈巴河县','654324',376,4,3515,'habahexian','hbhx'),
(3516,'青河县','654325',376,4,3516,'qinghexian','qhx'),
(3517,'吉木乃县','654326',376,4,3517,'jimunaixian','jmnx'),
(3518,'石河子市','659001',377,4,3518,'shihezishi','shzs'),
(3519,'阿拉尔市','659002',377,4,3519,'alaershi','ales'),
(3520,'图木舒克市','659003',377,4,3520,'tumushukeshi','tmsks'),
(3521,'五家渠市','659004',377,4,3521,'wujiaqushi','wjqs'),
(4000,'麦积区','620503',340,4,4000,'maijiqu','mjq'),
(4001,'江津区','500116',270,4,4001,'jiangjinqu','jjq'),
(4002,'合川区','500117',270,4,4002,'hechuanqu','hcq'),
(4003,'永川区','500118',270,4,4003,'yongchuanqu','ycq'),
(4004,'南川区','500119',270,4,4004,'nanchuanqu','ncq'),
(4006,'芜湖县','340221',1412,4,4006,'wuhuxian','whx'),
(4100,'加格达奇区','232701',106,4,4100,'jiagedaqiqu','jgdqq'),
(4101,'松岭区','232702',106,4,4101,'songlingqu','slq'),
(4102,'新林区','232703',106,4,4102,'xinlinqu','xlq'),
(4103,'呼中区','232704',106,4,4103,'huzhongqu','hzq'),
(4200,'南湖区','330402',125,4,4200,'nanhuqu','nhq'),
(4300,'共青城市','360482',162,4,4300,'gongqingchengshi','gqcs'),
(4400,'红寺堡区','640303',360,4,4400,'hongsibaoqu','hsbq'),
(4500,'瓜州县','620922',344,4,4500,'guazhouxian','gzx'),
(4600,'随县','421321',215,4,4600,'suixian','sx'),
(4700,'零陵区','431102',228,4,4700,'linglingqu','llq'),
(4800,'平桂管理区','451119',263,4,4800,'pingguiguanliqu','pgglq'),
(4900,'利州区','510802',279,4,4900,'lizhouqu','lzq'),
(5000,'华蓥市','511681',286,4,5000,'huayingshi','hys');

/*Table structure for table `sys_button` */

DROP TABLE IF EXISTS `sys_button`;

CREATE TABLE `sys_button` (
  `btn_id` char(36) NOT NULL COMMENT '按钮编号主键',
  `btn_name` varchar(10) NOT NULL COMMENT '按钮名称',
  `btn_code` varchar(10) NOT NULL COMMENT '按钮编码',
  `mod_id` char(36) NOT NULL COMMENT '所属模块编号',
  `sort` int(11) NOT NULL COMMENT '排序',
  `data_status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '标识，1正常，3删除',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `opt_user` char(36) NOT NULL COMMENT '最后操作人员编号',
  PRIMARY KEY (`btn_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='模块按钮表';

/*Data for the table `sys_button` */

insert  into `sys_button`(`btn_id`,`btn_name`,`btn_code`,`mod_id`,`sort`,`data_status`,`create_time`,`update_time`,`opt_user`) values 
('0329a9d5-0d24-11eb-8347-005056c00001','删除','glshd','c96d8466-0cf0-11eb-8347-005056c00001',2,1,'2020-10-13 15:16:28','2020-10-13 15:16:28','df6650ed-e05e-11ea-b682-005056c00001'),
('050df251-2e35-4ecc-8e7d-fb00651983ba','修改','glfle','d58d80f1-f737-46a1-b39c-51408e7e18ce',3,1,'2020-08-18 16:16:29','2020-09-17 16:59:21','df6650ed-e05e-11ea-b682-005056c00001'),
('068f689c-4fb4-4fce-a175-9a78c85c4921','删除','gljsd','ca6fcf94-35ec-4082-b417-54fb72e4023c',2,1,'2020-08-18 16:12:59','2020-09-17 17:00:31','df6650ed-e05e-11ea-b682-005056c00001'),
('09db2bbc-0d24-11eb-8347-005056c00001','修改','glshe','c96d8466-0cf0-11eb-8347-005056c00001',3,1,'2020-10-13 15:16:40','2020-10-13 15:16:40','df6650ed-e05e-11ea-b682-005056c00001'),
('0ffe754e-0d24-11eb-8347-005056c00001','审核','glshp','c96d8466-0cf0-11eb-8347-005056c00001',4,1,'2020-10-13 15:16:50','2020-10-13 15:16:50','df6650ed-e05e-11ea-b682-005056c00001'),
('16513401-0d24-11eb-8347-005056c00001','取消审核','glshu','c96d8466-0cf0-11eb-8347-005056c00001',5,1,'2020-10-13 15:17:00','2020-10-13 15:17:00','df6650ed-e05e-11ea-b682-005056c00001'),
('1f6cf606-0cf6-11eb-8347-005056c00001','新增','glxxa','10f8f8aa-0cef-11eb-8347-005056c00001',1,1,'2020-10-13 09:47:59','2020-10-13 09:47:59','df6650ed-e05e-11ea-b682-005056c00001'),
('2948b155-5760-44b7-9981-3a2b7146e0f1','删除','glcsd','2267da40-7fa1-4cfc-a353-91996163d188',2,1,'2020-08-18 16:11:49','2020-09-17 16:58:44','df6650ed-e05e-11ea-b682-005056c00001'),
('29726a57-0cf6-11eb-8347-005056c00001','删除','glxxd','10f8f8aa-0cef-11eb-8347-005056c00001',2,1,'2020-10-13 09:48:16','2020-10-13 09:48:16','df6650ed-e05e-11ea-b682-005056c00001'),
('35e1893c-b8c3-49b7-b4f0-a005c02230fa','修改','glpte','7aff5341-2383-46b4-9730-0de1ecd4cae6',3,1,'2020-08-18 16:15:10','2020-09-30 10:30:54','df6650ed-e05e-11ea-b682-005056c00001'),
('3a6e63b9-0421-413c-a73c-48e823b0153a','修改','glane','879688bb-392b-4d37-8514-c80c33e589dd',3,1,'2020-08-18 16:14:32','2020-09-17 17:01:07','df6650ed-e05e-11ea-b682-005056c00001'),
('3b376c3b-e0b0-4c41-af8b-889c62158dab','新增','gljsa','ca6fcf94-35ec-4082-b417-54fb72e4023c',1,1,'2020-08-18 15:21:18','2020-09-17 17:00:26','df6650ed-e05e-11ea-b682-005056c00001'),
('3c16534b-70a7-4eb8-be78-b43705f9b309','查看','gljsv','ca6fcf94-35ec-4082-b417-54fb72e4023c',4,1,'2020-09-18 11:37:23','2020-09-28 08:03:28','df6650ed-e05e-11ea-b682-005056c00001'),
('42f0a820-f058-431e-9cb5-049af9a9441c','删除','glyhd','c122253b-1cc0-41f0-b770-f6ea5222f952',2,1,'2020-08-18 16:12:21','2020-09-17 16:59:39','df6650ed-e05e-11ea-b682-005056c00001'),
('543efc4f-5f91-4ef7-ae84-0f4df12919ee','新增','glyha','c122253b-1cc0-41f0-b770-f6ea5222f952',1,1,'2020-08-18 15:22:01','2020-09-17 16:59:33','df6650ed-e05e-11ea-b682-005056c00001'),
('648a546e-0d23-11eb-8347-005056c00001','修改','glxxe','10f8f8aa-0cef-11eb-8347-005056c00001',3,1,'2020-10-13 15:12:02','2020-10-13 15:12:02','df6650ed-e05e-11ea-b682-005056c00001'),
('67aba7b0-a98f-436d-9f1c-1c21bfeff735','删除','glmkd','3ff09fac-00ab-43d9-9b0a-6a940ba46ba5',2,1,'2020-08-18 16:13:51','2020-09-17 17:01:28','df6650ed-e05e-11ea-b682-005056c00001'),
('6b45c18b-0d23-11eb-8347-005056c00001','审核','glxxp','10f8f8aa-0cef-11eb-8347-005056c00001',4,1,'2020-10-13 15:12:13','2020-10-13 15:12:13','df6650ed-e05e-11ea-b682-005056c00001'),
('7318e44f-0d23-11eb-8347-005056c00001','取消审核','glxxu','10f8f8aa-0cef-11eb-8347-005056c00001',5,1,'2020-10-13 15:12:27','2020-10-13 15:12:27','df6650ed-e05e-11ea-b682-005056c00001'),
('7eb07033-0d23-11eb-8347-005056c00001','新增','gllja','2f9b5cc4-0cef-11eb-8347-005056c00001',1,1,'2020-10-13 15:12:46','2020-10-13 15:12:46','df6650ed-e05e-11ea-b682-005056c00001'),
('8368541c-f2f0-4120-aa84-52947c8bbc66','审核','glyhp','c122253b-1cc0-41f0-b770-f6ea5222f952',4,1,'2020-08-18 16:17:05','2020-09-17 16:59:56','df6650ed-e05e-11ea-b682-005056c00001'),
('873d21af-0d23-11eb-8347-005056c00001','删除','glljd','2f9b5cc4-0cef-11eb-8347-005056c00001',2,1,'2020-10-13 15:13:00','2020-10-13 15:13:00','df6650ed-e05e-11ea-b682-005056c00001'),
('897bbddc-7321-415b-9f8f-fa906798d989','删除','glptd','7aff5341-2383-46b4-9730-0de1ecd4cae6',2,1,'2020-08-18 16:12:41','2020-09-30 10:30:54','df6650ed-e05e-11ea-b682-005056c00001'),
('8ee2fb08-69a2-4f3c-a869-cfc7dba7fe4a','新增','glcsa','2267da40-7fa1-4cfc-a353-91996163d188',1,1,'2020-08-18 15:22:21','2020-09-17 16:58:29','df6650ed-e05e-11ea-b682-005056c00001'),
('9027d30c-0d23-11eb-8347-005056c00001','修改','gllje','2f9b5cc4-0cef-11eb-8347-005056c00001',3,1,'2020-10-13 15:13:15','2020-10-13 15:13:15','df6650ed-e05e-11ea-b682-005056c00001'),
('9131e4d0-1fb4-4f17-af14-f635d2429b6d','修改','gljse','ca6fcf94-35ec-4082-b417-54fb72e4023c',3,1,'2020-08-18 16:14:55','2020-09-17 17:00:37','df6650ed-e05e-11ea-b682-005056c00001'),
('96289ffc-0d23-11eb-8347-005056c00001','审核','glljp','2f9b5cc4-0cef-11eb-8347-005056c00001',4,1,'2020-10-13 15:13:25','2020-10-13 15:13:25','df6650ed-e05e-11ea-b682-005056c00001'),
('9c9d3722-827e-45d4-a5f3-39e4b1ca2685','删除','gland','879688bb-392b-4d37-8514-c80c33e589dd',2,1,'2020-08-18 16:13:16','2020-09-17 17:00:55','df6650ed-e05e-11ea-b682-005056c00001'),
('9d473d2c-0d23-11eb-8347-005056c00001','取消审核','gllju','2f9b5cc4-0cef-11eb-8347-005056c00001',5,1,'2020-10-13 15:13:37','2020-10-13 15:13:37','df6650ed-e05e-11ea-b682-005056c00001'),
('9ead15d1-5206-4dbe-a644-377a609f67bf','新增','glfla','d58d80f1-f737-46a1-b39c-51408e7e18ce',1,1,'2020-08-18 15:22:39','2020-09-17 16:59:05','df6650ed-e05e-11ea-b682-005056c00001'),
('a0fbc6bb-aa0c-413f-a065-8705f12f4e12','取消审核','glyhu','c122253b-1cc0-41f0-b770-f6ea5222f952',5,1,'2020-08-18 16:17:22','2020-09-17 17:00:02','df6650ed-e05e-11ea-b682-005056c00001'),
('a25d45c3-6b31-4fd1-95c1-4312e0996d55','新增','glana','879688bb-392b-4d37-8514-c80c33e589dd',1,1,'2020-08-18 15:20:57','2020-09-17 17:00:49','df6650ed-e05e-11ea-b682-005056c00001'),
('a5cdad01-0d23-11eb-8347-005056c00001','新增','ggzda','4dde339d-0cef-11eb-8347-005056c00001',1,1,'2020-10-13 15:13:52','2020-10-13 15:13:52','df6650ed-e05e-11ea-b682-005056c00001'),
('a85eff3f-c231-4ad5-8292-a6f245cd110c','修改','glcse','2267da40-7fa1-4cfc-a353-91996163d188',3,1,'2020-08-18 16:16:08','2020-09-17 16:58:50','df6650ed-e05e-11ea-b682-005056c00001'),
('ae181a70-e263-4fef-ad5a-376a3d73b9f2','新增','glpta','7aff5341-2383-46b4-9730-0de1ecd4cae6',1,1,'2020-08-18 15:21:39','2020-09-30 10:30:54','df6650ed-e05e-11ea-b682-005056c00001'),
('af86ade3-0d23-11eb-8347-005056c00001','删除','ggzdd','4dde339d-0cef-11eb-8347-005056c00001',2,1,'2020-10-13 15:14:08','2020-10-13 15:14:08','df6650ed-e05e-11ea-b682-005056c00001'),
('b64c2d45-0d23-11eb-8347-005056c00001','修改','ggzde','4dde339d-0cef-11eb-8347-005056c00001',3,1,'2020-10-13 15:14:19','2020-10-13 15:14:19','df6650ed-e05e-11ea-b682-005056c00001'),
('c4b24cfe-0d23-11eb-8347-005056c00001','审核','ggzdp','4dde339d-0cef-11eb-8347-005056c00001',4,1,'2020-10-13 15:14:43','2020-10-13 15:14:43','df6650ed-e05e-11ea-b682-005056c00001'),
('caaab55f-0d23-11eb-8347-005056c00001','取消审核','ggzdu','4dde339d-0cef-11eb-8347-005056c00001',5,1,'2020-10-13 15:14:54','2020-10-13 15:14:54','df6650ed-e05e-11ea-b682-005056c00001'),
('ce09a51e-92c7-4e28-839f-35a3cd2d99b5','删除','glfld','d58d80f1-f737-46a1-b39c-51408e7e18ce',2,1,'2020-08-18 15:22:59','2020-09-17 16:59:11','df6650ed-e05e-11ea-b682-005056c00001'),
('d3ffe9eb-0d23-11eb-8347-005056c00001','新增','glkha','d365224b-0cef-11eb-8347-005056c00001',1,1,'2020-10-13 15:15:09','2020-10-13 15:15:09','df6650ed-e05e-11ea-b682-005056c00001'),
('db1bf506-ede4-400f-9c60-fb4eab821bc2','取消审核','glptu','7aff5341-2383-46b4-9730-0de1ecd4cae6',5,1,'2020-08-18 16:17:41','2020-09-30 10:30:54','df6650ed-e05e-11ea-b682-005056c00001'),
('dbb8314b-0d23-11eb-8347-005056c00001','删除','glkhd','d365224b-0cef-11eb-8347-005056c00001',2,1,'2020-10-13 15:15:22','2020-10-13 15:15:22','df6650ed-e05e-11ea-b682-005056c00001'),
('e394ca13-0d23-11eb-8347-005056c00001','修改','glkhe','d365224b-0cef-11eb-8347-005056c00001',3,1,'2020-10-13 15:15:35','2020-10-13 15:15:35','df6650ed-e05e-11ea-b682-005056c00001'),
('e3d52b21-880c-4ca0-a212-9c6ac5a89a71','新增','glmka','3ff09fac-00ab-43d9-9b0a-6a940ba46ba5',1,1,'2020-08-18 15:20:33','2020-09-17 17:01:21','df6650ed-e05e-11ea-b682-005056c00001'),
('ea83f221-0d23-11eb-8347-005056c00001','审核','glkhp','d365224b-0cef-11eb-8347-005056c00001',4,1,'2020-10-13 15:15:47','2020-10-13 15:15:47','df6650ed-e05e-11ea-b682-005056c00001'),
('ebbc4bf5-913a-4caa-a399-356481883f19','修改','glmke','3ff09fac-00ab-43d9-9b0a-6a940ba46ba5',3,1,'2020-08-18 16:14:03','2020-09-17 17:01:33','df6650ed-e05e-11ea-b682-005056c00001'),
('f07862d3-0d23-11eb-8347-005056c00001','取消审核','glkhu','d365224b-0cef-11eb-8347-005056c00001',5,1,'2020-10-13 15:15:57','2020-10-13 15:15:57','df6650ed-e05e-11ea-b682-005056c00001'),
('f09b5088-829d-4f05-be4d-5cf04a5cc671','审核','glptp','7aff5341-2383-46b4-9730-0de1ecd4cae6',4,1,'2020-08-18 16:17:54','2020-09-30 10:30:54','df6650ed-e05e-11ea-b682-005056c00001'),
('f6dfd98f-6c75-4f83-8620-148daf27b945','修改','glyhe','c122253b-1cc0-41f0-b770-f6ea5222f952',3,1,'2020-08-18 16:15:46','2020-09-17 16:59:45','df6650ed-e05e-11ea-b682-005056c00001'),
('fc690c85-0d23-11eb-8347-005056c00001','新增','glsha','c96d8466-0cf0-11eb-8347-005056c00001',1,1,'2020-10-13 15:16:17','2020-10-13 15:16:17','df6650ed-e05e-11ea-b682-005056c00001');

/*Table structure for table `sys_module` */

DROP TABLE IF EXISTS `sys_module`;

CREATE TABLE `sys_module` (
  `mod_id` char(36) NOT NULL COMMENT '模块编号主键',
  `mod_name` varchar(30) NOT NULL COMMENT '模块名称',
  `mod_code` char(8) NOT NULL COMMENT '模块编码',
  `parent_id` char(36) NOT NULL COMMENT '父级编号',
  `sort` int(11) NOT NULL COMMENT '排序',
  `logo` varchar(50) NOT NULL COMMENT 'logo标识',
  `url` varchar(20) NOT NULL COMMENT '跳转地址',
  `data_status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '标识，1正常，2未审核，3删除',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `opt_user` char(36) NOT NULL COMMENT '最后操作人员编号',
  PRIMARY KEY (`mod_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='系统模块表';

/*Data for the table `sys_module` */

insert  into `sys_module`(`mod_id`,`mod_name`,`mod_code`,`parent_id`,`sort`,`logo`,`url`,`data_status`,`create_time`,`update_time`,`opt_user`) values 
('0b4f4ece-3836-4e78-a18a-d5d4153dd742','系统管理','10011000','00000000-0000-0000-0000-000000000000',1,'iconnav-system-set','',1,'2020-08-18 14:37:37','2020-09-17 16:16:12','df6650ed-e05e-11ea-b682-005056c00001'),
('10f8f8aa-0cef-11eb-8347-005056c00001','管理信息','10021101','fdba85a5-0cee-11eb-8347-005056c00001',1,'iconfile','content',1,'2020-10-13 08:57:28','2020-10-13 08:57:28','df6650ed-e05e-11ea-b682-005056c00001'),
('2267da40-7fa1-4cfc-a353-91996163d188','选项管理','10011006','0b4f4ece-3836-4e78-a18a-d5d4153dd742',1,'iconconfig-safe','options',1,'2020-08-18 15:00:50','2020-09-17 16:16:19','df6650ed-e05e-11ea-b682-005056c00001'),
('2f9b5cc4-0cef-11eb-8347-005056c00001','友情链接','10021102','fdba85a5-0cee-11eb-8347-005056c00001',2,'iconbangding','link',1,'2020-10-13 08:58:20','2020-10-13 08:58:20','df6650ed-e05e-11ea-b682-005056c00001'),
('3ff09fac-00ab-43d9-9b0a-6a940ba46ba5','模块管理','10011002','0b4f4ece-3836-4e78-a18a-d5d4153dd742',7,'iconapp','modules',1,'2020-08-18 14:51:43','2020-09-30 10:02:53','df6650ed-e05e-11ea-b682-005056c00001'),
('4dde339d-0cef-11eb-8347-005056c00001','广告征订','10021103','fdba85a5-0cee-11eb-8347-005056c00001',3,'iconorder-pending','ad-order',1,'2020-10-13 08:59:10','2020-10-16 08:10:30','df6650ed-e05e-11ea-b682-005056c00001'),
('7aff5341-2383-46b4-9730-0de1ecd4cae6','平台管理','10011001','0b4f4ece-3836-4e78-a18a-d5d4153dd742',8,'iconinspection','platforms',1,'2020-08-18 15:00:19','2020-09-30 10:30:54','df6650ed-e05e-11ea-b682-005056c00001'),
('879688bb-392b-4d37-8514-c80c33e589dd','按钮管理','10011003','0b4f4ece-3836-4e78-a18a-d5d4153dd742',6,'iconbackup-hm','buttons',1,'2020-08-18 14:52:09','2020-09-30 10:02:56','df6650ed-e05e-11ea-b682-005056c00001'),
('96f87666-0cef-11eb-8347-005056c00001','客户管理','10031200','00000000-0000-0000-0000-000000000000',3,'iconuser-primary','',1,'2020-10-13 09:01:13','2020-10-13 09:14:43','df6650ed-e05e-11ea-b682-005056c00001'),
('a0973112-02c5-11eb-ab6e-005056c00001','个人资料','10011005','0b4f4ece-3836-4e78-a18a-d5d4153dd742',3,'iconnav-account-manage','personal',1,'2020-09-30 10:35:39','2020-09-30 10:35:39','df6650ed-e05e-11ea-b682-005056c00001'),
('b041a959-0cf0-11eb-8347-005056c00001','服务商管理','10041300','00000000-0000-0000-0000-000000000000',4,'iconstaff','',1,'2020-10-13 09:09:05','2020-10-13 09:14:50','df6650ed-e05e-11ea-b682-005056c00001'),
('c122253b-1cc0-41f0-b770-f6ea5222f952','用户管理','10011005','0b4f4ece-3836-4e78-a18a-d5d4153dd742',4,'iconorder-mine','users',1,'2020-08-18 15:00:34','2020-09-30 10:03:06','df6650ed-e05e-11ea-b682-005056c00001'),
('c96d8466-0cf0-11eb-8347-005056c00001','管理服务商','10041301','b041a959-0cf0-11eb-8347-005056c00001',1,'iconcommunity','provider',1,'2020-10-13 09:09:47','2020-10-13 09:14:54','df6650ed-e05e-11ea-b682-005056c00001'),
('ca6fcf94-35ec-4082-b417-54fb72e4023c','角色管理','10011004','0b4f4ece-3836-4e78-a18a-d5d4153dd742',5,'iconview-authority','roles',1,'2020-08-18 14:52:26','2020-09-30 10:03:00','df6650ed-e05e-11ea-b682-005056c00001'),
('d365224b-0cef-11eb-8347-005056c00001','管理客户','10031201','96f87666-0cef-11eb-8347-005056c00001',1,'iconuser-sec','customer',1,'2020-10-13 09:02:54','2020-10-13 09:14:47','df6650ed-e05e-11ea-b682-005056c00001'),
('d58d80f1-f737-46a1-b39c-51408e7e18ce','分类管理','10011007','0b4f4ece-3836-4e78-a18a-d5d4153dd742',2,'iconmib','types',1,'2020-08-18 15:01:07','2020-09-17 16:16:22','df6650ed-e05e-11ea-b682-005056c00001'),
('fdba85a5-0cee-11eb-8347-005056c00001','信息管理','10021100','00000000-0000-0000-0000-000000000000',2,'iconnav-event-center','',1,'2020-10-13 08:56:56','2020-10-13 08:56:56','df6650ed-e05e-11ea-b682-005056c00001');

/*Table structure for table `sys_option` */

DROP TABLE IF EXISTS `sys_option`;

CREATE TABLE `sys_option` (
  `opt_id` char(36) NOT NULL COMMENT '数据编号主键',
  `opt_name` varchar(50) NOT NULL COMMENT '数据名称',
  `opt_code` varchar(10) NOT NULL COMMENT '数据编码',
  `kind` char(36) NOT NULL COMMENT '数据种类',
  `sort` int(11) NOT NULL COMMENT '排序',
  `pinyin` varchar(150) NOT NULL COMMENT '名称全拼',
  `jianpin` varchar(50) NOT NULL COMMENT '名称简拼',
  `data_status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '标识，1正常，2未审核，3删除',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `opt_user` char(36) NOT NULL COMMENT '最后操作人员',
  PRIMARY KEY (`opt_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='系统数据表';

/*Data for the table `sys_option` */

insert  into `sys_option`(`opt_id`,`opt_name`,`opt_code`,`kind`,`sort`,`pinyin`,`jianpin`,`data_status`,`create_time`,`update_time`,`opt_user`) values 
('00000000-0000-0000-0000-000000000000','选项种类','9999','00000000-0000-0000-0000-000000000000',9999,'xuanxiangzhonglei','xxzl',1,'2020-09-28 11:35:57','2020-09-28 11:35:57','df6650ed-e05e-11ea-b682-005056c00001'),
('00c87c53-1431-11eb-936e-005056c00001','体育','10401','024b987b-142c-11eb-936e-005056c00001',1,'tiyu','ty',1,'2020-10-22 14:37:06','2020-10-22 14:37:06','df6650ed-e05e-11ea-b682-005056c00001'),
('024b987b-142c-11eb-936e-005056c00001','信息标签','104','00000000-0000-0000-0000-000000000000',4,'xinxibiaoqian','xxbq',1,'2020-10-22 14:01:21','2020-11-24 08:30:05','df6650ed-e05e-11ea-b682-005056c00001'),
('0578ca64-0f7a-11eb-91e6-005056c00001','一级会员','020201','dc0b0539-0f79-11eb-91e6-005056c00001',1,'yijihuiyuan','yjhy',3,'2020-10-16 14:37:11','2020-10-22 14:31:52','df6650ed-e05e-11ea-b682-005056c00001'),
('06a5050d-247f-11eb-b254-005056c00001','test1','test1','334e53e7-06ff-4195-bd13-d2d06d60cff3',111,'test1','test1',3,'2020-11-12 08:35:55','2020-11-12 08:37:50','df6650ed-e05e-11ea-b682-005056c00001'),
('0aa7f185-1431-11eb-936e-005056c00001','新闻','10402','024b987b-142c-11eb-936e-005056c00001',2,'xinwen','xw',1,'2020-10-22 14:37:22','2020-10-22 14:37:22','df6650ed-e05e-11ea-b682-005056c00001'),
('1e7e8cb6-680a-4d33-8488-6d64bcdbcb26','部门经理','04','93b6512e-e405-4559-9c22-1658a24b8edf',4,'bumenjingli','bmjl',1,'2020-09-21 14:00:59','2020-09-28 08:02:02','df6650ed-e05e-11ea-b682-005056c00001'),
('245929b3-1431-11eb-936e-005056c00001','蒙娜丽莎本莎','10403','024b987b-142c-11eb-936e-005056c00001',3,'mengnalishabensha','mnlsbs',1,'2020-10-22 14:38:06','2020-10-22 14:38:06','df6650ed-e05e-11ea-b682-005056c00001'),
('2df9543a-2dec-11eb-8772-005056c00001','链接种类','105','00000000-0000-0000-0000-000000000000',5,'lianjiezhonglei','ljzl',1,'2020-11-24 08:29:57','2020-11-24 08:30:08','df6650ed-e05e-11ea-b682-005056c00001'),
('334e53e7-06ff-4195-bd13-d2d06d60cff3','信息样式','102','00000000-0000-0000-0000-000000000000',2,'xinxiyangshi','xxys',1,'2020-09-21 14:10:11','2020-11-17 17:29:43','df6650ed-e05e-11ea-b682-005056c00001'),
('406a2cb8-1431-11eb-936e-005056c00001','魂斗罗','10404','024b987b-142c-11eb-936e-005056c00001',4,'hundouluo','hdl',1,'2020-10-22 14:38:53','2020-10-22 14:38:53','df6650ed-e05e-11ea-b682-005056c00001'),
('446c1e06-28ba-11eb-8165-005056c00001','样式二','10202','334e53e7-06ff-4195-bd13-d2d06d60cff3',2,'yangshier','yse',1,'2020-11-17 17:50:04','2020-11-17 17:50:04','df6650ed-e05e-11ea-b682-005056c00001'),
('44f1d442-e5dd-400f-a023-2e94bdb7698f','部门组长','05','93b6512e-e405-4559-9c22-1658a24b8edf',5,'bumenzuzhang','bmzz',1,'2020-09-21 14:01:11','2020-09-28 08:02:02','df6650ed-e05e-11ea-b682-005056c00001'),
('4b81e174-28ba-11eb-8165-005056c00001','样式三','10203','334e53e7-06ff-4195-bd13-d2d06d60cff3',3,'yangshisan','yss',1,'2020-11-17 17:50:16','2020-11-17 17:50:16','df6650ed-e05e-11ea-b682-005056c00001'),
('4c2ff539-1431-11eb-936e-005056c00001','爱养牛','10405','024b987b-142c-11eb-936e-005056c00001',5,'aiyangniu','ayn',1,'2020-10-22 14:39:12','2020-10-22 14:39:36','df6650ed-e05e-11ea-b682-005056c00001'),
('556a003f-1431-11eb-936e-005056c00001','什么是什么','10406','024b987b-142c-11eb-936e-005056c00001',6,'shenmeshishenme','smssm',1,'2020-10-22 14:39:28','2020-10-22 14:39:28','df6650ed-e05e-11ea-b682-005056c00001'),
('5a4239dc-2dec-11eb-8772-005056c00001','通用链接种类','10501','2df9543a-2dec-11eb-8772-005056c00001',1,'tongyonglianjiezhonglei','tyljzl',1,'2020-11-24 08:31:11','2020-11-24 08:31:11','df6650ed-e05e-11ea-b682-005056c00001'),
('5ab1f7cf-549b-48d8-be49-ca3706aeaf94','信息分类','02','6182f8bf-4059-41da-a791-5222cf5b7c3d',2,'xinxifenlei','xxfl',1,'2020-09-21 18:12:23','2020-09-28 08:02:02','df6650ed-e05e-11ea-b682-005056c00001'),
('6182f8bf-4059-41da-a791-5222cf5b7c3d','分类种类','101','00000000-0000-0000-0000-000000000000',1,'fenleizhonglei','flzl',1,'2020-09-21 14:04:53','2020-09-29 10:54:33','df6650ed-e05e-11ea-b682-005056c00001'),
('688033e1-a6a5-4f60-9b42-dcbd8b8a1b50','总经理','02','93b6512e-e405-4559-9c22-1658a24b8edf',2,'zongjingli','zjl',1,'2020-09-21 14:00:38','2020-09-28 08:02:02','df6650ed-e05e-11ea-b682-005056c00001'),
('7cbbb08b-28b7-11eb-8165-005056c00001','样式一','10201','334e53e7-06ff-4195-bd13-d2d06d60cff3',1,'yangshiyi','ysy',1,'2020-11-17 17:30:10','2020-11-17 17:30:10','df6650ed-e05e-11ea-b682-005056c00001'),
('811e03b4-171d-42fb-98d4-14f561714605','部门分类','01','6182f8bf-4059-41da-a791-5222cf5b7c3d',1,'bumenfenlei','bmfl',1,'2020-09-21 14:31:56','2020-09-21 18:11:46','df6650ed-e05e-11ea-b682-005056c00001'),
('8b36e4d8-0f7a-11eb-91e6-005056c00001','二级会员','020202','dc0b0539-0f79-11eb-91e6-005056c00001',2,'erjihuiyuan','ejhy',3,'2020-10-16 14:40:56','2020-10-22 14:31:52','df6650ed-e05e-11ea-b682-005056c00001'),
('93b6512e-e405-4559-9c22-1658a24b8edf','职务种类','103','00000000-0000-0000-0000-000000000000',3,'zhiwuzhonglei','zwzl',1,'2020-09-21 11:26:12','2020-09-21 14:29:36','df6650ed-e05e-11ea-b682-005056c00001'),
('986b56f3-247f-11eb-b254-005056c00001','test1','test1','334e53e7-06ff-4195-bd13-d2d06d60cff3',1111,'test1','test1',3,'2020-11-12 08:40:00','2020-11-12 08:40:15','df6650ed-e05e-11ea-b682-005056c00001'),
('a6039ce7-0f7b-11eb-91e6-005056c00001','三级会员','020203','dc0b0539-0f79-11eb-91e6-005056c00001',3,'sanjihuiyuan','sjhy',3,'2020-10-16 14:48:50','2020-10-22 14:31:52','df6650ed-e05e-11ea-b682-005056c00001'),
('c08969bb-c7e1-42ad-a9cc-f5553a428d25','副总经理','03','93b6512e-e405-4559-9c22-1658a24b8edf',3,'fuzongjingli','fzjl',1,'2020-09-21 14:00:49','2020-09-28 08:02:02','df6650ed-e05e-11ea-b682-005056c00001'),
('d3fc469c-84f4-497c-822c-8bf0313fae30','普通职员','06','93b6512e-e405-4559-9c22-1658a24b8edf',6,'putongzhiyuan','ptzy',1,'2020-09-21 14:01:21','2020-09-28 08:02:02','df6650ed-e05e-11ea-b682-005056c00001'),
('dc0b0539-0f79-11eb-91e6-005056c00001','会员级别','0202','00000000-0000-0000-0000-000000000000',5,'huiyuanjibie','hyjb',3,'2020-10-16 14:36:02','2020-10-22 14:31:52','df6650ed-e05e-11ea-b682-005056c00001'),
('f4d123c4-34e4-4c46-a907-0934569ba344','董事长','01','93b6512e-e405-4559-9c22-1658a24b8edf',1,'dongshizhang','dsz',1,'2020-09-21 13:57:16','2020-09-28 08:02:02','df6650ed-e05e-11ea-b682-005056c00001');

/*Table structure for table `sys_relation` */

DROP TABLE IF EXISTS `sys_relation`;

CREATE TABLE `sys_relation` (
  `rel_id` char(36) NOT NULL COMMENT '关联编号',
  `src_id` char(36) NOT NULL COMMENT '源编号',
  `dst_id` char(36) NOT NULL COMMENT '目的编号',
  `kind` tinyint(4) NOT NULL COMMENT '种类',
  `sort` int(11) NOT NULL COMMENT '排序',
  `data_status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '标识，1正常，2未审核，3删除',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `opt_user` char(36) NOT NULL COMMENT '最后操作人员编号',
  PRIMARY KEY (`rel_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='通用关联表';

/*Data for the table `sys_relation` */

/*Table structure for table `sys_role` */

DROP TABLE IF EXISTS `sys_role`;

CREATE TABLE `sys_role` (
  `role_id` char(36) NOT NULL COMMENT '角色编号主键',
  `role_name` varchar(50) NOT NULL COMMENT '角色名称',
  `display` tinyint(1) NOT NULL COMMENT '是否显示，1是，2否',
  `mod_codes` text NOT NULL COMMENT '模块编码串',
  `btn_codes` text NOT NULL COMMENT '按钮编码串',
  `data_status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '标识，1正常，2未审核，3删除',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `opt_user` char(36) NOT NULL COMMENT '最后操作人员',
  PRIMARY KEY (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='系统角色表';

/*Data for the table `sys_role` */

insert  into `sys_role`(`role_id`,`role_name`,`display`,`mod_codes`,`btn_codes`,`data_status`,`create_time`,`update_time`,`opt_user`) values 
('5187b009-254e-11eb-8db0-005056c00001','测试角色1',2,'10011006,10011007','glcsa,glfld,glfle',1,'2020-11-13 09:19:47','2020-11-13 09:31:38','df6650ed-e05e-11ea-b682-005056c00001'),
('bd61164f-f2b1-49a4-941c-02b322f3ebaf','添加测试角色',1,'10011000,10011006,10011007,10011005,10011005,10011004,10011003,10011002,10011001','glcsa,glcsd,glfla,glfld,glfle,glyhd,glyha,glyhe',1,'2020-09-18 11:34:50','2020-11-13 09:31:33','df6650ed-e05e-11ea-b682-005056c00001'),
('df6650ed-e05e-11ea-b682-005056c00002','系统管理角色',2,'10011006,10011007,10011005,10011004,10011003,10011002,10011001,10011000,10021101,10021102,10021103,10021100,10031201,10031200,10041301,10041300','glmka,glmkd,glmke,glana,gland,glane,gljsa,gljsd,gljse,gljsv,glpta,glptd,glpte,glptp,glptu,glyha,glyhd,glyhe,glyhp,glyhu,glyhv,glcsa,glcsd,blcse,glfla,glfld,glfle,glcse,glxxa,glxxd,glxxe,glxxp,glxxu,gllju,glljp,gllje,glljd,gllja,ggzda,ggzdd,ggzde,ggzdp,ggzdu,glkhu,glkhp,glkhe,glkhd,glkha,glsha,glshd,glshe,glshp,glshu',1,'2020-08-17 16:00:37','2020-10-14 08:44:54','df6650ed-e05e-11ea-b682-005056c00001');

/*Table structure for table `sys_type` */

DROP TABLE IF EXISTS `sys_type`;

CREATE TABLE `sys_type` (
  `type_id` char(36) NOT NULL COMMENT '类型编号主键',
  `type_name` varchar(50) NOT NULL COMMENT '类型名称',
  `type_code` varchar(20) NOT NULL COMMENT '类型编码',
  `kind` char(36) NOT NULL COMMENT '类型种类',
  `parent_id` char(36) NOT NULL COMMENT '父级编号',
  `sort` int(11) NOT NULL COMMENT '排序',
  `pinyin` varchar(255) NOT NULL COMMENT '名称全拼',
  `jianpin` varchar(50) NOT NULL COMMENT '名称简拼',
  `data_status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '标识，1正常，2未审核，3删除',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `opt_user` char(36) NOT NULL COMMENT '最后操作人员编号',
  PRIMARY KEY (`type_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='系统通用分类表';

/*Data for the table `sys_type` */

insert  into `sys_type`(`type_id`,`type_name`,`type_code`,`kind`,`parent_id`,`sort`,`pinyin`,`jianpin`,`data_status`,`create_time`,`update_time`,`opt_user`) values 
('1de954f4-5a09-43aa-8c66-55957f206ed0','财务部','02','811e03b4-171d-42fb-98d4-14f561714605','00000000-0000-0000-0000-000000000000',2,'caiwubu','cwb',1,'2020-09-22 08:26:04','2020-09-22 11:14:52','df6650ed-e05e-11ea-b682-005056c00001'),
('22c57eb4-2884-11eb-8165-005056c00001','资讯头条','020201','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','656899e3-2883-11eb-8165-005056c00001',1,'zixuntoutiao','zxtt',1,'2020-11-17 11:22:34','2020-11-17 11:22:34','df6650ed-e05e-11ea-b682-005056c00001'),
('22db8be5-2887-11eb-8165-005056c00001','电话导购','020603','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','5ba2b460-2886-11eb-8165-005056c00001',3,'dianhuadaogou','dhdg',1,'2020-11-17 11:44:03','2020-11-17 11:44:03','df6650ed-e05e-11ea-b682-005056c00001'),
('324dbae3-2883-11eb-8165-005056c00001','关于我们','0201','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','00000000-0000-0000-0000-000000000000',1,'guanyuwomen','gywm',1,'2020-11-17 11:15:51','2020-11-17 11:15:51','df6650ed-e05e-11ea-b682-005056c00001'),
('33759aff-ac35-41ee-9c1f-2fbfd9780695','产品部','0601','811e03b4-171d-42fb-98d4-14f561714605','4fc9d825-7e2e-462e-ae4d-5a46e1656efa',1,'chanpinbu','cpb',1,'2020-09-22 08:44:18','2020-09-28 08:02:19','df6650ed-e05e-11ea-b682-005056c00001'),
('38577573-2886-11eb-8165-005056c00001','售后咨询','020501','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','eed03545-2885-11eb-8165-005056c00001',1,'shouhouzixun','shzx',1,'2020-11-17 11:37:30','2020-11-17 11:37:30','df6650ed-e05e-11ea-b682-005056c00001'),
('3c05d162-2883-11eb-8165-005056c00001','关于我们','020101','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','324dbae3-2883-11eb-8165-005056c00001',1,'guanyuwomen','gywm',1,'2020-11-17 11:16:07','2020-11-24 08:33:02','df6650ed-e05e-11ea-b682-005056c00001'),
('3ec64810-2886-11eb-8165-005056c00001','退款说明','020502','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','eed03545-2885-11eb-8165-005056c00001',2,'tuikuanshuoming','tksm',1,'2020-11-17 11:37:40','2020-11-17 11:37:40','df6650ed-e05e-11ea-b682-005056c00001'),
('45262655-2886-11eb-8165-005056c00001','退货流程','020503','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','eed03545-2885-11eb-8165-005056c00001',3,'tuihuoliucheng','thlc',1,'2020-11-17 11:37:51','2020-11-17 11:37:51','df6650ed-e05e-11ea-b682-005056c00001'),
('46ca79cf-2883-11eb-8165-005056c00001','联系我们','020102','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','324dbae3-2883-11eb-8165-005056c00001',2,'lianxiwomen','lxwm',1,'2020-11-17 11:16:25','2020-11-17 11:17:23','df6650ed-e05e-11ea-b682-005056c00001'),
('47cc6aae-2887-11eb-8165-005056c00001','技术服务','020604','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','5ba2b460-2886-11eb-8165-005056c00001',4,'jishufuwu','jsfw',1,'2020-11-17 11:45:05','2020-11-17 11:45:05','df6650ed-e05e-11ea-b682-005056c00001'),
('4d42e980-2883-11eb-8165-005056c00001','合作交流','020103','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','324dbae3-2883-11eb-8165-005056c00001',3,'hezuojiaoliu','hzjl',1,'2020-11-17 11:16:36','2020-11-17 11:17:26','df6650ed-e05e-11ea-b682-005056c00001'),
('4f97565a-2886-11eb-8165-005056c00001','退/换货进度流程','020504','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','eed03545-2885-11eb-8165-005056c00001',4,'tui/huanhuojinduliucheng','t/hhjdlc',1,'2020-11-17 11:38:09','2020-11-17 11:38:09','df6650ed-e05e-11ea-b682-005056c00001'),
('4fc9d825-7e2e-462e-ae4d-5a46e1656efa','技术中心','06','811e03b4-171d-42fb-98d4-14f561714605','00000000-0000-0000-0000-000000000000',6,'jishuzhongxin','jszx',1,'2020-09-22 08:41:22','2020-09-28 08:02:19','df6650ed-e05e-11ea-b682-005056c00001'),
('54fb8c79-2887-11eb-8165-005056c00001','会员等级','020605','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','5ba2b460-2886-11eb-8165-005056c00001',5,'huiyuandengji','hydj',1,'2020-11-17 11:45:27','2020-11-17 11:45:27','df6650ed-e05e-11ea-b682-005056c00001'),
('55972508-2883-11eb-8165-005056c00001','招贤纳士','020104','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','324dbae3-2883-11eb-8165-005056c00001',4,'zhaoxiannashi','zxns',1,'2020-11-17 11:16:50','2020-11-17 11:17:32','df6650ed-e05e-11ea-b682-005056c00001'),
('565c3fdf-2885-11eb-8165-005056c00001','新用户注册','020301','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','89aa1ce5-2884-11eb-8165-005056c00001',1,'xinyonghuzhuce','xyhzc',1,'2020-11-17 11:31:10','2020-11-17 11:31:10','df6650ed-e05e-11ea-b682-005056c00001'),
('5b06e8a7-97dc-4904-8fee-f4737194d0cd','总裁办','01','811e03b4-171d-42fb-98d4-14f561714605','00000000-0000-0000-0000-000000000000',1,'zongcaiban','zcb',1,'2020-09-22 07:50:53','2020-09-29 11:05:01','df6650ed-e05e-11ea-b682-005056c00001'),
('5ba2b460-2886-11eb-8165-005056c00001','特色服务','0206','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','00000000-0000-0000-0000-000000000000',6,'tesefuwu','tsfw',1,'2020-11-17 11:38:29','2020-11-17 11:38:29','df6650ed-e05e-11ea-b682-005056c00001'),
('5d68db6c-2885-11eb-8165-005056c00001','账号管理','020302','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','89aa1ce5-2884-11eb-8165-005056c00001',2,'zhanghaoguanli','zhgl',1,'2020-11-17 11:31:22','2020-11-17 11:31:22','df6650ed-e05e-11ea-b682-005056c00001'),
('5d8b3ef6-3c51-4e81-965d-b639253f565e','项目部','0602','811e03b4-171d-42fb-98d4-14f561714605','4fc9d825-7e2e-462e-ae4d-5a46e1656efa',2,'xiangmubu','xmb',1,'2020-09-22 08:44:53','2020-09-22 09:42:10','df6650ed-e05e-11ea-b682-005056c00001'),
('5ff0946c-2887-11eb-8165-005056c00001','商家合作','0207','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','00000000-0000-0000-0000-000000000000',7,'shangjiahezuo','sjhz',1,'2020-11-17 11:45:46','2020-11-17 11:45:46','df6650ed-e05e-11ea-b682-005056c00001'),
('6430a4c6-2885-11eb-8165-005056c00001','购买流程','020303','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','89aa1ce5-2884-11eb-8165-005056c00001',3,'goumailiucheng','gmlc',1,'2020-11-17 11:31:34','2020-11-17 11:31:44','df6650ed-e05e-11ea-b682-005056c00001'),
('656899e3-2883-11eb-8165-005056c00001','新闻资讯','0202','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','00000000-0000-0000-0000-000000000000',2,'xinwenzixun','xwzx',1,'2020-11-17 11:17:17','2020-11-17 11:17:17','df6650ed-e05e-11ea-b682-005056c00001'),
('662a04c7-2886-11eb-8165-005056c00001','在线直播','020601','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','5ba2b460-2886-11eb-8165-005056c00001',1,'zaixianzhibo','zxzb',1,'2020-11-17 11:38:46','2020-11-17 11:38:46','df6650ed-e05e-11ea-b682-005056c00001'),
('688471f3-2887-11eb-8165-005056c00001','入驻流程','020701','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','5ff0946c-2887-11eb-8165-005056c00001',1,'ruzhuliucheng','rzlc',1,'2020-11-17 11:46:00','2020-11-17 11:46:00','df6650ed-e05e-11ea-b682-005056c00001'),
('6e9264db-2886-11eb-8165-005056c00001','代运营服务','020602','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','5ba2b460-2886-11eb-8165-005056c00001',2,'daiyunyingfuwu','dyyfw',1,'2020-11-17 11:39:01','2020-11-17 11:39:01','df6650ed-e05e-11ea-b682-005056c00001'),
('70fbc65f-2887-11eb-8165-005056c00001','收费标准','020702','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','5ff0946c-2887-11eb-8165-005056c00001',2,'shoufeibiaozhun','sfbz',1,'2020-11-17 11:46:14','2020-11-17 11:46:14','df6650ed-e05e-11ea-b682-005056c00001'),
('72147337-2885-11eb-8165-005056c00001','配送方式','020304','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','89aa1ce5-2884-11eb-8165-005056c00001',4,'peisongfangshi','psfs',1,'2020-11-17 11:31:57','2020-11-17 11:31:57','df6650ed-e05e-11ea-b682-005056c00001'),
('78d0f1c7-2885-11eb-8165-005056c00001','用户权益','020305','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','89aa1ce5-2884-11eb-8165-005056c00001',5,'yonghuquanyi','yhqy',1,'2020-11-17 11:32:08','2020-11-17 11:32:08','df6650ed-e05e-11ea-b682-005056c00001'),
('79bb9282-71fd-4007-b49a-4d6e4b75c045','销售部','04','811e03b4-171d-42fb-98d4-14f561714605','00000000-0000-0000-0000-000000000000',4,'xiaoshoubu','xsb',1,'2020-09-22 08:40:15','2020-09-28 08:02:19','df6650ed-e05e-11ea-b682-005056c00001'),
('7a62fc8e-2887-11eb-8165-005056c00001','商品发布','020703','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','5ff0946c-2887-11eb-8165-005056c00001',3,'shangpinfabu','spfb',1,'2020-11-17 11:46:30','2020-11-17 11:46:30','df6650ed-e05e-11ea-b682-005056c00001'),
('8065f933-2885-11eb-8165-005056c00001','支付方式','0204','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','00000000-0000-0000-0000-000000000000',4,'zhifufangshi','zffs',1,'2020-11-17 11:32:21','2020-11-17 11:32:21','df6650ed-e05e-11ea-b682-005056c00001'),
('89aa1ce5-2884-11eb-8165-005056c00001','购买指南','0203','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','00000000-0000-0000-0000-000000000000',3,'goumaizhinan','gmzn',1,'2020-11-17 11:25:27','2020-11-17 11:25:45','df6650ed-e05e-11ea-b682-005056c00001'),
('94e83673-2885-11eb-8165-005056c00001','行业资讯','020202','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','656899e3-2883-11eb-8165-005056c00001',2,'xingyezixun','xyzx',1,'2020-11-17 11:32:55','2020-11-17 11:32:55','df6650ed-e05e-11ea-b682-005056c00001'),
('9a11d717-a9e7-491f-b111-774e31033728','采购部','05','811e03b4-171d-42fb-98d4-14f561714605','00000000-0000-0000-0000-000000000000',5,'caigoubu','cgb',1,'2020-09-22 08:40:59','2020-09-28 08:02:19','df6650ed-e05e-11ea-b682-005056c00001'),
('9c8bbd05-2885-11eb-8165-005056c00001','通知公告','020203','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','656899e3-2883-11eb-8165-005056c00001',3,'tongzhigonggao','tzgg',1,'2020-11-17 11:33:08','2020-11-17 11:33:08','df6650ed-e05e-11ea-b682-005056c00001'),
('ad9b34c9-2885-11eb-8165-005056c00001','在线支付','020401','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','8065f933-2885-11eb-8165-005056c00001',1,'zaixianzhifu','zxzf',1,'2020-11-17 11:33:37','2020-11-17 11:33:37','df6650ed-e05e-11ea-b682-005056c00001'),
('c4959a6f-2887-11eb-8165-005056c00001','商家中心','020704','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','5ff0946c-2887-11eb-8165-005056c00001',4,'shangjiazhongxin','sjzx',1,'2020-11-17 11:48:34','2020-11-17 11:48:34','df6650ed-e05e-11ea-b682-005056c00001'),
('d2ce44ee-40fd-475b-92db-685f70895d8e','市场部','03','811e03b4-171d-42fb-98d4-14f561714605','00000000-0000-0000-0000-000000000000',3,'shichangbu','scb',1,'2020-09-22 08:40:00','2020-09-28 08:02:19','df6650ed-e05e-11ea-b682-005056c00001'),
('d7395979-2885-11eb-8165-005056c00001','账期支付','020402','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','8065f933-2885-11eb-8165-005056c00001',2,'zhangqizhifu','zqzf',1,'2020-11-17 11:34:47','2020-11-17 11:34:47','df6650ed-e05e-11ea-b682-005056c00001'),
('dc93832d-2c09-43ad-b747-31b706562306','采购一部','0501','811e03b4-171d-42fb-98d4-14f561714605','9a11d717-a9e7-491f-b111-774e31033728',1,'caigouyibu','cgyb',1,'2020-09-22 08:41:45','2020-09-28 08:02:19','df6650ed-e05e-11ea-b682-005056c00001'),
('df907b3d-2885-11eb-8165-005056c00001','货到付款','020403','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','8065f933-2885-11eb-8165-005056c00001',3,'huodaofukuan','hdfk',1,'2020-11-17 11:35:01','2020-11-17 11:35:01','df6650ed-e05e-11ea-b682-005056c00001'),
('e7f3d22e-2885-11eb-8165-005056c00001','公司转账','020404','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','8065f933-2885-11eb-8165-005056c00001',4,'gongsizhuanzhang','gszz',1,'2020-11-17 11:35:15','2020-11-17 11:35:15','df6650ed-e05e-11ea-b682-005056c00001'),
('eed03545-2885-11eb-8165-005056c00001','售后服务','0205','5ab1f7cf-549b-48d8-be49-ca3706aeaf94','00000000-0000-0000-0000-000000000000',5,'shouhoufuwu','shfw',1,'2020-11-17 11:35:26','2020-11-17 11:35:26','df6650ed-e05e-11ea-b682-005056c00001'),
('f32c1a69-812e-43d7-afbc-00acbb23c57d','采购二部','0502','811e03b4-171d-42fb-98d4-14f561714605','9a11d717-a9e7-491f-b111-774e31033728',2,'caigouerbu','cgeb',1,'2020-09-22 08:43:54','2020-09-28 08:02:19','df6650ed-e05e-11ea-b682-005056c00001');

/*Table structure for table `sys_user` */

DROP TABLE IF EXISTS `sys_user`;

CREATE TABLE `sys_user` (
  `user_id` char(36) NOT NULL COMMENT '用户编号主键',
  `usname` varchar(30) NOT NULL COMMENT '登录账号',
  `passwd` char(32) NOT NULL COMMENT '登录密码',
  `nick_name` varchar(50) NOT NULL COMMENT '用户昵称',
  `mobile` char(11) NOT NULL COMMENT '手机号码',
  `role_id` char(36) NOT NULL COMMENT '角色编号',
  `org_id` char(36) NOT NULL COMMENT '组织编号',
  `duty_id` char(36) NOT NULL COMMENT '职务编号',
  `kind` tinyint(1) NOT NULL DEFAULT '1' COMMENT '用户种类，1正常用户，2隐藏用户',
  `plat_codes` text NOT NULL COMMENT '平台编码串',
  `data_status` tinyint(1) NOT NULL DEFAULT '2' COMMENT '标识，1正常，3删除',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `opt_user` char(36) NOT NULL COMMENT '最后操作人员',
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='系统用户表';

/*Data for the table `sys_user` */

insert  into `sys_user`(`user_id`,`usname`,`passwd`,`nick_name`,`mobile`,`role_id`,`org_id`,`duty_id`,`kind`,`plat_codes`,`data_status`,`create_time`,`update_time`,`opt_user`) values 
('391fb66f-feef-474a-8b68-c032a5836273','liushy','873A94594078A456751E334D0A716A86','刘诗雅','15904711671','bd61164f-f2b1-49a4-941c-02b322f3ebaf','5d8b3ef6-3c51-4e81-965d-b639253f565e','d3fc469c-84f4-497c-822c-8bf0313fae30',1,'1001,1002,1003',1,'2020-09-22 17:57:07','2020-11-16 10:31:49','7c24ca3d-258d-11eb-8db0-005056c00001'),
('7c24ca3d-258d-11eb-8db0-005056c00001','xiaohei','873A94594078A456751E334D0A716A86','小黑','13948191252','bd61164f-f2b1-49a4-941c-02b322f3ebaf','79bb9282-71fd-4007-b49a-4d6e4b75c045','d3fc469c-84f4-497c-822c-8bf0313fae30',1,'1001,1002',1,'2020-11-13 16:51:56','2020-11-16 10:31:49','7c24ca3d-258d-11eb-8db0-005056c00001'),
('df6650ed-e05e-11ea-b682-005056c00001','sysadmin','873A94594078A456751E334D0A716A86','系统超级管理员','15904711671','df6650ed-e05e-11ea-b682-005056c00002','5d8b3ef6-3c51-4e81-965d-b639253f565e','d3fc469c-84f4-497c-822c-8bf0313fae30',2,'1001,1002,1003,1004,1005,1006,1007,,test,1008,1011,1010,1014,1012,1009,1013',1,'2020-08-17 15:57:35','2020-11-16 13:53:27','df6650ed-e05e-11ea-b682-005056c00001'),
('e16ec04c-363b-445b-b2ad-352ddcc3865d','zhaojq','873A94594078A456751E334D0A716A86','赵洁琼','13067888221','bd61164f-f2b1-49a4-941c-02b322f3ebaf','33759aff-ac35-41ee-9c1f-2fbfd9780695','d3fc469c-84f4-497c-822c-8bf0313fae30',1,'1001,1006,1007,1003',1,'2020-09-22 18:01:26','2020-11-16 10:31:49','7c24ca3d-258d-11eb-8db0-005056c00001'),
('e5e51b69-2d45-423a-920c-e17585aed943','wangsh','873A94594078A456751E334D0A716A86','王思涵','13067888222','bd61164f-f2b1-49a4-941c-02b322f3ebaf','f32c1a69-812e-43d7-afbc-00acbb23c57d','1e7e8cb6-680a-4d33-8488-6d64bcdbcb26',1,'1005,1001,1006,1007',1,'2020-09-22 18:04:18','2020-11-16 10:31:49','7c24ca3d-258d-11eb-8db0-005056c00001');

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
